/* $Id: FCModelerDesktop.java,v 1.1 2002/01/15 22:06:30 zcox Exp $
 *
 *
 */

package fcmodeler;

import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.Action;
import javax.swing.JButton;
import java.beans.PropertyVetoException;
import java.util.Iterator;
import java.io.BufferedReader;
import java.io.FileReader;

import diva.graph.model.GraphModel;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class FCModelerDesktop extends JFrame implements FCModelerApp, FCModelerContainer {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JMenuBar _menuBar;
	private javax.swing.JMenu _menu;
	private javax.swing.JDesktopPane _desktopPane;
	private javax.swing.JToolBar _toolBar;
	private javax.swing.JButton jButton1;
	// End of variables declaration//GEN-END:variables
	private FCModeler _fcmodeler = null;
	
	/** Creates new form FCModelerDesktop */
	public FCModelerDesktop(String configFile) {
		_fcmodeler = new FCModeler();
		
		//read the configuration file
		readConfigurationFile(configFile);
		
		initComponents();
		addActions();
		setLocation(100, 100);
		setSize(800, 800);
		setTitle("FCModeler");
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		pack();
		//showNewFCModeler(_fcmodeler, null);
	}
	
	private void addActions() {
		Iterator actions = null;
		Action action = null;
		
		actions = _fcmodeler.getActions();
		while (actions.hasNext()) {
			action = (Action) actions.next();
			_menu.add(action);
			_toolBar.add(new JButton(action));
		}
	}
	
	/** Exit the Application */
	private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
		System.exit (0);
	}//GEN-LAST:event_exitForm
	
	public FCModeler getFCModeler() {
		JInternalFrame frame = _desktopPane.getSelectedFrame();
		FCModelerContainer container = null;
		FCModeler fcmodeler = null;
		
		if (frame instanceof FCModelerContainer) {
			container = (FCModelerContainer) frame;
			fcmodeler = container.getFCModeler();
		}
		else if (frame == null) {
			showNewFCModeler(_fcmodeler, null);
			frame = _desktopPane.getSelectedFrame();
			container = (FCModelerContainer) frame;
			fcmodeler = container.getFCModeler();
		}
		
		return fcmodeler;
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the FormEditor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_menuBar = new javax.swing.JMenuBar();
		_menu = new javax.swing.JMenu();
		_desktopPane = new javax.swing.JDesktopPane();
		_toolBar = new javax.swing.JToolBar();
		jButton1 = new javax.swing.JButton();
		
		_menu.setText("Menu");
  		_menuBar.add(_menu);
  		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				exitForm(evt);
			}
		}
		);
		
		_desktopPane.setPreferredSize(new java.awt.Dimension(500, 500));
		
		getContentPane().add(_desktopPane, java.awt.BorderLayout.CENTER);
		
		
		
		getContentPane().add(_toolBar, java.awt.BorderLayout.NORTH);
		
		
		jButton1.setText("jButton1");
		jButton1.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton1ActionPerformed(evt);
			}
		}
		);
		
		getContentPane().add(jButton1, java.awt.BorderLayout.SOUTH);
		
		setJMenuBar(_menuBar);
		
	}//GEN-END:initComponents

  private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
	showNewFCModeler(_fcmodeler, null);
  }//GEN-LAST:event_jButton1ActionPerformed
	
	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		String configFile = "FCModelerConfig.txt";
		if (args.length > 0) {
			configFile = args[0];
		}
		new FCModelerDesktop(configFile).show();
	}
	
	private void readConfigurationFile(String configFile) {
		BufferedReader config = null;
		String line = null;
		
		//read in the configuration file
		try {
			config = new BufferedReader(new FileReader(configFile));
			while ((line = config.readLine()) != null) {
				if (line.startsWith("pathToDot")) {
					_fcmodeler.setPathToDot(line.substring(line.indexOf("=")+1));
				}
				else if (line.startsWith("pathToGraphs")) {
					_fcmodeler.setPathToGraphs(line.substring(line.indexOf("=")+1));
				}
			}
		} catch (java.io.FileNotFoundException e) {
			System.out.println("couldn't find " + configFile);
			System.exit(1);
		} catch (java.io.IOException e) {
			System.out.println("IOException: " + e.getMessage());
			e.printStackTrace();
			System.exit(1);
		}
	}
	
	public void setFCModeler(FCModeler fcmodeler) {
		JInternalFrame frame = _desktopPane.getSelectedFrame();
		FCModelerContainer container = null;
		
		if (frame instanceof FCModelerContainer) {
			container = (FCModelerContainer) frame;
			container.setFCModeler(fcmodeler);
		}
	}
	
	public void showNewFCModeler(FCModeler fcmodeler, GraphModel graphModel) {
		showNewFCModeler(fcmodeler, graphModel, null);
	}
	
	public void showNewFCModeler(FCModeler fcmodeler, GraphModel graphModel, String title) {
		FCModeler newFCModeler = new FCModeler(fcmodeler);
		FCModelerInternalFrame frame = new FCModelerInternalFrame(newFCModeler);
		newFCModeler.setParentComponent(frame);
		newFCModeler.setContainer(frame);
		frame.setTitle(title);
		frame.setBounds(100, 100, 300, 300);
		frame.setVisible(true);
		_desktopPane.add(frame);
		_desktopPane.setSelectedFrame(frame);
		//frame.moveToFront();
		if (graphModel != null) {
			newFCModeler.setGraphModel(graphModel);
		}
	}
}

/* 
 * $Log: FCModelerDesktop.java,v $
 * Revision 1.1  2002/01/15 22:06:30  zcox
 * initial commit of some application-level classes
 *
 *
 *
 */
