/* $Id: FCModelerUtilities.java,v 1.1 2002/01/15 22:06:30 zcox Exp $
 *
 *
 */

package fcmodeler;

import javax.swing.JComponent;
import javax.swing.JPopupMenu;
import javax.swing.JViewport;
import java.awt.Component;
import java.awt.Container;
import java.awt.Cursor;
import java.awt.Point;
import java.awt.Dimension;
import java.awt.Rectangle;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class FCModelerUtilities extends Object {
	
	/** Creates new FCModelerUtilities */
	public FCModelerUtilities() {
		
	}
	
	public static Cursor getDefaultCursor() {
		Cursor defaultCursor = Cursor.getDefaultCursor();
		
		return defaultCursor;
	}
	
	public static FCModelerApp getFCModelerApp(Component component) {
		FCModelerApp app = null;
		Container topAncestor = null;
		Component parent = null;
		
		//this may not be appropriate, since a lower component might be the desired FCModelerApp
		if (component instanceof JComponent) {
			topAncestor = ((JComponent) component).getTopLevelAncestor();
			if (topAncestor instanceof FCModelerApp) {
				app = (FCModelerApp) topAncestor;
			}
		}
		
		if (topAncestor == null) {
			parent = component.getParent();
			while (parent != null) {
				if (parent instanceof FCModelerApp) {
					app = (FCModelerApp) parent;
					break;
				}
				
				if (parent instanceof JPopupMenu) {
					parent = ((JPopupMenu) parent).getInvoker();
				}
				else {
					parent = parent.getParent();
				}
			}
		}
		
		return app;
	}
	
	public static FCModelerContainer getFCModelerContainer(Component component) {
		FCModelerContainer container = null;
		Component parent = null;
		
		//traverse up the list of parents, looking for the nearest FCModelerContainer
		parent = component.getParent();
		while (parent != null) {
			if (parent instanceof FCModelerContainer) {
				container = (FCModelerContainer) parent;
				break;
			}
			
			if (parent instanceof JPopupMenu) {
				parent = ((JPopupMenu) parent).getInvoker();
			}
			else {
				parent = parent.getParent();
			}
		}
		
		return container;
	}
	
	public static Cursor getWaitCursor() {
		Cursor waitCursor = Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR);
		
		return waitCursor;
	}
	
	public static void positionViewport(JViewport viewport, Point viewPosition) {
		Dimension childSize = null;
		Rectangle viewRect = null;
		
		viewRect = viewport.getViewRect();
		childSize = viewport.getView().getSize();
		if (viewPosition.x < 0) {
			viewPosition.x = 0;
		}
		if (viewPosition.y < 0) {
			viewPosition.y = 0;
		}
		if (viewPosition.x > childSize.width-viewRect.width) {
			viewPosition.x = childSize.width<viewRect.width ? 0 : childSize.width-viewRect.width;
		}
		if (viewPosition.y > childSize.height-viewRect.height) {
			viewPosition.y = childSize.height<viewRect.height ? 0 : childSize.height-viewRect.height;
		}
		
		viewport.setViewPosition(viewPosition);
	}
}

/* 
 * $Log: FCModelerUtilities.java,v $
 * Revision 1.1  2002/01/15 22:06:30  zcox
 * initial commit of some application-level classes
 *
 *
 *
 */
