/* $Id: WalkSelectionFrame.java,v 1.1 2002/01/15 22:06:30 zcox Exp $
 *
 *
 */

package fcmodeler;

import javax.swing.JFrame;
import javax.swing.JViewport;
import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;
import javax.swing.JList;

import diva.graph.GraphView;

import fcmodeler.actions.HighlightWalk;
import fcmodeler.subgraph.Walk;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class WalkSelectionFrame extends JFrame implements ListSelectionListener, Runnable {
	// Variables declaration - do not modify
	private javax.swing.JScrollPane _scrollPane;
	private javax.swing.JList _list;
	// End of variables declaration
	private Object[] _walks = null;
	private HighlightWalk _highlighter = null;
	
	/** Creates new form WalkSelectionFrame */
	public WalkSelectionFrame(Object[] walks, GraphView graphView, JViewport viewport) {
		_walks = walks;
		_highlighter = new HighlightWalk();
		_highlighter.setGraphView(graphView);
		_highlighter.setJViewport(viewport);
		
		initComponents();
		_list.addListSelectionListener(this);
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		//pack();
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the FormEditor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_scrollPane = new javax.swing.JScrollPane();
		_list = new javax.swing.JList(_walks);
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				exitForm(evt);
			}
		}
		);
		
		
		_scrollPane.setViewportView(_list);
  		
  		
		getContentPane().add(_scrollPane, java.awt.BorderLayout.CENTER);
		
	}//GEN-END:initComponents
	
	/** Exit the Application */
	private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
		//System.exit (0);
	}//GEN-LAST:event_exitForm
	
	public void run() {
		//this should only be done in the event-dispatch thread!!!
		pack();
		show();
	}
	
	public void valueChanged(ListSelectionEvent evt) {
		Object source = evt.getSource();
		JList list = null;
		Object sel = null;
		
		if (!evt.getValueIsAdjusting()) {
			if (source instanceof JList) {
				list = (JList) source;
				sel = list.getSelectedValue();
				if (sel instanceof Walk) {
					_highlighter.clearHighlights();
					_highlighter.setWalk((Walk) sel);
					_highlighter.highlightWalk();
				}
			}
		}
	}
}

/* 
 * $Log: WalkSelectionFrame.java,v $
 * Revision 1.1  2002/01/15 22:06:30  zcox
 * initial commit of some application-level classes
 *
 *
 *
 */
