/* $Id: AbstractGraphAction.java,v 1.1 2002/01/15 19:46:52 zcox Exp $
 *
 *
 * Created on May 23, 2001, 12:17 PM
 */

package fcmodeler.actions;

import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import javax.swing.Icon;
import java.awt.Component;

import fcmodeler.FCModeler;
import fcmodeler.FCModelerContainer;
import fcmodeler.FCModelerUtilities;

/** is...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractGraphAction extends AbstractAction {
	protected FCModeler _fcmodeler = null;
	
	/** Creates new AbstractGraphAction */
	public AbstractGraphAction() {
		super();
	}
	
	public AbstractGraphAction(String name) {
		super(name);
	}
	
	public AbstractGraphAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		Object object = actionEvent.getSource();
		FCModelerContainer container = null;
		
		_fcmodeler = null;
		if (object instanceof Component) {
			container = FCModelerUtilities.getFCModelerContainer((Component) object);
			if (container != null) {
				_fcmodeler = container.getFCModeler();
			}
		}
	}
}

/*
 * $Log: AbstractGraphAction.java,v $
 * Revision 1.1  2002/01/15 19:46:52  zcox
 * initial commit of actions package
 *
 * Revision 1.2  2001/08/27 16:24:17  zcox
 * summer 2001 changes
 *
 * Revision 1.1  2001/05/23 18:49:26  zcox
 * added fcmodeler.event.actions package, to support using Action objects
 * to handle specific GUI events
 *
 *
 *
 *
 */
