/* $Id: CSAConfigDialog.java,v 1.1 2002/01/15 19:46:52 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class CSAConfigDialog extends javax.swing.JDialog {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JPanel jPanel3;
	private javax.swing.JButton _ok;
	private javax.swing.JButton _cancel;
	private javax.swing.JPanel jPanel1;
	private javax.swing.JCheckBox _cbSaveToFile;
	private javax.swing.JCheckBox _cbShowResultsList;
	private javax.swing.JCheckBox _cbMaxCycleLength;
	private javax.swing.JTextField _maxCycleLength;
	// End of variables declaration//GEN-END:variables
	private FindCyclesAction _findCyclesAction = null;
	private boolean _okSelected = false;
	
	/** Creates new form CSAConfigDialog */
	public CSAConfigDialog(FindCyclesAction findCyclesAction) {
		super(new javax.swing.JFrame(), true);
		_findCyclesAction = findCyclesAction;
		initComponents();
		
		if (_findCyclesAction == null) {
			throw new IllegalArgumentException("FindCyclesAction argument cannot be null");
		}
		
		_cbSaveToFile.setSelected(_findCyclesAction.isSaveToFile());
		_cbShowResultsList.setSelected(_findCyclesAction.isSaveInMemory());
		_cbMaxCycleLength.setSelected(_findCyclesAction.getMaxLength() == -1 ? false : true);
		_cbMaxCycleLengthActionPerformed(null);
		
		getRootPane().setDefaultButton(_ok);
	}

	private void _cancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cancelActionPerformed
		_okSelected = false;
		closeDialog(null);
	}//GEN-LAST:event__cancelActionPerformed
    
	private void _cbMaxCycleLengthActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cbMaxCycleLengthActionPerformed
		_maxCycleLength.setEnabled(_cbMaxCycleLength.isSelected());
		_maxCycleLength.setText("" + _findCyclesAction.getMaxLength());
	}//GEN-LAST:event__cbMaxCycleLengthActionPerformed
    
	private void _cbShowResultsListActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cbShowResultsListActionPerformed
		if (_findCyclesAction != null) {
			_findCyclesAction.setSaveInMemory(_cbShowResultsList.isSelected());
		}
	}//GEN-LAST:event__cbShowResultsListActionPerformed
    
	private void _cbSaveToFileActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cbSaveToFileActionPerformed
		if (_findCyclesAction != null) {
			_findCyclesAction.setSaveToFile(_cbSaveToFile.isSelected());
		}
	}//GEN-LAST:event__cbSaveToFileActionPerformed
    
	/** Closes the dialog */
	private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
		setVisible(false);
		dispose();
	}//GEN-LAST:event_closeDialog
	
	public FindCyclesAction getFindCyclesAction() {
		return _findCyclesAction;
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		jPanel3 = new javax.swing.JPanel();
		_ok = new javax.swing.JButton();
		_cancel = new javax.swing.JButton();
		jPanel1 = new javax.swing.JPanel();
		_cbSaveToFile = new javax.swing.JCheckBox();
		_cbShowResultsList = new javax.swing.JCheckBox();
		_cbMaxCycleLength = new javax.swing.JCheckBox();
		_maxCycleLength = new javax.swing.JTextField();
		
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				closeDialog(evt);
			}
		});
		
		_ok.setText("ok");
		_ok.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_okActionPerformed(evt);
			}
		});
		
		jPanel3.add(_ok);
		
		_cancel.setText("cancel");
		_cancel.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cancelActionPerformed(evt);
			}
		});
		
		jPanel3.add(_cancel);
		
		getContentPane().add(jPanel3, java.awt.BorderLayout.SOUTH);
		
		jPanel1.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		
		jPanel1.setBorder(new javax.swing.border.EtchedBorder());
		_cbSaveToFile.setText("save to file");
		_cbSaveToFile.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cbSaveToFileActionPerformed(evt);
			}
		});
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridwidth = 2;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 0, 5);
		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
		jPanel1.add(_cbSaveToFile, gridBagConstraints1);
		
		_cbShowResultsList.setText("show results list");
		_cbShowResultsList.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cbShowResultsListActionPerformed(evt);
			}
		});
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 1;
		gridBagConstraints1.gridwidth = 2;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(0, 5, 0, 5);
		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
		jPanel1.add(_cbShowResultsList, gridBagConstraints1);
		
		_cbMaxCycleLength.setText("max cycle length");
		_cbMaxCycleLength.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cbMaxCycleLengthActionPerformed(evt);
			}
		});
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 2;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(0, 5, 5, 0);
		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
		jPanel1.add(_cbMaxCycleLength, gridBagConstraints1);
		
		_maxCycleLength.setEnabled(false);
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 1;
		gridBagConstraints1.gridy = 2;
		gridBagConstraints1.ipadx = 20;
		gridBagConstraints1.insets = new java.awt.Insets(0, 0, 5, 5);
		jPanel1.add(_maxCycleLength, gridBagConstraints1);
		
		getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);
		
		pack();
	}//GEN-END:initComponents
    
	private void _okActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__okActionPerformed
		_okSelected = true;
		if (_findCyclesAction != null) {
			if (_cbMaxCycleLength.isSelected()) {
				_findCyclesAction.setMaxLength(Integer.parseInt(_maxCycleLength.getText()));
			}
			else {
				_findCyclesAction.setMaxLength(-1);
			}
		}
		closeDialog(null);
	}//GEN-LAST:event__okActionPerformed

	public void setFindCyclesAction(FindCyclesAction findCyclesAction) {
		_findCyclesAction = findCyclesAction;
	}
	
	public boolean showDialog() {
		show();
		
		return _okSelected;
	}
}

/* 
 * $Log: CSAConfigDialog.java,v $
 * Revision 1.1  2002/01/15 19:46:52  zcox
 * initial commit of actions package
 *
 * 
 */
