/* $Id: FastGEMLayoutAction.java,v 1.1 2002/07/31 08:31:59 adamtj Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.Dimension;
import java.awt.geom.Rectangle2D;
import java.awt.event.ActionEvent;

import fcmodeler.FCModeler;
import fcmodeler.FCModelerUtilities;
import fcmodeler.layout.GEMLayout;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @author Adam Tomjack <adamtj@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class FastGEMLayoutAction extends AbstractGraphAction {
	
	/** Creates new FastGEMLayoutAction */
	public FastGEMLayoutAction() {
		super();
	}
	
	public FastGEMLayoutAction(String name) {
		super(name);
	}
	
	public FastGEMLayoutAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		layoutGraph(_fcmodeler);
	}
	
	public static void layoutGraph(FCModeler fcmodeler) {
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		//This will use AGEM to get a really quick initial layout, then use GEM to
		//Polish it.  This is usually faster than GEM, and looks better too.
		GEMLayout layout = new GEMLayout(fcmodeler, 2);
		layout.layout();
		
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/*
 * $Log: FastGEMLayoutAction.java,v $
 * Revision 1.1  2002/07/31 08:31:59  adamtj
 * added variations on the GEM layout.
 *
 *
 */
