/* $Id: FindNodeAction.java,v 1.1 2002/01/15 19:46:53 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import javax.swing.JViewport;
import javax.swing.JViewport;
import java.awt.Dimension;
import java.awt.Point;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.awt.event.ActionEvent;
import java.util.Iterator;

import diva.graph.GraphView;
import diva.graph.model.Graph;
import diva.graph.model.Node;

import fcmodeler.FCModelerUtilities;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class FindNodeAction extends AbstractGraphAction {
	
	/** Creates new FindNodeAction */
	public FindNodeAction() {
		super();
	}
	
	public FindNodeAction(String name) {
		super(name);
	}
	
	public FindNodeAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		JViewport viewport = null;
		GraphView graphView = null;
		Graph graph = null;
		String nodeLabel = null;
		EnterStringDialog dialog = null;
		
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		viewport = _fcmodeler.getJScrollPane().getViewport();
		graphView = _fcmodeler.getScrollableJGraph().getGraphPane().getGraphView();
		graph = _fcmodeler.getScrollableJGraph().getGraphModel().getGraph();

		dialog = new EnterStringDialog(/*_fcmodeler.getParentComponent(), */true, "node label", "find node");
		if (dialog.showDialog() == EnterStringDialog.OK) {
			nodeLabel = dialog.getString();
			findNode(viewport, graphView, nodeLabel, graph);
		}
	}
	
	public static boolean findNode(JViewport viewport, GraphView graphView, Node node) {
		boolean nodeFound = false;
		Iterator nodes = null;
		
		if (viewport != null && graphView != null && node != null) {
			positionViewport(viewport, graphView, node);
			nodeFound = true;
		}
		
		return nodeFound;
	}
	
	public static boolean findNode(JViewport viewport, GraphView graphView, String nodeLabel, Graph graph) {
		boolean nodeFound = false;
		Iterator nodes = null;
		Node node = null;
		
		if (viewport != null && graphView != null && nodeLabel != null && graph != null) {
			nodes = graph.nodes();
			while (nodes.hasNext()) {
				node = (Node) nodes.next();
				if (node.getSemanticObject().equals(nodeLabel)) {
					positionViewport(viewport, graphView, node);
					nodeFound = true;
					break;
				}
			}
		}
		
		return nodeFound;
	}
	
	private static void positionViewport(JViewport viewport, GraphView graphView, Node node) {
		Rectangle2D nodeBounds = null;
		Dimension viewSize = null;
		Point viewPosition = null;
		Point2D.Double nodeCenter = new Point2D.Double();
		
		viewSize = viewport.getExtentSize();
		nodeBounds = graphView.getBounds(node);
		nodeCenter.x = nodeBounds.getCenterX();
		nodeCenter.y = nodeBounds.getCenterY();
		graphView.getGraphicsPane().getTransformContext().getScreenTransform().transform(nodeCenter, nodeCenter);
		viewPosition = new Point((int) (nodeCenter.x - 0.5*viewSize.width), (int) (nodeCenter.y - 0.5*viewSize.height));
		FCModelerUtilities.positionViewport(viewport, viewPosition);
		graphView.getGraphController().getNodeInteractor().getSelectionModel().addSelection(graphView.getNodeFigure(node));
	}
}

/* 
 * $Log: FindNodeAction.java,v $
 * Revision 1.1  2002/01/15 19:46:53  zcox
 * initial commit of actions package
 *
 *
 *
 */
