/* $Id: GEMLayoutAction.java,v 1.2 2002/07/31 08:31:59 adamtj Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.Dimension;
import java.awt.geom.Rectangle2D;
import java.awt.event.ActionEvent;

import fcmodeler.FCModeler;
import fcmodeler.FCModelerUtilities;
import fcmodeler.layout.GEMLayout;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @author Adam Tomjack <adamtj@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class GEMLayoutAction extends AbstractGraphAction {
	
	/** Creates new GEMLayoutAction */
	public GEMLayoutAction() {
		super();
	}
	
	public GEMLayoutAction(String name) {
		super(name);
	}
	
	public GEMLayoutAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		layoutGraph(_fcmodeler);
	}
	
	public static void layoutGraph(FCModeler fcmodeler) {
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		GEMLayout layout = new GEMLayout(fcmodeler, 0);
		layout.layout();
		
		/*
		//re-adjust the size of the ScrollableJGraph - the white area that contains the graph
		Rectangle2D box = layout.getBoundingBox();
		fcmodeler.getScrollableJGraph().setPreferredSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		fcmodeler.getScrollableJGraph().setSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		fcmodeler.getJScrollPane().revalidate();
		 */
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/*
 * $Log: GEMLayoutAction.java,v $
 * Revision 1.2  2002/07/31 08:31:59  adamtj
 * added variations on the GEM layout.
 *
 * Revision 1.1  2002/07/26 23:14:47  adamtj
 * Oops.  These are needed to enable the GEM layout and the Exit command on the file menu.
 *
 */
