/* $Id: JGraphToJPEGAction.java,v 1.1 2002/01/15 19:46:53 zcox Exp $
 *
 *
 * Created on May 23, 2001, 12:04 PM
 */

package fcmodeler.actions;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import java.awt.event.ActionEvent;

import fcmodeler.FCModelerUtilities;
import fcmodeler.io.JGraphToJPEGWriter;

/** is...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class JGraphToJPEGAction extends AbstractGraphAction {
	
	/** Creates new JGraphToJPEGAction */
	public JGraphToJPEGAction() {
		super();
	}
	
	public JGraphToJPEGAction(String name) {
		super(name);
	}
	
	public JGraphToJPEGAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		//use the little hour glass figure for the cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());

		JGraphToJPEGWriter.writeJGraphToJPEG(_fcmodeler.getScrollableJGraph(), _fcmodeler.getPathToGraphs());

		//change back to normal cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/*
 * $Log: JGraphToJPEGAction.java,v $
 * Revision 1.1  2002/01/15 19:46:53  zcox
 * initial commit of actions package
 *
 * Revision 1.2  2001/05/29 16:57:20  zcox
 * file chooser starts with the file *.jpg now, and starts in pathToGraphs directory
 *
 * Revision 1.1  2001/05/23 18:49:26  zcox
 * added fcmodeler.event.actions package, to support using Action objects
 * to handle specific GUI events
 *
 *
 *
 *
 */
