/* $Id: OpenAnimationFileAction.java,v 1.2 2002/02/15 19:40:13 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import java.awt.event.ActionEvent;
import java.io.File;
import java.io.FileReader;
import java.io.FileNotFoundException;

import fcmodeler.FCModelerUtilities;
import fcmodeler.animation.Animator;
import fcmodeler.animation.AnimationControlPanel;
import fcmodeler.io.xml.XMLFileFilter;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class OpenAnimationFileAction extends AbstractGraphAction {
	
	/** Creates new OpenAnimationFileAction */
	public OpenAnimationFileAction() {
		super();
	}
	
	public OpenAnimationFileAction(String name) {
		super(name);
	}
	
	public OpenAnimationFileAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		//use the little hour glass figure for the cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		//open a file chooser dialog with custom file filters
		JFileChooser openFile = new JFileChooser(_fcmodeler.getPathToGraphs());
		openFile.addChoosableFileFilter(new XMLFileFilter());
		int returnVal = openFile.showOpenDialog(_fcmodeler.getParentComponent());
		
		//if the user opened a file
		if(returnVal == JFileChooser.APPROVE_OPTION) {
			File file = openFile.getSelectedFile();
			
			//create the animator & a control panel
			try {
				Animator animator = new Animator(new FileReader(file), _fcmodeler.getGraphView());
				JFrame frame = new JFrame("animation control");
				frame.getContentPane().add(new AnimationControlPanel(animator), java.awt.BorderLayout.CENTER);
				frame.pack();
				frame.show();
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			}
		}
		
		//change back to normal cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/* 
 * $Log: OpenAnimationFileAction.java,v $
 * Revision 1.2  2002/02/15 19:40:13  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:46:53  zcox
 * initial commit of actions package
 *
 *
 *
 */
