/* $Id: OpenGraphDatabaseAction.java,v 1.1 2002/01/15 19:46:53 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.JFrame;
import javax.swing.Icon;
import java.awt.event.ActionEvent;

import fcmodeler.FCModelerUtilities;
import fcmodeler.io.db.DatabaseGraphReader;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class OpenGraphDatabaseAction extends AbstractGraphAction {
	
	/** Creates new OpenGraphDatabaseAction */
	public OpenGraphDatabaseAction() {
		super();
	}
	
	public OpenGraphDatabaseAction(String name) {
		super(name);
	}
	
	public OpenGraphDatabaseAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		DatabaseConnectionDialog dialog = null;
		String url = null;
		DatabaseGraphReader reader = null;
		
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		//use the little hour glass figure for the cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		dialog = new DatabaseConnectionDialog(new JFrame(), true);
		url = dialog.showDialog();
		
		if (url != null) {
			reader = new DatabaseGraphReader();
			reader.readGraph(url);
			_fcmodeler.setGraphModel(reader.getGraphModel());
		}
		
		//change back to normal cursor
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/* 
 * $Log: OpenGraphDatabaseAction.java,v $
 * Revision 1.1  2002/01/15 19:46:53  zcox
 * initial commit of actions package
 *
 *
 *
 */
