/* $Id: OpenMappingEditorAction.java,v 1.1 2002/02/15 19:41:52 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import javax.swing.JFrame;
import java.awt.event.ActionEvent;
import java.util.Collection;
import java.util.Set;

import diva.graph.GraphView;
import diva.graph.model.Graph;

import fcmodeler.attributes.VisualAttributeFactory;
import fcmodeler.mapping.MappingEditor;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class OpenMappingEditorAction extends AbstractGraphAction {
	
	/** Creates new OpenMappingEditorAction */
	public OpenMappingEditorAction() {
		super();
	}
	
	public OpenMappingEditorAction(String name) {
		super(name);
	}
	
	public OpenMappingEditorAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		super.actionPerformed(actionEvent);
		
		Graph graph = _fcmodeler.getGraph();
		Collection nodeAttributes = VisualAttributeFactory.getInstance().getNodeAttributes();
		Collection edgeAttributes = VisualAttributeFactory.getInstance().getEdgeAttributes();
		Set nodeMappings = _fcmodeler.getNodeMappings();
		Set edgeMappings = _fcmodeler.getEdgeMappings();
		GraphView view = _fcmodeler.getGraphView();
		
		MappingEditor editor = new MappingEditor(graph, nodeAttributes, edgeAttributes, nodeMappings, edgeMappings, view);
		JFrame frame = new JFrame();
		frame.getContentPane().add(editor);
		frame.setSize(editor.getPreferredSize());
		frame.setTitle("mapping editor");
		frame.show();
	}
	
}

/* 
 * $Log: OpenMappingEditorAction.java,v $
 * Revision 1.1  2002/02/15 19:41:52  zcox
 * big time update
 *
 *
 *
 */
