/* $Id: OpenPropertyViewerAction.java,v 1.1 2002/01/15 19:46:54 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.util.List;
import java.util.ArrayList;

import fcmodeler.properties.PropertyViewer;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class OpenPropertyViewerAction extends AbstractGraphAction {
	private PropertyViewer _viewer = null;
	
	/** Creates new OpenPropertyViewerAction */
	public OpenPropertyViewerAction() {
		super();
	}
	
	public OpenPropertyViewerAction(String name) {
		super(name);
	}
	
	public OpenPropertyViewerAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		List nodeProps = null, edgeProps = null;
		
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		if (_viewer == null) {
			_viewer = new PropertyViewer();
		}
		
		if (!_viewer.isShowing()) {
			nodeProps = new ArrayList((List) _fcmodeler.getScrollableJGraph().getGraphModel().getGraph().getProperty("nodeProperties"));
			edgeProps = new ArrayList((List) _fcmodeler.getScrollableJGraph().getGraphModel().getGraph().getProperty("edgeProperties"));
			nodeProps.add(0, "node");
			edgeProps.add(0, "edge");
			_viewer.setColumnLabels(nodeProps, edgeProps);
			_viewer.setSelectionModel(_fcmodeler.getScrollableJGraph().getGraphPane().getGraphView().
				getGraphController().getEdgeInteractor().getSelectionModel());
			_viewer.show();
		}
	}
}

/* 
 * $Log: OpenPropertyViewerAction.java,v $
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 *
 *
 */
