/* $Id: RankClusterDotLayoutAction.java,v 1.2 2002/02/15 19:40:14 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import javax.swing.JFileChooser;
import java.awt.Dimension;
import java.awt.geom.Rectangle2D;
import java.awt.event.ActionEvent;
import java.io.File;
import java.io.FileReader;
import java.io.FileNotFoundException;

import fcmodeler.FCModeler;
import fcmodeler.FCModelerUtilities;
import fcmodeler.layout.RankClusterDotLayout;
import fcmodeler.io.xml.XMLFileFilter;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class RankClusterDotLayoutAction extends AbstractGraphAction {
	
	/** Creates new RankClusterDotLayoutAction */
	public RankClusterDotLayoutAction() {
		super();
	}
	
	public RankClusterDotLayoutAction(String name) {
		super(name);
	}
	
	public RankClusterDotLayoutAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		layoutGraph(_fcmodeler);
	}
	
	public static void layoutGraph(FCModeler fcmodeler) {
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		JFileChooser openFile = new JFileChooser(fcmodeler.getPathToGraphs());
		openFile.addChoosableFileFilter(new XMLFileFilter());
		int returnVal = openFile.showOpenDialog(fcmodeler.getParentComponent());
		
		//if the user opened a file
		if(returnVal == JFileChooser.APPROVE_OPTION) {
			try {
				File layoutFile = openFile.getSelectedFile();
				RankClusterDotLayout layout = new RankClusterDotLayout(fcmodeler, new FileReader(layoutFile));
				layout.layout(fcmodeler.getGraphView(), fcmodeler.getGraph());
			
				//re-adjust the size of the ScrollableJGraph - the white area that contains the graph
				Rectangle2D box = layout.getBoundingBox();
				fcmodeler.getScrollableJGraph().setPreferredSize(new Dimension((int) box.getWidth()+20, (int) box.getHeight()+20));
				fcmodeler.getScrollableJGraph().setSize(new Dimension((int) box.getWidth()+20, (int) box.getHeight()+20));
				fcmodeler.getJScrollPane().revalidate();
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			}
		}
		
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/* 
 * $Log: RankClusterDotLayoutAction.java,v $
 * Revision 1.2  2002/02/15 19:40:14  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 * 
 */
