/* $Id: SaveGraphAction.java,v 1.2 2002/02/15 19:40:14 zcox Exp $
 *
 *
 * Created on May 23, 2001, 11:50 AM
 */

package fcmodeler.actions;

import javax.swing.Icon;
import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;
import java.awt.event.ActionEvent;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import fcmodeler.FCModelerUtilities;
import fcmodeler.io.GraphIOFactory;
import fcmodeler.io.xml.XMLFileFilter;
import fcmodeler.io.dot.SimpleDotFileFilter;
import fcmodeler.io.dot.RankClusterDotFileFilter;
import fcmodeler.io.GraphWriter;
import fcmodeler.io.GraphFileOptionsPanel;

/** is...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class SaveGraphAction extends AbstractGraphAction {
	
	/** Creates new SaveGraphAction */
	public SaveGraphAction() {
		super();
	}
	
	public SaveGraphAction(String name) {
		super(name);
	}
	
	public SaveGraphAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		super.actionPerformed(actionEvent);
		
		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());

		JFileChooser saveGraph = new JFileChooser(_fcmodeler.getPathToGraphs());
		saveGraph.addChoosableFileFilter(new RankClusterDotFileFilter());
		saveGraph.addChoosableFileFilter(new SimpleDotFileFilter());
		saveGraph.addChoosableFileFilter(new XMLFileFilter());
		GraphFileOptionsPanel options = new GraphFileOptionsPanel();
		options.setTitle("write to file");
		saveGraph.setAccessory(options);
		int returnVal = saveGraph.showSaveDialog(_fcmodeler.getParentComponent());

		//if the user opened a file
		if(returnVal == JFileChooser.APPROVE_OPTION) {
			//get the current file filter, and make sure it's one of fcmodeler's filters
			FileFilter fileFilter = saveGraph.getFileFilter();
			if (fileFilter instanceof GraphIOFactory) {
				//get the appropriate graph writer and write the graph
				GraphWriter graphWriter = ((GraphIOFactory) fileFilter).getGraphWriter();
				graphWriter.writeCoordinates(options.isCoordinatesSelected());
				graphWriter.writeMappings(options.isMappingsSelected());
				graphWriter.writeTopology(options.isTopologySelected());
				File file = saveGraph.getSelectedFile();
				try {
					FileWriter writer = new FileWriter(file);
					graphWriter.writeGraph(_fcmodeler, writer);
					
				} catch (IOException e) {
					System.err.println("error writing to " + file);
				}
			}
		}

		_fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/*
 * $Log: SaveGraphAction.java,v $
 * Revision 1.2  2002/02/15 19:40:14  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 * Revision 1.1  2001/05/23 18:49:26  zcox
 * added fcmodeler.event.actions package, to support using Action objects
 * to handle specific GUI events
 *
 *
 *
 *
 */
