/* $Id: SimpleDotLayoutAction.java,v 1.2 2002/02/15 19:40:14 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.Dimension;
import java.awt.geom.Rectangle2D;
import java.awt.event.ActionEvent;

import fcmodeler.FCModeler;
import fcmodeler.FCModelerUtilities;
import fcmodeler.layout.SimpleDotLayout;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class SimpleDotLayoutAction extends AbstractGraphAction {
	
	/** Creates new SimpleDotLayoutAction */
	public SimpleDotLayoutAction() {
		super();
	}
	
	public SimpleDotLayoutAction(String name) {
		super(name);
	}
	
	public SimpleDotLayoutAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		layoutGraph(_fcmodeler);
	}
	
	public static void layoutGraph(FCModeler fcmodeler) {
		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getWaitCursor());
		
		SimpleDotLayout layout = new SimpleDotLayout(fcmodeler);
		layout.layout(fcmodeler.getGraphView(), fcmodeler.getGraph());
		
		//re-adjust the size of the ScrollableJGraph - the white area that contains the graph
		Rectangle2D box = layout.getBoundingBox();
		fcmodeler.getScrollableJGraph().setPreferredSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		fcmodeler.getScrollableJGraph().setSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		fcmodeler.getJScrollPane().revalidate();

		fcmodeler.getParentComponent().setCursor(FCModelerUtilities.getDefaultCursor());
	}
}

/* 
 * $Log: SimpleDotLayoutAction.java,v $
 * Revision 1.2  2002/02/15 19:40:14  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 * 
 */
