/* $Id: ColorFactory.java,v 1.1 2002/02/15 19:54:35 zcox Exp $
 *
 *
 */

package fcmodeler.attributes;

import java.awt.Color;
import java.util.Map;
import java.util.TreeMap;
import java.util.Iterator;

/** A factory for creating standard colors.
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class ColorFactory extends Object {
	private static ColorFactory _instance;
	private Map _map = null;
	public static final String ALICE_BLUE = "alice blue";
	public static final String ALICEBLUE = "aliceblue";
	public static final String ANTIQUE_WHITE = "antique white";
	public static final String ANTIQUEWHITE = "antiquewhite";
	public static final String ANTIQUEWHITE1 = "antiquewhite1";
	public static final String ANTIQUEWHITE2 = "antiquewhite2";
	public static final String ANTIQUEWHITE3 = "antiquewhite3";
	public static final String ANTIQUEWHITE4 = "antiquewhite4";
	public static final String AQUAMARINE = "aquamarine";
	public static final String AQUAMARINE1 = "aquamarine1";
	public static final String AQUAMARINE2 = "aquamarine2";
	public static final String AQUAMARINE3 = "aquamarine3";
	public static final String AQUAMARINE4 = "aquamarine4";
	public static final String AZURE = "azure";
	public static final String AZURE1 = "azure1";
	public static final String AZURE2 = "azure2";
	public static final String AZURE3 = "azure3";
	public static final String AZURE4 = "azure4";
	public static final String BEIGE = "beige";
	public static final String BISQUE = "bisque";
	public static final String BISQUE1 = "bisque1";
	public static final String BISQUE2 = "bisque2";
	public static final String BISQUE3 = "bisque3";
	public static final String BISQUE4 = "bisque4";
	public static final String BLACK = "black";
	public static final String BLANCHED_ALMOND = "blanched almond";
	public static final String BLANCHEDALMOND = "blanchedalmond";
	public static final String BLUE = "blue";
	public static final String BLUE_VIOLET = "blue violet";
	public static final String BLUE1 = "blue1";
	public static final String BLUE2 = "blue2";
	public static final String BLUE3 = "blue3";
	public static final String BLUE4 = "blue4";
	public static final String BLUEVIOLET = "blueviolet";
	public static final String BROWN = "brown";
	public static final String BROWN1 = "brown1";
	public static final String BROWN2 = "brown2";
	public static final String BROWN3 = "brown3";
	public static final String BROWN4 = "brown4";
	public static final String BURLYWOOD = "burlywood";
	public static final String BURLYWOOD1 = "burlywood1";
	public static final String BURLYWOOD2 = "burlywood2";
	public static final String BURLYWOOD3 = "burlywood3";
	public static final String BURLYWOOD4 = "burlywood4";
	public static final String CADET_BLUE = "cadet blue";
	public static final String CADETBLUE = "cadetblue";
	public static final String CADETBLUE1 = "cadetblue1";
	public static final String CADETBLUE2 = "cadetblue2";
	public static final String CADETBLUE3 = "cadetblue3";
	public static final String CADETBLUE4 = "cadetblue4";
	public static final String CHARTREUSE = "chartreuse";
	public static final String CHARTREUSE1 = "chartreuse1";
	public static final String CHARTREUSE2 = "chartreuse2";
	public static final String CHARTREUSE3 = "chartreuse3";
	public static final String CHARTREUSE4 = "chartreuse4";
	public static final String CHOCOLATE = "chocolate";
	public static final String CHOCOLATE1 = "chocolate1";
	public static final String CHOCOLATE2 = "chocolate2";
	public static final String CHOCOLATE3 = "chocolate3";
	public static final String CHOCOLATE4 = "chocolate4";
	public static final String CORAL = "coral";
	public static final String CORAL1 = "coral1";
	public static final String CORAL2 = "coral2";
	public static final String CORAL3 = "coral3";
	public static final String CORAL4 = "coral4";
	public static final String CORNFLOWER_BLUE = "cornflower blue";
	public static final String CORNFLOWERBLUE = "cornflowerblue";
	public static final String CORNSILK = "cornsilk";
	public static final String CORNSILK1 = "cornsilk1";
	public static final String CORNSILK2 = "cornsilk2";
	public static final String CORNSILK3 = "cornsilk3";
	public static final String CORNSILK4 = "cornsilk4";
	public static final String CYAN = "cyan";
	public static final String CYAN1 = "cyan1";
	public static final String CYAN2 = "cyan2";
	public static final String CYAN3 = "cyan3";
	public static final String CYAN4 = "cyan4";
	public static final String DARK_GOLDENROD = "dark goldenrod";
	public static final String DARK_GREEN = "dark green";
	public static final String DARK_KHAKI = "dark khaki";
	public static final String DARK_OLIVE_GREEN = "dark olive green";
	public static final String DARK_ORANGE = "dark orange";
	public static final String DARK_ORCHID = "dark orchid";
	public static final String DARK_SALMON = "dark salmon";
	public static final String DARK_SEA_GREEN = "dark sea green";
	public static final String DARK_SLATE_BLUE = "dark slate blue";
	public static final String DARK_SLATE_GRAY = "dark slate gray";
	public static final String DARK_SLATE_GREY = "dark slate grey";
	public static final String DARK_TURQUOISE = "dark turquoise";
	public static final String DARK_VIOLET = "dark violet";
	public static final String DARKGOLDENROD = "darkgoldenrod";
	public static final String DARKGOLDENROD1 = "darkgoldenrod1";
	public static final String DARKGOLDENROD2 = "darkgoldenrod2";
	public static final String DARKGOLDENROD3 = "darkgoldenrod3";
	public static final String DARKGOLDENROD4 = "darkgoldenrod4";
	public static final String DARKGREEN = "darkgreen";
	public static final String DARKKHAKI = "darkkhaki";
	public static final String DARKOLIVEGREEN = "darkolivegreen";
	public static final String DARKOLIVEGREEN1 = "darkolivegreen1";
	public static final String DARKOLIVEGREEN2 = "darkolivegreen2";
	public static final String DARKOLIVEGREEN3 = "darkolivegreen3";
	public static final String DARKOLIVEGREEN4 = "darkolivegreen4";
	public static final String DARKORANGE = "darkorange";
	public static final String DARKORANGE1 = "darkorange1";
	public static final String DARKORANGE2 = "darkorange2";
	public static final String DARKORANGE3 = "darkorange3";
	public static final String DARKORANGE4 = "darkorange4";
	public static final String DARKORCHID = "darkorchid";
	public static final String DARKORCHID1 = "darkorchid1";
	public static final String DARKORCHID2 = "darkorchid2";
	public static final String DARKORCHID3 = "darkorchid3";
	public static final String DARKORCHID4 = "darkorchid4";
	public static final String DARKSALMON = "darksalmon";
	public static final String DARKSEAGREEN = "darkseagreen";
	public static final String DARKSEAGREEN1 = "darkseagreen1";
	public static final String DARKSEAGREEN2 = "darkseagreen2";
	public static final String DARKSEAGREEN3 = "darkseagreen3";
	public static final String DARKSEAGREEN4 = "darkseagreen4";
	public static final String DARKSLATEBLUE = "darkslateblue";
	public static final String DARKSLATEGRAY = "darkslategray";
	public static final String DARKSLATEGRAY1 = "darkslategray1";
	public static final String DARKSLATEGRAY2 = "darkslategray2";
	public static final String DARKSLATEGRAY3 = "darkslategray3";
	public static final String DARKSLATEGRAY4 = "darkslategray4";
	public static final String DARKSLATEGREY = "darkslategrey";
	public static final String DARKTURQUOISE = "darkturquoise";
	public static final String DARKVIOLET = "darkviolet";
	public static final String DEEP_PINK = "deep pink";
	public static final String DEEP_SKY_BLUE = "deep sky blue";
	public static final String DEEPPINK = "deeppink";
	public static final String DEEPPINK1 = "deeppink1";
	public static final String DEEPPINK2 = "deeppink2";
	public static final String DEEPPINK3 = "deeppink3";
	public static final String DEEPPINK4 = "deeppink4";
	public static final String DEEPSKYBLUE = "deepskyblue";
	public static final String DEEPSKYBLUE1 = "deepskyblue1";
	public static final String DEEPSKYBLUE2 = "deepskyblue2";
	public static final String DEEPSKYBLUE3 = "deepskyblue3";
	public static final String DEEPSKYBLUE4 = "deepskyblue4";
	public static final String DIM_GRAY = "dim gray";
	public static final String DIM_GREY = "dim grey";
	public static final String DIMGRAY = "dimgray";
	public static final String DIMGREY = "dimgrey";
	public static final String DODGER_BLUE = "dodger blue";
	public static final String DODGERBLUE = "dodgerblue";
	public static final String DODGERBLUE1 = "dodgerblue1";
	public static final String DODGERBLUE2 = "dodgerblue2";
	public static final String DODGERBLUE3 = "dodgerblue3";
	public static final String DODGERBLUE4 = "dodgerblue4";
	public static final String FIREBRICK = "firebrick";
	public static final String FIREBRICK1 = "firebrick1";
	public static final String FIREBRICK2 = "firebrick2";
	public static final String FIREBRICK3 = "firebrick3";
	public static final String FIREBRICK4 = "firebrick4";
	public static final String FLORAL_WHITE = "floral white";
	public static final String FLORALWHITE = "floralwhite";
	public static final String FOREST_GREEN = "forest green";
	public static final String FORESTGREEN = "forestgreen";
	public static final String GAINSBORO = "gainsboro";
	public static final String GHOST_WHITE = "ghost white";
	public static final String GHOSTWHITE = "ghostwhite";
	public static final String GOLD = "gold";
	public static final String GOLD1 = "gold1";
	public static final String GOLD2 = "gold2";
	public static final String GOLD3 = "gold3";
	public static final String GOLD4 = "gold4";
	public static final String GOLDENROD = "goldenrod";
	public static final String GOLDENROD1 = "goldenrod1";
	public static final String GOLDENROD2 = "goldenrod2";
	public static final String GOLDENROD3 = "goldenrod3";
	public static final String GOLDENROD4 = "goldenrod4";
	public static final String GRAY = "gray";
	public static final String GRAY0 = "gray0";
	public static final String GRAY1 = "gray1";
	public static final String GRAY10 = "gray10";
	public static final String GRAY100 = "gray100";
	public static final String GRAY11 = "gray11";
	public static final String GRAY12 = "gray12";
	public static final String GRAY13 = "gray13";
	public static final String GRAY14 = "gray14";
	public static final String GRAY15 = "gray15";
	public static final String GRAY16 = "gray16";
	public static final String GRAY17 = "gray17";
	public static final String GRAY18 = "gray18";
	public static final String GRAY19 = "gray19";
	public static final String GRAY2 = "gray2";
	public static final String GRAY20 = "gray20";
	public static final String GRAY21 = "gray21";
	public static final String GRAY22 = "gray22";
	public static final String GRAY23 = "gray23";
	public static final String GRAY24 = "gray24";
	public static final String GRAY25 = "gray25";
	public static final String GRAY26 = "gray26";
	public static final String GRAY27 = "gray27";
	public static final String GRAY28 = "gray28";
	public static final String GRAY29 = "gray29";
	public static final String GRAY3 = "gray3";
	public static final String GRAY30 = "gray30";
	public static final String GRAY31 = "gray31";
	public static final String GRAY32 = "gray32";
	public static final String GRAY33 = "gray33";
	public static final String GRAY34 = "gray34";
	public static final String GRAY35 = "gray35";
	public static final String GRAY36 = "gray36";
	public static final String GRAY37 = "gray37";
	public static final String GRAY38 = "gray38";
	public static final String GRAY39 = "gray39";
	public static final String GRAY4 = "gray4";
	public static final String GRAY40 = "gray40";
	public static final String GRAY41 = "gray41";
	public static final String GRAY42 = "gray42";
	public static final String GRAY43 = "gray43";
	public static final String GRAY44 = "gray44";
	public static final String GRAY45 = "gray45";
	public static final String GRAY46 = "gray46";
	public static final String GRAY47 = "gray47";
	public static final String GRAY48 = "gray48";
	public static final String GRAY49 = "gray49";
	public static final String GRAY5 = "gray5";
	public static final String GRAY50 = "gray50";
	public static final String GRAY51 = "gray51";
	public static final String GRAY52 = "gray52";
	public static final String GRAY53 = "gray53";
	public static final String GRAY54 = "gray54";
	public static final String GRAY55 = "gray55";
	public static final String GRAY56 = "gray56";
	public static final String GRAY57 = "gray57";
	public static final String GRAY58 = "gray58";
	public static final String GRAY59 = "gray59";
	public static final String GRAY6 = "gray6";
	public static final String GRAY60 = "gray60";
	public static final String GRAY61 = "gray61";
	public static final String GRAY62 = "gray62";
	public static final String GRAY63 = "gray63";
	public static final String GRAY64 = "gray64";
	public static final String GRAY65 = "gray65";
	public static final String GRAY66 = "gray66";
	public static final String GRAY67 = "gray67";
	public static final String GRAY68 = "gray68";
	public static final String GRAY69 = "gray69";
	public static final String GRAY7 = "gray7";
	public static final String GRAY70 = "gray70";
	public static final String GRAY71 = "gray71";
	public static final String GRAY72 = "gray72";
	public static final String GRAY73 = "gray73";
	public static final String GRAY74 = "gray74";
	public static final String GRAY75 = "gray75";
	public static final String GRAY76 = "gray76";
	public static final String GRAY77 = "gray77";
	public static final String GRAY78 = "gray78";
	public static final String GRAY79 = "gray79";
	public static final String GRAY8 = "gray8";
	public static final String GRAY80 = "gray80";
	public static final String GRAY81 = "gray81";
	public static final String GRAY82 = "gray82";
	public static final String GRAY83 = "gray83";
	public static final String GRAY84 = "gray84";
	public static final String GRAY85 = "gray85";
	public static final String GRAY86 = "gray86";
	public static final String GRAY87 = "gray87";
	public static final String GRAY88 = "gray88";
	public static final String GRAY89 = "gray89";
	public static final String GRAY9 = "gray9";
	public static final String GRAY90 = "gray90";
	public static final String GRAY91 = "gray91";
	public static final String GRAY92 = "gray92";
	public static final String GRAY93 = "gray93";
	public static final String GRAY94 = "gray94";
	public static final String GRAY95 = "gray95";
	public static final String GRAY96 = "gray96";
	public static final String GRAY97 = "gray97";
	public static final String GRAY98 = "gray98";
	public static final String GRAY99 = "gray99";
	public static final String GREEN = "green";
	public static final String GREEN_YELLOW = "green yellow";
	public static final String GREEN1 = "green1";
	public static final String GREEN2 = "green2";
	public static final String GREEN3 = "green3";
	public static final String GREEN4 = "green4";
	public static final String GREENYELLOW = "greenyellow";
	public static final String GREY = "grey";
	public static final String GREY0 = "grey0";
	public static final String GREY1 = "grey1";
	public static final String GREY10 = "grey10";
	public static final String GREY100 = "grey100";
	public static final String GREY11 = "grey11";
	public static final String GREY12 = "grey12";
	public static final String GREY13 = "grey13";
	public static final String GREY14 = "grey14";
	public static final String GREY15 = "grey15";
	public static final String GREY16 = "grey16";
	public static final String GREY17 = "grey17";
	public static final String GREY18 = "grey18";
	public static final String GREY19 = "grey19";
	public static final String GREY2 = "grey2";
	public static final String GREY20 = "grey20";
	public static final String GREY21 = "grey21";
	public static final String GREY22 = "grey22";
	public static final String GREY23 = "grey23";
	public static final String GREY24 = "grey24";
	public static final String GREY25 = "grey25";
	public static final String GREY26 = "grey26";
	public static final String GREY27 = "grey27";
	public static final String GREY28 = "grey28";
	public static final String GREY29 = "grey29";
	public static final String GREY3 = "grey3";
	public static final String GREY30 = "grey30";
	public static final String GREY31 = "grey31";
	public static final String GREY32 = "grey32";
	public static final String GREY33 = "grey33";
	public static final String GREY34 = "grey34";
	public static final String GREY35 = "grey35";
	public static final String GREY36 = "grey36";
	public static final String GREY37 = "grey37";
	public static final String GREY38 = "grey38";
	public static final String GREY39 = "grey39";
	public static final String GREY4 = "grey4";
	public static final String GREY40 = "grey40";
	public static final String GREY41 = "grey41";
	public static final String GREY42 = "grey42";
	public static final String GREY43 = "grey43";
	public static final String GREY44 = "grey44";
	public static final String GREY45 = "grey45";
	public static final String GREY46 = "grey46";
	public static final String GREY47 = "grey47";
	public static final String GREY48 = "grey48";
	public static final String GREY49 = "grey49";
	public static final String GREY5 = "grey5";
	public static final String GREY50 = "grey50";
	public static final String GREY51 = "grey51";
	public static final String GREY52 = "grey52";
	public static final String GREY53 = "grey53";
	public static final String GREY54 = "grey54";
	public static final String GREY55 = "grey55";
	public static final String GREY56 = "grey56";
	public static final String GREY57 = "grey57";
	public static final String GREY58 = "grey58";
	public static final String GREY59 = "grey59";
	public static final String GREY6 = "grey6";
	public static final String GREY60 = "grey60";
	public static final String GREY61 = "grey61";
	public static final String GREY62 = "grey62";
	public static final String GREY63 = "grey63";
	public static final String GREY64 = "grey64";
	public static final String GREY65 = "grey65";
	public static final String GREY66 = "grey66";
	public static final String GREY67 = "grey67";
	public static final String GREY68 = "grey68";
	public static final String GREY69 = "grey69";
	public static final String GREY7 = "grey7";
	public static final String GREY70 = "grey70";
	public static final String GREY71 = "grey71";
	public static final String GREY72 = "grey72";
	public static final String GREY73 = "grey73";
	public static final String GREY74 = "grey74";
	public static final String GREY75 = "grey75";
	public static final String GREY76 = "grey76";
	public static final String GREY77 = "grey77";
	public static final String GREY78 = "grey78";
	public static final String GREY79 = "grey79";
	public static final String GREY8 = "grey8";
	public static final String GREY80 = "grey80";
	public static final String GREY81 = "grey81";
	public static final String GREY82 = "grey82";
	public static final String GREY83 = "grey83";
	public static final String GREY84 = "grey84";
	public static final String GREY85 = "grey85";
	public static final String GREY86 = "grey86";
	public static final String GREY87 = "grey87";
	public static final String GREY88 = "grey88";
	public static final String GREY89 = "grey89";
	public static final String GREY9 = "grey9";
	public static final String GREY90 = "grey90";
	public static final String GREY91 = "grey91";
	public static final String GREY92 = "grey92";
	public static final String GREY93 = "grey93";
	public static final String GREY94 = "grey94";
	public static final String GREY95 = "grey95";
	public static final String GREY96 = "grey96";
	public static final String GREY97 = "grey97";
	public static final String GREY98 = "grey98";
	public static final String GREY99 = "grey99";
	public static final String HONEYDEW = "honeydew";
	public static final String HONEYDEW1 = "honeydew1";
	public static final String HONEYDEW2 = "honeydew2";
	public static final String HONEYDEW3 = "honeydew3";
	public static final String HONEYDEW4 = "honeydew4";
	public static final String HOT_PINK = "hot pink";
	public static final String HOTPINK = "hotpink";
	public static final String HOTPINK1 = "hotpink1";
	public static final String HOTPINK2 = "hotpink2";
	public static final String HOTPINK3 = "hotpink3";
	public static final String HOTPINK4 = "hotpink4";
	public static final String INDIAN_RED = "indian red";
	public static final String INDIANRED = "indianred";
	public static final String INDIANRED1 = "indianred1";
	public static final String INDIANRED2 = "indianred2";
	public static final String INDIANRED3 = "indianred3";
	public static final String INDIANRED4 = "indianred4";
	public static final String IVORY = "ivory";
	public static final String IVORY1 = "ivory1";
	public static final String IVORY2 = "ivory2";
	public static final String IVORY3 = "ivory3";
	public static final String IVORY4 = "ivory4";
	public static final String KHAKI = "khaki";
	public static final String KHAKI1 = "khaki1";
	public static final String KHAKI2 = "khaki2";
	public static final String KHAKI3 = "khaki3";
	public static final String KHAKI4 = "khaki4";
	public static final String LAVENDER = "lavender";
	public static final String LAVENDER_BLUSH = "lavender blush";
	public static final String LAVENDERBLUSH = "lavenderblush";
	public static final String LAVENDERBLUSH1 = "lavenderblush1";
	public static final String LAVENDERBLUSH2 = "lavenderblush2";
	public static final String LAVENDERBLUSH3 = "lavenderblush3";
	public static final String LAVENDERBLUSH4 = "lavenderblush4";
	public static final String LAWN_GREEN = "lawn green";
	public static final String LAWNGREEN = "lawngreen";
	public static final String LEMON_CHIFFON = "lemon chiffon";
	public static final String LEMONCHIFFON = "lemonchiffon";
	public static final String LEMONCHIFFON1 = "lemonchiffon1";
	public static final String LEMONCHIFFON2 = "lemonchiffon2";
	public static final String LEMONCHIFFON3 = "lemonchiffon3";
	public static final String LEMONCHIFFON4 = "lemonchiffon4";
	public static final String LIGHT_BLUE = "light blue";
	public static final String LIGHT_CORAL = "light coral";
	public static final String LIGHT_CYAN = "light cyan";
	public static final String LIGHT_GOLDENROD = "light goldenrod";
	public static final String LIGHT_GOLDENROD_YELLOW = "light goldenrod yellow";
	public static final String LIGHT_GRAY = "light gray";
	public static final String LIGHT_GREY = "light grey";
	public static final String LIGHT_PINK = "light pink";
	public static final String LIGHT_SALMON = "light salmon";
	public static final String LIGHT_SEA_GREEN = "light sea green";
	public static final String LIGHT_SKY_BLUE = "light sky blue";
	public static final String LIGHT_SLATE_BLUE = "light slate blue";
	public static final String LIGHT_SLATE_GRAY = "light slate gray";
	public static final String LIGHT_SLATE_GREY = "light slate grey";
	public static final String LIGHT_STEEL_BLUE = "light steel blue";
	public static final String LIGHT_YELLOW = "light yellow";
	public static final String LIGHTBLUE = "lightblue";
	public static final String LIGHTBLUE1 = "lightblue1";
	public static final String LIGHTBLUE2 = "lightblue2";
	public static final String LIGHTBLUE3 = "lightblue3";
	public static final String LIGHTBLUE4 = "lightblue4";
	public static final String LIGHTCORAL = "lightcoral";
	public static final String LIGHTCYAN = "lightcyan";
	public static final String LIGHTCYAN1 = "lightcyan1";
	public static final String LIGHTCYAN2 = "lightcyan2";
	public static final String LIGHTCYAN3 = "lightcyan3";
	public static final String LIGHTCYAN4 = "lightcyan4";
	public static final String LIGHTGOLDENROD = "lightgoldenrod";
	public static final String LIGHTGOLDENROD1 = "lightgoldenrod1";
	public static final String LIGHTGOLDENROD2 = "lightgoldenrod2";
	public static final String LIGHTGOLDENROD3 = "lightgoldenrod3";
	public static final String LIGHTGOLDENROD4 = "lightgoldenrod4";
	public static final String LIGHTGOLDENRODYELLOW = "lightgoldenrodyellow";
	public static final String LIGHTGRAY = "lightgray";
	public static final String LIGHTGREY = "lightgrey";
	public static final String LIGHTPINK = "lightpink";
	public static final String LIGHTPINK1 = "lightpink1";
	public static final String LIGHTPINK2 = "lightpink2";
	public static final String LIGHTPINK3 = "lightpink3";
	public static final String LIGHTPINK4 = "lightpink4";
	public static final String LIGHTSALMON = "lightsalmon";
	public static final String LIGHTSALMON1 = "lightsalmon1";
	public static final String LIGHTSALMON2 = "lightsalmon2";
	public static final String LIGHTSALMON3 = "lightsalmon3";
	public static final String LIGHTSALMON4 = "lightsalmon4";
	public static final String LIGHTSEAGREEN = "lightseagreen";
	public static final String LIGHTSKYBLUE = "lightskyblue";
	public static final String LIGHTSKYBLUE1 = "lightskyblue1";
	public static final String LIGHTSKYBLUE2 = "lightskyblue2";
	public static final String LIGHTSKYBLUE3 = "lightskyblue3";
	public static final String LIGHTSKYBLUE4 = "lightskyblue4";
	public static final String LIGHTSLATEBLUE = "lightslateblue";
	public static final String LIGHTSLATEGRAY = "lightslategray";
	public static final String LIGHTSLATEGREY = "lightslategrey";
	public static final String LIGHTSTEELBLUE = "lightsteelblue";
	public static final String LIGHTSTEELBLUE1 = "lightsteelblue1";
	public static final String LIGHTSTEELBLUE2 = "lightsteelblue2";
	public static final String LIGHTSTEELBLUE3 = "lightsteelblue3";
	public static final String LIGHTSTEELBLUE4 = "lightsteelblue4";
	public static final String LIGHTYELLOW = "lightyellow";
	public static final String LIGHTYELLOW1 = "lightyellow1";
	public static final String LIGHTYELLOW2 = "lightyellow2";
	public static final String LIGHTYELLOW3 = "lightyellow3";
	public static final String LIGHTYELLOW4 = "lightyellow4";
	public static final String LIME_GREEN = "lime green";
	public static final String LIMEGREEN = "limegreen";
	public static final String LINEN = "linen";
	public static final String MAGENTA = "magenta";
	public static final String MAGENTA1 = "magenta1";
	public static final String MAGENTA2 = "magenta2";
	public static final String MAGENTA3 = "magenta3";
	public static final String MAGENTA4 = "magenta4";
	public static final String MAROON = "maroon";
	public static final String MAROON1 = "maroon1";
	public static final String MAROON2 = "maroon2";
	public static final String MAROON3 = "maroon3";
	public static final String MAROON4 = "maroon4";
	public static final String MEDIUM_AQUAMARINE = "medium aquamarine";
	public static final String MEDIUM_BLUE = "medium blue";
	public static final String MEDIUM_ORCHID = "medium orchid";
	public static final String MEDIUM_PURPLE = "medium purple";
	public static final String MEDIUM_SEA_GREEN = "medium sea green";
	public static final String MEDIUM_SLATE_BLUE = "medium slate blue";
	public static final String MEDIUM_SPRING_GREEN = "medium spring green";
	public static final String MEDIUM_TURQUOISE = "medium turquoise";
	public static final String MEDIUM_VIOLET_RED = "medium violet red";
	public static final String MEDIUMAQUAMARINE = "mediumaquamarine";
	public static final String MEDIUMBLUE = "mediumblue";
	public static final String MEDIUMORCHID = "mediumorchid";
	public static final String MEDIUMORCHID1 = "mediumorchid1";
	public static final String MEDIUMORCHID2 = "mediumorchid2";
	public static final String MEDIUMORCHID3 = "mediumorchid3";
	public static final String MEDIUMORCHID4 = "mediumorchid4";
	public static final String MEDIUMPURPLE = "mediumpurple";
	public static final String MEDIUMPURPLE1 = "mediumpurple1";
	public static final String MEDIUMPURPLE2 = "mediumpurple2";
	public static final String MEDIUMPURPLE3 = "mediumpurple3";
	public static final String MEDIUMPURPLE4 = "mediumpurple4";
	public static final String MEDIUMSEAGREEN = "mediumseagreen";
	public static final String MEDIUMSLATEBLUE = "mediumslateblue";
	public static final String MEDIUMSPRINGGREEN = "mediumspringgreen";
	public static final String MEDIUMTURQUOISE = "mediumturquoise";
	public static final String MEDIUMVIOLETRED = "mediumvioletred";
	public static final String MIDNIGHT_BLUE = "midnight blue";
	public static final String MIDNIGHTBLUE = "midnightblue";
	public static final String MINT_CREAM = "mint cream";
	public static final String MINTCREAM = "mintcream";
	public static final String MISTY_ROSE = "misty rose";
	public static final String MISTYROSE = "mistyrose";
	public static final String MISTYROSE1 = "mistyrose1";
	public static final String MISTYROSE2 = "mistyrose2";
	public static final String MISTYROSE3 = "mistyrose3";
	public static final String MISTYROSE4 = "mistyrose4";
	public static final String MOCCASIN = "moccasin";
	public static final String NAVAJO_WHITE = "navajo white";
	public static final String NAVAJOWHITE = "navajowhite";
	public static final String NAVAJOWHITE1 = "navajowhite1";
	public static final String NAVAJOWHITE2 = "navajowhite2";
	public static final String NAVAJOWHITE3 = "navajowhite3";
	public static final String NAVAJOWHITE4 = "navajowhite4";
	public static final String NAVY = "navy";
	public static final String NAVY_BLUE = "navy blue";
	public static final String NAVYBLUE = "navyblue";
	public static final String OLD_LACE = "old lace";
	public static final String OLDLACE = "oldlace";
	public static final String OLIVE_DRAB = "olive drab";
	public static final String OLIVEDRAB = "olivedrab";
	public static final String OLIVEDRAB1 = "olivedrab1";
	public static final String OLIVEDRAB2 = "olivedrab2";
	public static final String OLIVEDRAB3 = "olivedrab3";
	public static final String OLIVEDRAB4 = "olivedrab4";
	public static final String ORANGE = "orange";
	public static final String ORANGE_RED = "orange red";
	public static final String ORANGE1 = "orange1";
	public static final String ORANGE2 = "orange2";
	public static final String ORANGE3 = "orange3";
	public static final String ORANGE4 = "orange4";
	public static final String ORANGERED = "orangered";
	public static final String ORANGERED1 = "orangered1";
	public static final String ORANGERED2 = "orangered2";
	public static final String ORANGERED3 = "orangered3";
	public static final String ORANGERED4 = "orangered4";
	public static final String ORCHID = "orchid";
	public static final String ORCHID1 = "orchid1";
	public static final String ORCHID2 = "orchid2";
	public static final String ORCHID3 = "orchid3";
	public static final String ORCHID4 = "orchid4";
	public static final String PALE_GOLDENROD = "pale goldenrod";
	public static final String PALE_GREEN = "pale green";
	public static final String PALE_TURQUOISE = "pale turquoise";
	public static final String PALE_VIOLET_RED = "pale violet red";
	public static final String PALEGOLDENROD = "palegoldenrod";
	public static final String PALEGREEN = "palegreen";
	public static final String PALEGREEN1 = "palegreen1";
	public static final String PALEGREEN2 = "palegreen2";
	public static final String PALEGREEN3 = "palegreen3";
	public static final String PALEGREEN4 = "palegreen4";
	public static final String PALETURQUOISE = "paleturquoise";
	public static final String PALETURQUOISE1 = "paleturquoise1";
	public static final String PALETURQUOISE2 = "paleturquoise2";
	public static final String PALETURQUOISE3 = "paleturquoise3";
	public static final String PALETURQUOISE4 = "paleturquoise4";
	public static final String PALEVIOLETRED = "palevioletred";
	public static final String PALEVIOLETRED1 = "palevioletred1";
	public static final String PALEVIOLETRED2 = "palevioletred2";
	public static final String PALEVIOLETRED3 = "palevioletred3";
	public static final String PALEVIOLETRED4 = "palevioletred4";
	public static final String PAPAYA_WHIP = "papaya whip";
	public static final String PAPAYAWHIP = "papayawhip";
	public static final String PEACH_PUFF = "peach puff";
	public static final String PEACHPUFF = "peachpuff";
	public static final String PEACHPUFF1 = "peachpuff1";
	public static final String PEACHPUFF2 = "peachpuff2";
	public static final String PEACHPUFF3 = "peachpuff3";
	public static final String PEACHPUFF4 = "peachpuff4";
	public static final String PERU = "peru";
	public static final String PINK = "pink";
	public static final String PINK1 = "pink1";
	public static final String PINK2 = "pink2";
	public static final String PINK3 = "pink3";
	public static final String PINK4 = "pink4";
	public static final String PLUM = "plum";
	public static final String PLUM1 = "plum1";
	public static final String PLUM2 = "plum2";
	public static final String PLUM3 = "plum3";
	public static final String PLUM4 = "plum4";
	public static final String POWDER_BLUE = "powder blue";
	public static final String POWDERBLUE = "powderblue";
	public static final String PURPLE = "purple";
	public static final String PURPLE1 = "purple1";
	public static final String PURPLE2 = "purple2";
	public static final String PURPLE3 = "purple3";
	public static final String PURPLE4 = "purple4";
	public static final String RED = "red";
	public static final String RED1 = "red1";
	public static final String RED2 = "red2";
	public static final String RED3 = "red3";
	public static final String RED4 = "red4";
	public static final String ROSY_BROWN = "rosy brown";
	public static final String ROSYBROWN = "rosybrown";
	public static final String ROSYBROWN1 = "rosybrown1";
	public static final String ROSYBROWN2 = "rosybrown2";
	public static final String ROSYBROWN3 = "rosybrown3";
	public static final String ROSYBROWN4 = "rosybrown4";
	public static final String ROYAL_BLUE = "royal blue";
	public static final String ROYALBLUE = "royalblue";
	public static final String ROYALBLUE1 = "royalblue1";
	public static final String ROYALBLUE2 = "royalblue2";
	public static final String ROYALBLUE3 = "royalblue3";
	public static final String ROYALBLUE4 = "royalblue4";
	public static final String SADDLE_BROWN = "saddle brown";
	public static final String SADDLEBROWN = "saddlebrown";
	public static final String SALMON = "salmon";
	public static final String SALMON1 = "salmon1";
	public static final String SALMON2 = "salmon2";
	public static final String SALMON3 = "salmon3";
	public static final String SALMON4 = "salmon4";
	public static final String SANDY_BROWN = "sandy brown";
	public static final String SANDYBROWN = "sandybrown";
	public static final String SEA_GREEN = "sea green";
	public static final String SEAGREEN = "seagreen";
	public static final String SEAGREEN1 = "seagreen1";
	public static final String SEAGREEN2 = "seagreen2";
	public static final String SEAGREEN3 = "seagreen3";
	public static final String SEAGREEN4 = "seagreen4";
	public static final String SEASHELL = "seashell";
	public static final String SEASHELL1 = "seashell1";
	public static final String SEASHELL2 = "seashell2";
	public static final String SEASHELL3 = "seashell3";
	public static final String SEASHELL4 = "seashell4";
	public static final String SIENNA = "sienna";
	public static final String SIENNA1 = "sienna1";
	public static final String SIENNA2 = "sienna2";
	public static final String SIENNA3 = "sienna3";
	public static final String SIENNA4 = "sienna4";
	public static final String SKY_BLUE = "sky blue";
	public static final String SKYBLUE = "skyblue";
	public static final String SKYBLUE1 = "skyblue1";
	public static final String SKYBLUE2 = "skyblue2";
	public static final String SKYBLUE3 = "skyblue3";
	public static final String SKYBLUE4 = "skyblue4";
	public static final String SLATE_BLUE = "slate blue";
	public static final String SLATE_GRAY = "slate gray";
	public static final String SLATE_GREY = "slate grey";
	public static final String SLATEBLUE = "slateblue";
	public static final String SLATEBLUE1 = "slateblue1";
	public static final String SLATEBLUE2 = "slateblue2";
	public static final String SLATEBLUE3 = "slateblue3";
	public static final String SLATEBLUE4 = "slateblue4";
	public static final String SLATEGRAY = "slategray";
	public static final String SLATEGRAY1 = "slategray1";
	public static final String SLATEGRAY2 = "slategray2";
	public static final String SLATEGRAY3 = "slategray3";
	public static final String SLATEGRAY4 = "slategray4";
	public static final String SLATEGREY = "slategrey";
	public static final String SNOW = "snow";
	public static final String SNOW1 = "snow1";
	public static final String SNOW2 = "snow2";
	public static final String SNOW3 = "snow3";
	public static final String SNOW4 = "snow4";
	public static final String SPRING_GREEN = "spring green";
	public static final String SPRINGGREEN = "springgreen";
	public static final String SPRINGGREEN1 = "springgreen1";
	public static final String SPRINGGREEN2 = "springgreen2";
	public static final String SPRINGGREEN3 = "springgreen3";
	public static final String SPRINGGREEN4 = "springgreen4";
	public static final String STEEL_BLUE = "steel blue";
	public static final String STEELBLUE = "steelblue";
	public static final String STEELBLUE1 = "steelblue1";
	public static final String STEELBLUE2 = "steelblue2";
	public static final String STEELBLUE3 = "steelblue3";
	public static final String STEELBLUE4 = "steelblue4";
	public static final String TAN = "tan";
	public static final String TAN1 = "tan1";
	public static final String TAN2 = "tan2";
	public static final String TAN3 = "tan3";
	public static final String TAN4 = "tan4";
	public static final String THISTLE = "thistle";
	public static final String THISTLE1 = "thistle1";
	public static final String THISTLE2 = "thistle2";
	public static final String THISTLE3 = "thistle3";
	public static final String THISTLE4 = "thistle4";
	public static final String TOMATO = "tomato";
	public static final String TOMATO1 = "tomato1";
	public static final String TOMATO2 = "tomato2";
	public static final String TOMATO3 = "tomato3";
	public static final String TOMATO4 = "tomato4";
	public static final String TURQUOISE = "turquoise";
	public static final String TURQUOISE1 = "turquoise1";
	public static final String TURQUOISE2 = "turquoise2";
	public static final String TURQUOISE3 = "turquoise3";
	public static final String TURQUOISE4 = "turquoise4";
	public static final String VIOLET = "violet";
	public static final String VIOLET_RED = "violet red";
	public static final String VIOLETRED = "violetred";
	public static final String VIOLETRED1 = "violetred1";
	public static final String VIOLETRED2 = "violetred2";
	public static final String VIOLETRED3 = "violetred3";
	public static final String VIOLETRED4 = "violetred4";
	public static final String WHEAT = "wheat";
	public static final String WHEAT1 = "wheat1";
	public static final String WHEAT2 = "wheat2";
	public static final String WHEAT3 = "wheat3";
	public static final String WHEAT4 = "wheat4";
	public static final String WHITE = "white";
	public static final String WHITE_SMOKE = "white smoke";
	public static final String WHITESMOKE = "whitesmoke";
	public static final String YELLOW = "yellow";
	public static final String YELLOW_GREEN = "yellow green";
	public static final String YELLOW1 = "yellow1";
	public static final String YELLOW2 = "yellow2";
	public static final String YELLOW3 = "yellow3";
	public static final String YELLOW4 = "yellow4";
	public static final String YELLOWGREEN = "yellowgreen";
	
	/** This constructor is private so that clients cannot instantiate this class.
	 *
	 */
	private ColorFactory() {
		int[] rgb = null;
		_map = new TreeMap();
		
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 248;
		rgb[2] = 255;
		_map.put(ALICE_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 248;
		rgb[2] = 255;
		_map.put(ALICEBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 235;
		rgb[2] = 215;
		_map.put(ANTIQUE_WHITE, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 235;
		rgb[2] = 215;
		_map.put(ANTIQUEWHITE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 239;
		rgb[2] = 219;
		_map.put(ANTIQUEWHITE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 223;
		rgb[2] = 204;
		_map.put(ANTIQUEWHITE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 192;
		rgb[2] = 176;
		_map.put(ANTIQUEWHITE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 131;
		rgb[2] = 120;
		_map.put(ANTIQUEWHITE4, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 255;
		rgb[2] = 212;
		_map.put(AQUAMARINE, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 255;
		rgb[2] = 212;
		_map.put(AQUAMARINE1, rgb);
		rgb = new int[3];
		rgb[0] = 118;
		rgb[1] = 238;
		rgb[2] = 198;
		_map.put(AQUAMARINE2, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 205;
		rgb[2] = 170;
		_map.put(AQUAMARINE3, rgb);
		rgb = new int[3];
		rgb[0] = 69;
		rgb[1] = 139;
		rgb[2] = 116;
		_map.put(AQUAMARINE4, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(AZURE, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(AZURE1, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(AZURE2, rgb);
		rgb = new int[3];
		rgb[0] = 193;
		rgb[1] = 205;
		rgb[2] = 205;
		_map.put(AZURE3, rgb);
		rgb = new int[3];
		rgb[0] = 131;
		rgb[1] = 139;
		rgb[2] = 139;
		_map.put(AZURE4, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 245;
		rgb[2] = 220;
		_map.put(BEIGE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 196;
		_map.put(BISQUE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 196;
		_map.put(BISQUE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 213;
		rgb[2] = 183;
		_map.put(BISQUE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 183;
		rgb[2] = 158;
		_map.put(BISQUE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 125;
		rgb[2] = 107;
		_map.put(BISQUE4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(BLACK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 235;
		rgb[2] = 205;
		_map.put(BLANCHED_ALMOND, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 235;
		rgb[2] = 205;
		_map.put(BLANCHEDALMOND, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 255;
		_map.put(BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 138;
		rgb[1] = 43;
		rgb[2] = 226;
		_map.put(BLUE_VIOLET, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 255;
		_map.put(BLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 238;
		_map.put(BLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 205;
		_map.put(BLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 139;
		_map.put(BLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 138;
		rgb[1] = 43;
		rgb[2] = 226;
		_map.put(BLUEVIOLET, rgb);
		rgb = new int[3];
		rgb[0] = 165;
		rgb[1] = 42;
		rgb[2] = 42;
		_map.put(BROWN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 64;
		rgb[2] = 64;
		_map.put(BROWN1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 59;
		rgb[2] = 59;
		_map.put(BROWN2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 51;
		rgb[2] = 51;
		_map.put(BROWN3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 35;
		rgb[2] = 35;
		_map.put(BROWN4, rgb);
		rgb = new int[3];
		rgb[0] = 222;
		rgb[1] = 184;
		rgb[2] = 135;
		_map.put(BURLYWOOD, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 211;
		rgb[2] = 155;
		_map.put(BURLYWOOD1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 197;
		rgb[2] = 145;
		_map.put(BURLYWOOD2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 170;
		rgb[2] = 125;
		_map.put(BURLYWOOD3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 115;
		rgb[2] = 85;
		_map.put(BURLYWOOD4, rgb);
		rgb = new int[3];
		rgb[0] = 95;
		rgb[1] = 158;
		rgb[2] = 160;
		_map.put(CADET_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 95;
		rgb[1] = 158;
		rgb[2] = 160;
		_map.put(CADETBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 152;
		rgb[1] = 245;
		rgb[2] = 255;
		_map.put(CADETBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 142;
		rgb[1] = 229;
		rgb[2] = 238;
		_map.put(CADETBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 197;
		rgb[2] = 205;
		_map.put(CADETBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 83;
		rgb[1] = 134;
		rgb[2] = 139;
		_map.put(CADETBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(CHARTREUSE, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(CHARTREUSE1, rgb);
		rgb = new int[3];
		rgb[0] = 118;
		rgb[1] = 238;
		rgb[2] = 0;
		_map.put(CHARTREUSE2, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 205;
		rgb[2] = 0;
		_map.put(CHARTREUSE3, rgb);
		rgb = new int[3];
		rgb[0] = 69;
		rgb[1] = 139;
		rgb[2] = 0;
		_map.put(CHARTREUSE4, rgb);
		rgb = new int[3];
		rgb[0] = 210;
		rgb[1] = 105;
		rgb[2] = 30;
		_map.put(CHOCOLATE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 127;
		rgb[2] = 36;
		_map.put(CHOCOLATE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 118;
		rgb[2] = 33;
		_map.put(CHOCOLATE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 102;
		rgb[2] = 29;
		_map.put(CHOCOLATE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 69;
		rgb[2] = 19;
		_map.put(CHOCOLATE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 127;
		rgb[2] = 80;
		_map.put(CORAL, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 114;
		rgb[2] = 86;
		_map.put(CORAL1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 106;
		rgb[2] = 80;
		_map.put(CORAL2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 91;
		rgb[2] = 69;
		_map.put(CORAL3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 62;
		rgb[2] = 47;
		_map.put(CORAL4, rgb);
		rgb = new int[3];
		rgb[0] = 100;
		rgb[1] = 149;
		rgb[2] = 237;
		_map.put(CORNFLOWER_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 100;
		rgb[1] = 149;
		rgb[2] = 237;
		_map.put(CORNFLOWERBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 248;
		rgb[2] = 220;
		_map.put(CORNSILK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 248;
		rgb[2] = 220;
		_map.put(CORNSILK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 232;
		rgb[2] = 205;
		_map.put(CORNSILK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 200;
		rgb[2] = 177;
		_map.put(CORNSILK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 136;
		rgb[2] = 120;
		_map.put(CORNSILK4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(CYAN, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(CYAN1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(CYAN2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 205;
		rgb[2] = 205;
		_map.put(CYAN3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 139;
		rgb[2] = 139;
		_map.put(CYAN4, rgb);
		rgb = new int[3];
		rgb[0] = 184;
		rgb[1] = 134;
		rgb[2] = 11;
		_map.put(DARK_GOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 100;
		rgb[2] = 0;
		_map.put(DARK_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 189;
		rgb[1] = 183;
		rgb[2] = 107;
		_map.put(DARK_KHAKI, rgb);
		rgb = new int[3];
		rgb[0] = 85;
		rgb[1] = 107;
		rgb[2] = 47;
		_map.put(DARK_OLIVE_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 140;
		rgb[2] = 0;
		_map.put(DARK_ORANGE, rgb);
		rgb = new int[3];
		rgb[0] = 153;
		rgb[1] = 50;
		rgb[2] = 204;
		_map.put(DARK_ORCHID, rgb);
		rgb = new int[3];
		rgb[0] = 233;
		rgb[1] = 150;
		rgb[2] = 122;
		_map.put(DARK_SALMON, rgb);
		rgb = new int[3];
		rgb[0] = 143;
		rgb[1] = 188;
		rgb[2] = 143;
		_map.put(DARK_SEA_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 72;
		rgb[1] = 61;
		rgb[2] = 139;
		_map.put(DARK_SLATE_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 47;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(DARK_SLATE_GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 47;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(DARK_SLATE_GREY, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 206;
		rgb[2] = 209;
		_map.put(DARK_TURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 148;
		rgb[1] = 0;
		rgb[2] = 211;
		_map.put(DARK_VIOLET, rgb);
		rgb = new int[3];
		rgb[0] = 184;
		rgb[1] = 134;
		rgb[2] = 11;
		_map.put(DARKGOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 185;
		rgb[2] = 15;
		_map.put(DARKGOLDENROD1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 173;
		rgb[2] = 14;
		_map.put(DARKGOLDENROD2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 149;
		rgb[2] = 12;
		_map.put(DARKGOLDENROD3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 101;
		rgb[2] = 8;
		_map.put(DARKGOLDENROD4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 100;
		rgb[2] = 0;
		_map.put(DARKGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 189;
		rgb[1] = 183;
		rgb[2] = 107;
		_map.put(DARKKHAKI, rgb);
		rgb = new int[3];
		rgb[0] = 85;
		rgb[1] = 107;
		rgb[2] = 47;
		_map.put(DARKOLIVEGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 202;
		rgb[1] = 255;
		rgb[2] = 112;
		_map.put(DARKOLIVEGREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 188;
		rgb[1] = 238;
		rgb[2] = 104;
		_map.put(DARKOLIVEGREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 162;
		rgb[1] = 205;
		rgb[2] = 90;
		_map.put(DARKOLIVEGREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 110;
		rgb[1] = 139;
		rgb[2] = 61;
		_map.put(DARKOLIVEGREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 140;
		rgb[2] = 0;
		_map.put(DARKORANGE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 127;
		rgb[2] = 0;
		_map.put(DARKORANGE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 118;
		rgb[2] = 0;
		_map.put(DARKORANGE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 102;
		rgb[2] = 0;
		_map.put(DARKORANGE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 69;
		rgb[2] = 0;
		_map.put(DARKORANGE4, rgb);
		rgb = new int[3];
		rgb[0] = 153;
		rgb[1] = 50;
		rgb[2] = 204;
		_map.put(DARKORCHID, rgb);
		rgb = new int[3];
		rgb[0] = 191;
		rgb[1] = 62;
		rgb[2] = 255;
		_map.put(DARKORCHID1, rgb);
		rgb = new int[3];
		rgb[0] = 178;
		rgb[1] = 58;
		rgb[2] = 238;
		_map.put(DARKORCHID2, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 50;
		rgb[2] = 205;
		_map.put(DARKORCHID3, rgb);
		rgb = new int[3];
		rgb[0] = 104;
		rgb[1] = 34;
		rgb[2] = 139;
		_map.put(DARKORCHID4, rgb);
		rgb = new int[3];
		rgb[0] = 233;
		rgb[1] = 150;
		rgb[2] = 122;
		_map.put(DARKSALMON, rgb);
		rgb = new int[3];
		rgb[0] = 143;
		rgb[1] = 188;
		rgb[2] = 143;
		_map.put(DARKSEAGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 193;
		rgb[1] = 255;
		rgb[2] = 193;
		_map.put(DARKSEAGREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 180;
		rgb[1] = 238;
		rgb[2] = 180;
		_map.put(DARKSEAGREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 155;
		rgb[1] = 205;
		rgb[2] = 155;
		_map.put(DARKSEAGREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 139;
		rgb[2] = 105;
		_map.put(DARKSEAGREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 72;
		rgb[1] = 61;
		rgb[2] = 139;
		_map.put(DARKSLATEBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 47;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(DARKSLATEGRAY, rgb);
		rgb = new int[3];
		rgb[0] = 151;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(DARKSLATEGRAY1, rgb);
		rgb = new int[3];
		rgb[0] = 141;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(DARKSLATEGRAY2, rgb);
		rgb = new int[3];
		rgb[0] = 121;
		rgb[1] = 205;
		rgb[2] = 205;
		_map.put(DARKSLATEGRAY3, rgb);
		rgb = new int[3];
		rgb[0] = 82;
		rgb[1] = 139;
		rgb[2] = 139;
		_map.put(DARKSLATEGRAY4, rgb);
		rgb = new int[3];
		rgb[0] = 47;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(DARKSLATEGREY, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 206;
		rgb[2] = 209;
		_map.put(DARKTURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 148;
		rgb[1] = 0;
		rgb[2] = 211;
		_map.put(DARKVIOLET, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 20;
		rgb[2] = 147;
		_map.put(DEEP_PINK, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 191;
		rgb[2] = 255;
		_map.put(DEEP_SKY_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 20;
		rgb[2] = 147;
		_map.put(DEEPPINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 20;
		rgb[2] = 147;
		_map.put(DEEPPINK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 18;
		rgb[2] = 137;
		_map.put(DEEPPINK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 16;
		rgb[2] = 118;
		_map.put(DEEPPINK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 10;
		rgb[2] = 80;
		_map.put(DEEPPINK4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 191;
		rgb[2] = 255;
		_map.put(DEEPSKYBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 191;
		rgb[2] = 255;
		_map.put(DEEPSKYBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 178;
		rgb[2] = 238;
		_map.put(DEEPSKYBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 154;
		rgb[2] = 205;
		_map.put(DEEPSKYBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 104;
		rgb[2] = 139;
		_map.put(DEEPSKYBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(DIM_GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(DIM_GREY, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(DIMGRAY, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(DIMGREY, rgb);
		rgb = new int[3];
		rgb[0] = 30;
		rgb[1] = 144;
		rgb[2] = 255;
		_map.put(DODGER_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 30;
		rgb[1] = 144;
		rgb[2] = 255;
		_map.put(DODGERBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 30;
		rgb[1] = 144;
		rgb[2] = 255;
		_map.put(DODGERBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 28;
		rgb[1] = 134;
		rgb[2] = 238;
		_map.put(DODGERBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 24;
		rgb[1] = 116;
		rgb[2] = 205;
		_map.put(DODGERBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 16;
		rgb[1] = 78;
		rgb[2] = 139;
		_map.put(DODGERBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 178;
		rgb[1] = 34;
		rgb[2] = 34;
		_map.put(FIREBRICK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 48;
		rgb[2] = 48;
		_map.put(FIREBRICK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 44;
		rgb[2] = 44;
		_map.put(FIREBRICK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 38;
		rgb[2] = 38;
		_map.put(FIREBRICK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 26;
		rgb[2] = 26;
		_map.put(FIREBRICK4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 240;
		_map.put(FLORAL_WHITE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 240;
		_map.put(FLORALWHITE, rgb);
		rgb = new int[3];
		rgb[0] = 34;
		rgb[1] = 139;
		rgb[2] = 34;
		_map.put(FOREST_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 34;
		rgb[1] = 139;
		rgb[2] = 34;
		_map.put(FORESTGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 220;
		rgb[1] = 220;
		rgb[2] = 220;
		_map.put(GAINSBORO, rgb);
		rgb = new int[3];
		rgb[0] = 248;
		rgb[1] = 248;
		rgb[2] = 255;
		_map.put(GHOST_WHITE, rgb);
		rgb = new int[3];
		rgb[0] = 248;
		rgb[1] = 248;
		rgb[2] = 255;
		_map.put(GHOSTWHITE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 215;
		rgb[2] = 0;
		_map.put(GOLD, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 215;
		rgb[2] = 0;
		_map.put(GOLD1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 201;
		rgb[2] = 0;
		_map.put(GOLD2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 173;
		rgb[2] = 0;
		_map.put(GOLD3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 117;
		rgb[2] = 0;
		_map.put(GOLD4, rgb);
		rgb = new int[3];
		rgb[0] = 218;
		rgb[1] = 165;
		rgb[2] = 32;
		_map.put(GOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 193;
		rgb[2] = 37;
		_map.put(GOLDENROD1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 180;
		rgb[2] = 34;
		_map.put(GOLDENROD2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 155;
		rgb[2] = 29;
		_map.put(GOLDENROD3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 105;
		rgb[2] = 20;
		_map.put(GOLDENROD4, rgb);
		rgb = new int[3];
		rgb[0] = 192;
		rgb[1] = 192;
		rgb[2] = 192;
		_map.put(GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(GRAY0, rgb);
		rgb = new int[3];
		rgb[0] = 3;
		rgb[1] = 3;
		rgb[2] = 3;
		_map.put(GRAY1, rgb);
		rgb = new int[3];
		rgb[0] = 26;
		rgb[1] = 26;
		rgb[2] = 26;
		_map.put(GRAY10, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(GRAY100, rgb);
		rgb = new int[3];
		rgb[0] = 28;
		rgb[1] = 28;
		rgb[2] = 28;
		_map.put(GRAY11, rgb);
		rgb = new int[3];
		rgb[0] = 31;
		rgb[1] = 31;
		rgb[2] = 31;
		_map.put(GRAY12, rgb);
		rgb = new int[3];
		rgb[0] = 33;
		rgb[1] = 33;
		rgb[2] = 33;
		_map.put(GRAY13, rgb);
		rgb = new int[3];
		rgb[0] = 36;
		rgb[1] = 36;
		rgb[2] = 36;
		_map.put(GRAY14, rgb);
		rgb = new int[3];
		rgb[0] = 38;
		rgb[1] = 38;
		rgb[2] = 38;
		_map.put(GRAY15, rgb);
		rgb = new int[3];
		rgb[0] = 41;
		rgb[1] = 41;
		rgb[2] = 41;
		_map.put(GRAY16, rgb);
		rgb = new int[3];
		rgb[0] = 43;
		rgb[1] = 43;
		rgb[2] = 43;
		_map.put(GRAY17, rgb);
		rgb = new int[3];
		rgb[0] = 46;
		rgb[1] = 46;
		rgb[2] = 46;
		_map.put(GRAY18, rgb);
		rgb = new int[3];
		rgb[0] = 48;
		rgb[1] = 48;
		rgb[2] = 48;
		_map.put(GRAY19, rgb);
		rgb = new int[3];
		rgb[0] = 5;
		rgb[1] = 5;
		rgb[2] = 5;
		_map.put(GRAY2, rgb);
		rgb = new int[3];
		rgb[0] = 51;
		rgb[1] = 51;
		rgb[2] = 51;
		_map.put(GRAY20, rgb);
		rgb = new int[3];
		rgb[0] = 54;
		rgb[1] = 54;
		rgb[2] = 54;
		_map.put(GRAY21, rgb);
		rgb = new int[3];
		rgb[0] = 56;
		rgb[1] = 56;
		rgb[2] = 56;
		_map.put(GRAY22, rgb);
		rgb = new int[3];
		rgb[0] = 59;
		rgb[1] = 59;
		rgb[2] = 59;
		_map.put(GRAY23, rgb);
		rgb = new int[3];
		rgb[0] = 61;
		rgb[1] = 61;
		rgb[2] = 61;
		_map.put(GRAY24, rgb);
		rgb = new int[3];
		rgb[0] = 64;
		rgb[1] = 64;
		rgb[2] = 64;
		_map.put(GRAY25, rgb);
		rgb = new int[3];
		rgb[0] = 66;
		rgb[1] = 66;
		rgb[2] = 66;
		_map.put(GRAY26, rgb);
		rgb = new int[3];
		rgb[0] = 69;
		rgb[1] = 69;
		rgb[2] = 69;
		_map.put(GRAY27, rgb);
		rgb = new int[3];
		rgb[0] = 71;
		rgb[1] = 71;
		rgb[2] = 71;
		_map.put(GRAY28, rgb);
		rgb = new int[3];
		rgb[0] = 74;
		rgb[1] = 74;
		rgb[2] = 74;
		_map.put(GRAY29, rgb);
		rgb = new int[3];
		rgb[0] = 8;
		rgb[1] = 8;
		rgb[2] = 8;
		_map.put(GRAY3, rgb);
		rgb = new int[3];
		rgb[0] = 77;
		rgb[1] = 77;
		rgb[2] = 77;
		_map.put(GRAY30, rgb);
		rgb = new int[3];
		rgb[0] = 79;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(GRAY31, rgb);
		rgb = new int[3];
		rgb[0] = 82;
		rgb[1] = 82;
		rgb[2] = 82;
		_map.put(GRAY32, rgb);
		rgb = new int[3];
		rgb[0] = 84;
		rgb[1] = 84;
		rgb[2] = 84;
		_map.put(GRAY33, rgb);
		rgb = new int[3];
		rgb[0] = 87;
		rgb[1] = 87;
		rgb[2] = 87;
		_map.put(GRAY34, rgb);
		rgb = new int[3];
		rgb[0] = 89;
		rgb[1] = 89;
		rgb[2] = 89;
		_map.put(GRAY35, rgb);
		rgb = new int[3];
		rgb[0] = 92;
		rgb[1] = 92;
		rgb[2] = 92;
		_map.put(GRAY36, rgb);
		rgb = new int[3];
		rgb[0] = 94;
		rgb[1] = 94;
		rgb[2] = 94;
		_map.put(GRAY37, rgb);
		rgb = new int[3];
		rgb[0] = 97;
		rgb[1] = 97;
		rgb[2] = 97;
		_map.put(GRAY38, rgb);
		rgb = new int[3];
		rgb[0] = 99;
		rgb[1] = 99;
		rgb[2] = 99;
		_map.put(GRAY39, rgb);
		rgb = new int[3];
		rgb[0] = 10;
		rgb[1] = 10;
		rgb[2] = 10;
		_map.put(GRAY4, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 102;
		rgb[2] = 102;
		_map.put(GRAY40, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(GRAY41, rgb);
		rgb = new int[3];
		rgb[0] = 107;
		rgb[1] = 107;
		rgb[2] = 107;
		_map.put(GRAY42, rgb);
		rgb = new int[3];
		rgb[0] = 110;
		rgb[1] = 110;
		rgb[2] = 110;
		_map.put(GRAY43, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 112;
		rgb[2] = 112;
		_map.put(GRAY44, rgb);
		rgb = new int[3];
		rgb[0] = 115;
		rgb[1] = 115;
		rgb[2] = 115;
		_map.put(GRAY45, rgb);
		rgb = new int[3];
		rgb[0] = 117;
		rgb[1] = 117;
		rgb[2] = 117;
		_map.put(GRAY46, rgb);
		rgb = new int[3];
		rgb[0] = 120;
		rgb[1] = 120;
		rgb[2] = 120;
		_map.put(GRAY47, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 122;
		rgb[2] = 122;
		_map.put(GRAY48, rgb);
		rgb = new int[3];
		rgb[0] = 125;
		rgb[1] = 125;
		rgb[2] = 125;
		_map.put(GRAY49, rgb);
		rgb = new int[3];
		rgb[0] = 13;
		rgb[1] = 13;
		rgb[2] = 13;
		_map.put(GRAY5, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 127;
		rgb[2] = 127;
		_map.put(GRAY50, rgb);
		rgb = new int[3];
		rgb[0] = 130;
		rgb[1] = 130;
		rgb[2] = 130;
		_map.put(GRAY51, rgb);
		rgb = new int[3];
		rgb[0] = 133;
		rgb[1] = 133;
		rgb[2] = 133;
		_map.put(GRAY52, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 135;
		rgb[2] = 135;
		_map.put(GRAY53, rgb);
		rgb = new int[3];
		rgb[0] = 138;
		rgb[1] = 138;
		rgb[2] = 138;
		_map.put(GRAY54, rgb);
		rgb = new int[3];
		rgb[0] = 140;
		rgb[1] = 140;
		rgb[2] = 140;
		_map.put(GRAY55, rgb);
		rgb = new int[3];
		rgb[0] = 143;
		rgb[1] = 143;
		rgb[2] = 143;
		_map.put(GRAY56, rgb);
		rgb = new int[3];
		rgb[0] = 145;
		rgb[1] = 145;
		rgb[2] = 145;
		_map.put(GRAY57, rgb);
		rgb = new int[3];
		rgb[0] = 148;
		rgb[1] = 148;
		rgb[2] = 148;
		_map.put(GRAY58, rgb);
		rgb = new int[3];
		rgb[0] = 150;
		rgb[1] = 150;
		rgb[2] = 150;
		_map.put(GRAY59, rgb);
		rgb = new int[3];
		rgb[0] = 15;
		rgb[1] = 15;
		rgb[2] = 15;
		_map.put(GRAY6, rgb);
		rgb = new int[3];
		rgb[0] = 153;
		rgb[1] = 153;
		rgb[2] = 153;
		_map.put(GRAY60, rgb);
		rgb = new int[3];
		rgb[0] = 156;
		rgb[1] = 156;
		rgb[2] = 156;
		_map.put(GRAY61, rgb);
		rgb = new int[3];
		rgb[0] = 158;
		rgb[1] = 158;
		rgb[2] = 158;
		_map.put(GRAY62, rgb);
		rgb = new int[3];
		rgb[0] = 161;
		rgb[1] = 161;
		rgb[2] = 161;
		_map.put(GRAY63, rgb);
		rgb = new int[3];
		rgb[0] = 163;
		rgb[1] = 163;
		rgb[2] = 163;
		_map.put(GRAY64, rgb);
		rgb = new int[3];
		rgb[0] = 166;
		rgb[1] = 166;
		rgb[2] = 166;
		_map.put(GRAY65, rgb);
		rgb = new int[3];
		rgb[0] = 168;
		rgb[1] = 168;
		rgb[2] = 168;
		_map.put(GRAY66, rgb);
		rgb = new int[3];
		rgb[0] = 171;
		rgb[1] = 171;
		rgb[2] = 171;
		_map.put(GRAY67, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 173;
		rgb[2] = 173;
		_map.put(GRAY68, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 176;
		rgb[2] = 176;
		_map.put(GRAY69, rgb);
		rgb = new int[3];
		rgb[0] = 18;
		rgb[1] = 18;
		rgb[2] = 18;
		_map.put(GRAY7, rgb);
		rgb = new int[3];
		rgb[0] = 179;
		rgb[1] = 179;
		rgb[2] = 179;
		_map.put(GRAY70, rgb);
		rgb = new int[3];
		rgb[0] = 181;
		rgb[1] = 181;
		rgb[2] = 181;
		_map.put(GRAY71, rgb);
		rgb = new int[3];
		rgb[0] = 184;
		rgb[1] = 184;
		rgb[2] = 184;
		_map.put(GRAY72, rgb);
		rgb = new int[3];
		rgb[0] = 186;
		rgb[1] = 186;
		rgb[2] = 186;
		_map.put(GRAY73, rgb);
		rgb = new int[3];
		rgb[0] = 189;
		rgb[1] = 189;
		rgb[2] = 189;
		_map.put(GRAY74, rgb);
		rgb = new int[3];
		rgb[0] = 191;
		rgb[1] = 191;
		rgb[2] = 191;
		_map.put(GRAY75, rgb);
		rgb = new int[3];
		rgb[0] = 194;
		rgb[1] = 194;
		rgb[2] = 194;
		_map.put(GRAY76, rgb);
		rgb = new int[3];
		rgb[0] = 196;
		rgb[1] = 196;
		rgb[2] = 196;
		_map.put(GRAY77, rgb);
		rgb = new int[3];
		rgb[0] = 199;
		rgb[1] = 199;
		rgb[2] = 199;
		_map.put(GRAY78, rgb);
		rgb = new int[3];
		rgb[0] = 201;
		rgb[1] = 201;
		rgb[2] = 201;
		_map.put(GRAY79, rgb);
		rgb = new int[3];
		rgb[0] = 20;
		rgb[1] = 20;
		rgb[2] = 20;
		_map.put(GRAY8, rgb);
		rgb = new int[3];
		rgb[0] = 204;
		rgb[1] = 204;
		rgb[2] = 204;
		_map.put(GRAY80, rgb);
		rgb = new int[3];
		rgb[0] = 207;
		rgb[1] = 207;
		rgb[2] = 207;
		_map.put(GRAY81, rgb);
		rgb = new int[3];
		rgb[0] = 209;
		rgb[1] = 209;
		rgb[2] = 209;
		_map.put(GRAY82, rgb);
		rgb = new int[3];
		rgb[0] = 212;
		rgb[1] = 212;
		rgb[2] = 212;
		_map.put(GRAY83, rgb);
		rgb = new int[3];
		rgb[0] = 214;
		rgb[1] = 214;
		rgb[2] = 214;
		_map.put(GRAY84, rgb);
		rgb = new int[3];
		rgb[0] = 217;
		rgb[1] = 217;
		rgb[2] = 217;
		_map.put(GRAY85, rgb);
		rgb = new int[3];
		rgb[0] = 219;
		rgb[1] = 219;
		rgb[2] = 219;
		_map.put(GRAY86, rgb);
		rgb = new int[3];
		rgb[0] = 222;
		rgb[1] = 222;
		rgb[2] = 222;
		_map.put(GRAY87, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 224;
		rgb[2] = 224;
		_map.put(GRAY88, rgb);
		rgb = new int[3];
		rgb[0] = 227;
		rgb[1] = 227;
		rgb[2] = 227;
		_map.put(GRAY89, rgb);
		rgb = new int[3];
		rgb[0] = 23;
		rgb[1] = 23;
		rgb[2] = 23;
		_map.put(GRAY9, rgb);
		rgb = new int[3];
		rgb[0] = 229;
		rgb[1] = 229;
		rgb[2] = 229;
		_map.put(GRAY90, rgb);
		rgb = new int[3];
		rgb[0] = 232;
		rgb[1] = 232;
		rgb[2] = 232;
		_map.put(GRAY91, rgb);
		rgb = new int[3];
		rgb[0] = 235;
		rgb[1] = 235;
		rgb[2] = 235;
		_map.put(GRAY92, rgb);
		rgb = new int[3];
		rgb[0] = 237;
		rgb[1] = 237;
		rgb[2] = 237;
		_map.put(GRAY93, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 240;
		rgb[2] = 240;
		_map.put(GRAY94, rgb);
		rgb = new int[3];
		rgb[0] = 242;
		rgb[1] = 242;
		rgb[2] = 242;
		_map.put(GRAY95, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 245;
		rgb[2] = 245;
		_map.put(GRAY96, rgb);
		rgb = new int[3];
		rgb[0] = 247;
		rgb[1] = 247;
		rgb[2] = 247;
		_map.put(GRAY97, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 250;
		rgb[2] = 250;
		_map.put(GRAY98, rgb);
		rgb = new int[3];
		rgb[0] = 252;
		rgb[1] = 252;
		rgb[2] = 252;
		_map.put(GRAY99, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 255;
		rgb[2] = 47;
		_map.put(GREEN_YELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(GREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 238;
		rgb[2] = 0;
		_map.put(GREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 205;
		rgb[2] = 0;
		_map.put(GREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 139;
		rgb[2] = 0;
		_map.put(GREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 255;
		rgb[2] = 47;
		_map.put(GREENYELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 192;
		rgb[1] = 192;
		rgb[2] = 192;
		_map.put(GREY, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(GREY0, rgb);
		rgb = new int[3];
		rgb[0] = 3;
		rgb[1] = 3;
		rgb[2] = 3;
		_map.put(GREY1, rgb);
		rgb = new int[3];
		rgb[0] = 26;
		rgb[1] = 26;
		rgb[2] = 26;
		_map.put(GREY10, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(GREY100, rgb);
		rgb = new int[3];
		rgb[0] = 28;
		rgb[1] = 28;
		rgb[2] = 28;
		_map.put(GREY11, rgb);
		rgb = new int[3];
		rgb[0] = 31;
		rgb[1] = 31;
		rgb[2] = 31;
		_map.put(GREY12, rgb);
		rgb = new int[3];
		rgb[0] = 33;
		rgb[1] = 33;
		rgb[2] = 33;
		_map.put(GREY13, rgb);
		rgb = new int[3];
		rgb[0] = 36;
		rgb[1] = 36;
		rgb[2] = 36;
		_map.put(GREY14, rgb);
		rgb = new int[3];
		rgb[0] = 38;
		rgb[1] = 38;
		rgb[2] = 38;
		_map.put(GREY15, rgb);
		rgb = new int[3];
		rgb[0] = 41;
		rgb[1] = 41;
		rgb[2] = 41;
		_map.put(GREY16, rgb);
		rgb = new int[3];
		rgb[0] = 43;
		rgb[1] = 43;
		rgb[2] = 43;
		_map.put(GREY17, rgb);
		rgb = new int[3];
		rgb[0] = 46;
		rgb[1] = 46;
		rgb[2] = 46;
		_map.put(GREY18, rgb);
		rgb = new int[3];
		rgb[0] = 48;
		rgb[1] = 48;
		rgb[2] = 48;
		_map.put(GREY19, rgb);
		rgb = new int[3];
		rgb[0] = 5;
		rgb[1] = 5;
		rgb[2] = 5;
		_map.put(GREY2, rgb);
		rgb = new int[3];
		rgb[0] = 51;
		rgb[1] = 51;
		rgb[2] = 51;
		_map.put(GREY20, rgb);
		rgb = new int[3];
		rgb[0] = 54;
		rgb[1] = 54;
		rgb[2] = 54;
		_map.put(GREY21, rgb);
		rgb = new int[3];
		rgb[0] = 56;
		rgb[1] = 56;
		rgb[2] = 56;
		_map.put(GREY22, rgb);
		rgb = new int[3];
		rgb[0] = 59;
		rgb[1] = 59;
		rgb[2] = 59;
		_map.put(GREY23, rgb);
		rgb = new int[3];
		rgb[0] = 61;
		rgb[1] = 61;
		rgb[2] = 61;
		_map.put(GREY24, rgb);
		rgb = new int[3];
		rgb[0] = 64;
		rgb[1] = 64;
		rgb[2] = 64;
		_map.put(GREY25, rgb);
		rgb = new int[3];
		rgb[0] = 66;
		rgb[1] = 66;
		rgb[2] = 66;
		_map.put(GREY26, rgb);
		rgb = new int[3];
		rgb[0] = 69;
		rgb[1] = 69;
		rgb[2] = 69;
		_map.put(GREY27, rgb);
		rgb = new int[3];
		rgb[0] = 71;
		rgb[1] = 71;
		rgb[2] = 71;
		_map.put(GREY28, rgb);
		rgb = new int[3];
		rgb[0] = 74;
		rgb[1] = 74;
		rgb[2] = 74;
		_map.put(GREY29, rgb);
		rgb = new int[3];
		rgb[0] = 8;
		rgb[1] = 8;
		rgb[2] = 8;
		_map.put(GREY3, rgb);
		rgb = new int[3];
		rgb[0] = 77;
		rgb[1] = 77;
		rgb[2] = 77;
		_map.put(GREY30, rgb);
		rgb = new int[3];
		rgb[0] = 79;
		rgb[1] = 79;
		rgb[2] = 79;
		_map.put(GREY31, rgb);
		rgb = new int[3];
		rgb[0] = 82;
		rgb[1] = 82;
		rgb[2] = 82;
		_map.put(GREY32, rgb);
		rgb = new int[3];
		rgb[0] = 84;
		rgb[1] = 84;
		rgb[2] = 84;
		_map.put(GREY33, rgb);
		rgb = new int[3];
		rgb[0] = 87;
		rgb[1] = 87;
		rgb[2] = 87;
		_map.put(GREY34, rgb);
		rgb = new int[3];
		rgb[0] = 89;
		rgb[1] = 89;
		rgb[2] = 89;
		_map.put(GREY35, rgb);
		rgb = new int[3];
		rgb[0] = 92;
		rgb[1] = 92;
		rgb[2] = 92;
		_map.put(GREY36, rgb);
		rgb = new int[3];
		rgb[0] = 94;
		rgb[1] = 94;
		rgb[2] = 94;
		_map.put(GREY37, rgb);
		rgb = new int[3];
		rgb[0] = 97;
		rgb[1] = 97;
		rgb[2] = 97;
		_map.put(GREY38, rgb);
		rgb = new int[3];
		rgb[0] = 99;
		rgb[1] = 99;
		rgb[2] = 99;
		_map.put(GREY39, rgb);
		rgb = new int[3];
		rgb[0] = 10;
		rgb[1] = 10;
		rgb[2] = 10;
		_map.put(GREY4, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 102;
		rgb[2] = 102;
		_map.put(GREY40, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(GREY41, rgb);
		rgb = new int[3];
		rgb[0] = 107;
		rgb[1] = 107;
		rgb[2] = 107;
		_map.put(GREY42, rgb);
		rgb = new int[3];
		rgb[0] = 110;
		rgb[1] = 110;
		rgb[2] = 110;
		_map.put(GREY43, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 112;
		rgb[2] = 112;
		_map.put(GREY44, rgb);
		rgb = new int[3];
		rgb[0] = 115;
		rgb[1] = 115;
		rgb[2] = 115;
		_map.put(GREY45, rgb);
		rgb = new int[3];
		rgb[0] = 117;
		rgb[1] = 117;
		rgb[2] = 117;
		_map.put(GREY46, rgb);
		rgb = new int[3];
		rgb[0] = 120;
		rgb[1] = 120;
		rgb[2] = 120;
		_map.put(GREY47, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 122;
		rgb[2] = 122;
		_map.put(GREY48, rgb);
		rgb = new int[3];
		rgb[0] = 125;
		rgb[1] = 125;
		rgb[2] = 125;
		_map.put(GREY49, rgb);
		rgb = new int[3];
		rgb[0] = 13;
		rgb[1] = 13;
		rgb[2] = 13;
		_map.put(GREY5, rgb);
		rgb = new int[3];
		rgb[0] = 127;
		rgb[1] = 127;
		rgb[2] = 127;
		_map.put(GREY50, rgb);
		rgb = new int[3];
		rgb[0] = 130;
		rgb[1] = 130;
		rgb[2] = 130;
		_map.put(GREY51, rgb);
		rgb = new int[3];
		rgb[0] = 133;
		rgb[1] = 133;
		rgb[2] = 133;
		_map.put(GREY52, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 135;
		rgb[2] = 135;
		_map.put(GREY53, rgb);
		rgb = new int[3];
		rgb[0] = 138;
		rgb[1] = 138;
		rgb[2] = 138;
		_map.put(GREY54, rgb);
		rgb = new int[3];
		rgb[0] = 140;
		rgb[1] = 140;
		rgb[2] = 140;
		_map.put(GREY55, rgb);
		rgb = new int[3];
		rgb[0] = 143;
		rgb[1] = 143;
		rgb[2] = 143;
		_map.put(GREY56, rgb);
		rgb = new int[3];
		rgb[0] = 145;
		rgb[1] = 145;
		rgb[2] = 145;
		_map.put(GREY57, rgb);
		rgb = new int[3];
		rgb[0] = 148;
		rgb[1] = 148;
		rgb[2] = 148;
		_map.put(GREY58, rgb);
		rgb = new int[3];
		rgb[0] = 150;
		rgb[1] = 150;
		rgb[2] = 150;
		_map.put(GREY59, rgb);
		rgb = new int[3];
		rgb[0] = 15;
		rgb[1] = 15;
		rgb[2] = 15;
		_map.put(GREY6, rgb);
		rgb = new int[3];
		rgb[0] = 153;
		rgb[1] = 153;
		rgb[2] = 153;
		_map.put(GREY60, rgb);
		rgb = new int[3];
		rgb[0] = 156;
		rgb[1] = 156;
		rgb[2] = 156;
		_map.put(GREY61, rgb);
		rgb = new int[3];
		rgb[0] = 158;
		rgb[1] = 158;
		rgb[2] = 158;
		_map.put(GREY62, rgb);
		rgb = new int[3];
		rgb[0] = 161;
		rgb[1] = 161;
		rgb[2] = 161;
		_map.put(GREY63, rgb);
		rgb = new int[3];
		rgb[0] = 163;
		rgb[1] = 163;
		rgb[2] = 163;
		_map.put(GREY64, rgb);
		rgb = new int[3];
		rgb[0] = 166;
		rgb[1] = 166;
		rgb[2] = 166;
		_map.put(GREY65, rgb);
		rgb = new int[3];
		rgb[0] = 168;
		rgb[1] = 168;
		rgb[2] = 168;
		_map.put(GREY66, rgb);
		rgb = new int[3];
		rgb[0] = 171;
		rgb[1] = 171;
		rgb[2] = 171;
		_map.put(GREY67, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 173;
		rgb[2] = 173;
		_map.put(GREY68, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 176;
		rgb[2] = 176;
		_map.put(GREY69, rgb);
		rgb = new int[3];
		rgb[0] = 18;
		rgb[1] = 18;
		rgb[2] = 18;
		_map.put(GREY7, rgb);
		rgb = new int[3];
		rgb[0] = 179;
		rgb[1] = 179;
		rgb[2] = 179;
		_map.put(GREY70, rgb);
		rgb = new int[3];
		rgb[0] = 181;
		rgb[1] = 181;
		rgb[2] = 181;
		_map.put(GREY71, rgb);
		rgb = new int[3];
		rgb[0] = 184;
		rgb[1] = 184;
		rgb[2] = 184;
		_map.put(GREY72, rgb);
		rgb = new int[3];
		rgb[0] = 186;
		rgb[1] = 186;
		rgb[2] = 186;
		_map.put(GREY73, rgb);
		rgb = new int[3];
		rgb[0] = 189;
		rgb[1] = 189;
		rgb[2] = 189;
		_map.put(GREY74, rgb);
		rgb = new int[3];
		rgb[0] = 191;
		rgb[1] = 191;
		rgb[2] = 191;
		_map.put(GREY75, rgb);
		rgb = new int[3];
		rgb[0] = 194;
		rgb[1] = 194;
		rgb[2] = 194;
		_map.put(GREY76, rgb);
		rgb = new int[3];
		rgb[0] = 196;
		rgb[1] = 196;
		rgb[2] = 196;
		_map.put(GREY77, rgb);
		rgb = new int[3];
		rgb[0] = 199;
		rgb[1] = 199;
		rgb[2] = 199;
		_map.put(GREY78, rgb);
		rgb = new int[3];
		rgb[0] = 201;
		rgb[1] = 201;
		rgb[2] = 201;
		_map.put(GREY79, rgb);
		rgb = new int[3];
		rgb[0] = 20;
		rgb[1] = 20;
		rgb[2] = 20;
		_map.put(GREY8, rgb);
		rgb = new int[3];
		rgb[0] = 204;
		rgb[1] = 204;
		rgb[2] = 204;
		_map.put(GREY80, rgb);
		rgb = new int[3];
		rgb[0] = 207;
		rgb[1] = 207;
		rgb[2] = 207;
		_map.put(GREY81, rgb);
		rgb = new int[3];
		rgb[0] = 209;
		rgb[1] = 209;
		rgb[2] = 209;
		_map.put(GREY82, rgb);
		rgb = new int[3];
		rgb[0] = 212;
		rgb[1] = 212;
		rgb[2] = 212;
		_map.put(GREY83, rgb);
		rgb = new int[3];
		rgb[0] = 214;
		rgb[1] = 214;
		rgb[2] = 214;
		_map.put(GREY84, rgb);
		rgb = new int[3];
		rgb[0] = 217;
		rgb[1] = 217;
		rgb[2] = 217;
		_map.put(GREY85, rgb);
		rgb = new int[3];
		rgb[0] = 219;
		rgb[1] = 219;
		rgb[2] = 219;
		_map.put(GREY86, rgb);
		rgb = new int[3];
		rgb[0] = 222;
		rgb[1] = 222;
		rgb[2] = 222;
		_map.put(GREY87, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 224;
		rgb[2] = 224;
		_map.put(GREY88, rgb);
		rgb = new int[3];
		rgb[0] = 227;
		rgb[1] = 227;
		rgb[2] = 227;
		_map.put(GREY89, rgb);
		rgb = new int[3];
		rgb[0] = 23;
		rgb[1] = 23;
		rgb[2] = 23;
		_map.put(GREY9, rgb);
		rgb = new int[3];
		rgb[0] = 229;
		rgb[1] = 229;
		rgb[2] = 229;
		_map.put(GREY90, rgb);
		rgb = new int[3];
		rgb[0] = 232;
		rgb[1] = 232;
		rgb[2] = 232;
		_map.put(GREY91, rgb);
		rgb = new int[3];
		rgb[0] = 235;
		rgb[1] = 235;
		rgb[2] = 235;
		_map.put(GREY92, rgb);
		rgb = new int[3];
		rgb[0] = 237;
		rgb[1] = 237;
		rgb[2] = 237;
		_map.put(GREY93, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 240;
		rgb[2] = 240;
		_map.put(GREY94, rgb);
		rgb = new int[3];
		rgb[0] = 242;
		rgb[1] = 242;
		rgb[2] = 242;
		_map.put(GREY95, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 245;
		rgb[2] = 245;
		_map.put(GREY96, rgb);
		rgb = new int[3];
		rgb[0] = 247;
		rgb[1] = 247;
		rgb[2] = 247;
		_map.put(GREY97, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 250;
		rgb[2] = 250;
		_map.put(GREY98, rgb);
		rgb = new int[3];
		rgb[0] = 252;
		rgb[1] = 252;
		rgb[2] = 252;
		_map.put(GREY99, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 255;
		rgb[2] = 240;
		_map.put(HONEYDEW, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 255;
		rgb[2] = 240;
		_map.put(HONEYDEW1, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 238;
		rgb[2] = 224;
		_map.put(HONEYDEW2, rgb);
		rgb = new int[3];
		rgb[0] = 193;
		rgb[1] = 205;
		rgb[2] = 193;
		_map.put(HONEYDEW3, rgb);
		rgb = new int[3];
		rgb[0] = 131;
		rgb[1] = 139;
		rgb[2] = 131;
		_map.put(HONEYDEW4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 105;
		rgb[2] = 180;
		_map.put(HOT_PINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 105;
		rgb[2] = 180;
		_map.put(HOTPINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 110;
		rgb[2] = 180;
		_map.put(HOTPINK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 106;
		rgb[2] = 167;
		_map.put(HOTPINK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 96;
		rgb[2] = 144;
		_map.put(HOTPINK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 58;
		rgb[2] = 98;
		_map.put(HOTPINK4, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 92;
		rgb[2] = 92;
		_map.put(INDIAN_RED, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 92;
		rgb[2] = 92;
		_map.put(INDIANRED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 106;
		rgb[2] = 106;
		_map.put(INDIANRED1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 99;
		rgb[2] = 99;
		_map.put(INDIANRED2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 85;
		rgb[2] = 85;
		_map.put(INDIANRED3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 58;
		rgb[2] = 58;
		_map.put(INDIANRED4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 240;
		_map.put(IVORY, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 240;
		_map.put(IVORY1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 238;
		rgb[2] = 224;
		_map.put(IVORY2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 205;
		rgb[2] = 193;
		_map.put(IVORY3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 139;
		rgb[2] = 131;
		_map.put(IVORY4, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 230;
		rgb[2] = 140;
		_map.put(KHAKI, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 246;
		rgb[2] = 143;
		_map.put(KHAKI1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 230;
		rgb[2] = 133;
		_map.put(KHAKI2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 198;
		rgb[2] = 115;
		_map.put(KHAKI3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 134;
		rgb[2] = 78;
		_map.put(KHAKI4, rgb);
		rgb = new int[3];
		rgb[0] = 230;
		rgb[1] = 230;
		rgb[2] = 250;
		_map.put(LAVENDER, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 240;
		rgb[2] = 245;
		_map.put(LAVENDER_BLUSH, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 240;
		rgb[2] = 245;
		_map.put(LAVENDERBLUSH, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 240;
		rgb[2] = 245;
		_map.put(LAVENDERBLUSH1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 224;
		rgb[2] = 229;
		_map.put(LAVENDERBLUSH2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 193;
		rgb[2] = 197;
		_map.put(LAVENDERBLUSH3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 131;
		rgb[2] = 134;
		_map.put(LAVENDERBLUSH4, rgb);
		rgb = new int[3];
		rgb[0] = 124;
		rgb[1] = 252;
		rgb[2] = 0;
		_map.put(LAWN_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 124;
		rgb[1] = 252;
		rgb[2] = 0;
		_map.put(LAWNGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 205;
		_map.put(LEMON_CHIFFON, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 205;
		_map.put(LEMONCHIFFON, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 205;
		_map.put(LEMONCHIFFON1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 233;
		rgb[2] = 191;
		_map.put(LEMONCHIFFON2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 201;
		rgb[2] = 165;
		_map.put(LEMONCHIFFON3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 137;
		rgb[2] = 112;
		_map.put(LEMONCHIFFON4, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 216;
		rgb[2] = 230;
		_map.put(LIGHT_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 128;
		rgb[2] = 128;
		_map.put(LIGHT_CORAL, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(LIGHT_CYAN, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 221;
		rgb[2] = 130;
		_map.put(LIGHT_GOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 250;
		rgb[2] = 210;
		_map.put(LIGHT_GOLDENROD_YELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 211;
		rgb[1] = 211;
		rgb[2] = 211;
		_map.put(LIGHT_GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 211;
		rgb[1] = 211;
		rgb[2] = 211;
		_map.put(LIGHT_GREY, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 182;
		rgb[2] = 193;
		_map.put(LIGHT_PINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 160;
		rgb[2] = 122;
		_map.put(LIGHT_SALMON, rgb);
		rgb = new int[3];
		rgb[0] = 32;
		rgb[1] = 178;
		rgb[2] = 170;
		_map.put(LIGHT_SEA_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 206;
		rgb[2] = 250;
		_map.put(LIGHT_SKY_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 132;
		rgb[1] = 112;
		rgb[2] = 255;
		_map.put(LIGHT_SLATE_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 119;
		rgb[1] = 136;
		rgb[2] = 153;
		_map.put(LIGHT_SLATE_GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 119;
		rgb[1] = 136;
		rgb[2] = 153;
		_map.put(LIGHT_SLATE_GREY, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 196;
		rgb[2] = 222;
		_map.put(LIGHT_STEEL_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 224;
		_map.put(LIGHT_YELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 173;
		rgb[1] = 216;
		rgb[2] = 230;
		_map.put(LIGHTBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 191;
		rgb[1] = 239;
		rgb[2] = 255;
		_map.put(LIGHTBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 178;
		rgb[1] = 223;
		rgb[2] = 238;
		_map.put(LIGHTBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 192;
		rgb[2] = 205;
		_map.put(LIGHTBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 104;
		rgb[1] = 131;
		rgb[2] = 139;
		_map.put(LIGHTBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 240;
		rgb[1] = 128;
		rgb[2] = 128;
		_map.put(LIGHTCORAL, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(LIGHTCYAN, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(LIGHTCYAN1, rgb);
		rgb = new int[3];
		rgb[0] = 209;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(LIGHTCYAN2, rgb);
		rgb = new int[3];
		rgb[0] = 180;
		rgb[1] = 205;
		rgb[2] = 205;
		_map.put(LIGHTCYAN3, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 139;
		rgb[2] = 139;
		_map.put(LIGHTCYAN4, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 221;
		rgb[2] = 130;
		_map.put(LIGHTGOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 236;
		rgb[2] = 139;
		_map.put(LIGHTGOLDENROD1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 220;
		rgb[2] = 130;
		_map.put(LIGHTGOLDENROD2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 190;
		rgb[2] = 112;
		_map.put(LIGHTGOLDENROD3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 129;
		rgb[2] = 76;
		_map.put(LIGHTGOLDENROD4, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 250;
		rgb[2] = 210;
		_map.put(LIGHTGOLDENRODYELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 211;
		rgb[1] = 211;
		rgb[2] = 211;
		_map.put(LIGHTGRAY, rgb);
		rgb = new int[3];
		rgb[0] = 211;
		rgb[1] = 211;
		rgb[2] = 211;
		_map.put(LIGHTGREY, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 182;
		rgb[2] = 193;
		_map.put(LIGHTPINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 174;
		rgb[2] = 185;
		_map.put(LIGHTPINK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 162;
		rgb[2] = 173;
		_map.put(LIGHTPINK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 140;
		rgb[2] = 149;
		_map.put(LIGHTPINK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 95;
		rgb[2] = 101;
		_map.put(LIGHTPINK4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 160;
		rgb[2] = 122;
		_map.put(LIGHTSALMON, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 160;
		rgb[2] = 122;
		_map.put(LIGHTSALMON1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 149;
		rgb[2] = 114;
		_map.put(LIGHTSALMON2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 129;
		rgb[2] = 98;
		_map.put(LIGHTSALMON3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 87;
		rgb[2] = 66;
		_map.put(LIGHTSALMON4, rgb);
		rgb = new int[3];
		rgb[0] = 32;
		rgb[1] = 178;
		rgb[2] = 170;
		_map.put(LIGHTSEAGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 206;
		rgb[2] = 250;
		_map.put(LIGHTSKYBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 226;
		rgb[2] = 255;
		_map.put(LIGHTSKYBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 164;
		rgb[1] = 211;
		rgb[2] = 238;
		_map.put(LIGHTSKYBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 141;
		rgb[1] = 182;
		rgb[2] = 205;
		_map.put(LIGHTSKYBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 96;
		rgb[1] = 123;
		rgb[2] = 139;
		_map.put(LIGHTSKYBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 132;
		rgb[1] = 112;
		rgb[2] = 255;
		_map.put(LIGHTSLATEBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 119;
		rgb[1] = 136;
		rgb[2] = 153;
		_map.put(LIGHTSLATEGRAY, rgb);
		rgb = new int[3];
		rgb[0] = 119;
		rgb[1] = 136;
		rgb[2] = 153;
		_map.put(LIGHTSLATEGREY, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 196;
		rgb[2] = 222;
		_map.put(LIGHTSTEELBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 202;
		rgb[1] = 225;
		rgb[2] = 255;
		_map.put(LIGHTSTEELBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 188;
		rgb[1] = 210;
		rgb[2] = 238;
		_map.put(LIGHTSTEELBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 162;
		rgb[1] = 181;
		rgb[2] = 205;
		_map.put(LIGHTSTEELBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 110;
		rgb[1] = 123;
		rgb[2] = 139;
		_map.put(LIGHTSTEELBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 224;
		_map.put(LIGHTYELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 224;
		_map.put(LIGHTYELLOW1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 238;
		rgb[2] = 209;
		_map.put(LIGHTYELLOW2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 205;
		rgb[2] = 180;
		_map.put(LIGHTYELLOW3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 139;
		rgb[2] = 122;
		_map.put(LIGHTYELLOW4, rgb);
		rgb = new int[3];
		rgb[0] = 50;
		rgb[1] = 205;
		rgb[2] = 50;
		_map.put(LIME_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 50;
		rgb[1] = 205;
		rgb[2] = 50;
		_map.put(LIMEGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 240;
		rgb[2] = 230;
		_map.put(LINEN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 0;
		rgb[2] = 255;
		_map.put(MAGENTA, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 0;
		rgb[2] = 255;
		_map.put(MAGENTA1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 0;
		rgb[2] = 238;
		_map.put(MAGENTA2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 0;
		rgb[2] = 205;
		_map.put(MAGENTA3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 0;
		rgb[2] = 139;
		_map.put(MAGENTA4, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 48;
		rgb[2] = 96;
		_map.put(MAROON, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 52;
		rgb[2] = 179;
		_map.put(MAROON1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 48;
		rgb[2] = 167;
		_map.put(MAROON2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 41;
		rgb[2] = 144;
		_map.put(MAROON3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 28;
		rgb[2] = 98;
		_map.put(MAROON4, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 205;
		rgb[2] = 170;
		_map.put(MEDIUM_AQUAMARINE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 205;
		_map.put(MEDIUM_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 186;
		rgb[1] = 85;
		rgb[2] = 211;
		_map.put(MEDIUM_ORCHID, rgb);
		rgb = new int[3];
		rgb[0] = 147;
		rgb[1] = 112;
		rgb[2] = 219;
		_map.put(MEDIUM_PURPLE, rgb);
		rgb = new int[3];
		rgb[0] = 60;
		rgb[1] = 179;
		rgb[2] = 113;
		_map.put(MEDIUM_SEA_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 123;
		rgb[1] = 104;
		rgb[2] = 238;
		_map.put(MEDIUM_SLATE_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 250;
		rgb[2] = 154;
		_map.put(MEDIUM_SPRING_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 72;
		rgb[1] = 209;
		rgb[2] = 204;
		_map.put(MEDIUM_TURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 199;
		rgb[1] = 21;
		rgb[2] = 133;
		_map.put(MEDIUM_VIOLET_RED, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 205;
		rgb[2] = 170;
		_map.put(MEDIUMAQUAMARINE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 205;
		_map.put(MEDIUMBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 186;
		rgb[1] = 85;
		rgb[2] = 211;
		_map.put(MEDIUMORCHID, rgb);
		rgb = new int[3];
		rgb[0] = 224;
		rgb[1] = 102;
		rgb[2] = 255;
		_map.put(MEDIUMORCHID1, rgb);
		rgb = new int[3];
		rgb[0] = 209;
		rgb[1] = 95;
		rgb[2] = 238;
		_map.put(MEDIUMORCHID2, rgb);
		rgb = new int[3];
		rgb[0] = 180;
		rgb[1] = 82;
		rgb[2] = 205;
		_map.put(MEDIUMORCHID3, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 55;
		rgb[2] = 139;
		_map.put(MEDIUMORCHID4, rgb);
		rgb = new int[3];
		rgb[0] = 147;
		rgb[1] = 112;
		rgb[2] = 219;
		_map.put(MEDIUMPURPLE, rgb);
		rgb = new int[3];
		rgb[0] = 171;
		rgb[1] = 130;
		rgb[2] = 255;
		_map.put(MEDIUMPURPLE1, rgb);
		rgb = new int[3];
		rgb[0] = 159;
		rgb[1] = 121;
		rgb[2] = 238;
		_map.put(MEDIUMPURPLE2, rgb);
		rgb = new int[3];
		rgb[0] = 137;
		rgb[1] = 104;
		rgb[2] = 205;
		_map.put(MEDIUMPURPLE3, rgb);
		rgb = new int[3];
		rgb[0] = 93;
		rgb[1] = 71;
		rgb[2] = 139;
		_map.put(MEDIUMPURPLE4, rgb);
		rgb = new int[3];
		rgb[0] = 60;
		rgb[1] = 179;
		rgb[2] = 113;
		_map.put(MEDIUMSEAGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 123;
		rgb[1] = 104;
		rgb[2] = 238;
		_map.put(MEDIUMSLATEBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 250;
		rgb[2] = 154;
		_map.put(MEDIUMSPRINGGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 72;
		rgb[1] = 209;
		rgb[2] = 204;
		_map.put(MEDIUMTURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 199;
		rgb[1] = 21;
		rgb[2] = 133;
		_map.put(MEDIUMVIOLETRED, rgb);
		rgb = new int[3];
		rgb[0] = 25;
		rgb[1] = 25;
		rgb[2] = 112;
		_map.put(MIDNIGHT_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 25;
		rgb[1] = 25;
		rgb[2] = 112;
		_map.put(MIDNIGHTBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 255;
		rgb[2] = 250;
		_map.put(MINT_CREAM, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 255;
		rgb[2] = 250;
		_map.put(MINTCREAM, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 225;
		_map.put(MISTY_ROSE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 225;
		_map.put(MISTYROSE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 225;
		_map.put(MISTYROSE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 213;
		rgb[2] = 210;
		_map.put(MISTYROSE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 183;
		rgb[2] = 181;
		_map.put(MISTYROSE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 125;
		rgb[2] = 123;
		_map.put(MISTYROSE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 228;
		rgb[2] = 181;
		_map.put(MOCCASIN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 222;
		rgb[2] = 173;
		_map.put(NAVAJO_WHITE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 222;
		rgb[2] = 173;
		_map.put(NAVAJOWHITE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 222;
		rgb[2] = 173;
		_map.put(NAVAJOWHITE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 207;
		rgb[2] = 161;
		_map.put(NAVAJOWHITE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 179;
		rgb[2] = 139;
		_map.put(NAVAJOWHITE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 121;
		rgb[2] = 94;
		_map.put(NAVAJOWHITE4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 128;
		_map.put(NAVY, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 128;
		_map.put(NAVY_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 0;
		rgb[2] = 128;
		_map.put(NAVYBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 253;
		rgb[1] = 245;
		rgb[2] = 230;
		_map.put(OLD_LACE, rgb);
		rgb = new int[3];
		rgb[0] = 253;
		rgb[1] = 245;
		rgb[2] = 230;
		_map.put(OLDLACE, rgb);
		rgb = new int[3];
		rgb[0] = 107;
		rgb[1] = 142;
		rgb[2] = 35;
		_map.put(OLIVE_DRAB, rgb);
		rgb = new int[3];
		rgb[0] = 107;
		rgb[1] = 142;
		rgb[2] = 35;
		_map.put(OLIVEDRAB, rgb);
		rgb = new int[3];
		rgb[0] = 192;
		rgb[1] = 255;
		rgb[2] = 62;
		_map.put(OLIVEDRAB1, rgb);
		rgb = new int[3];
		rgb[0] = 179;
		rgb[1] = 238;
		rgb[2] = 58;
		_map.put(OLIVEDRAB2, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 205;
		rgb[2] = 50;
		_map.put(OLIVEDRAB3, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 139;
		rgb[2] = 34;
		_map.put(OLIVEDRAB4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 165;
		rgb[2] = 0;
		_map.put(ORANGE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 69;
		rgb[2] = 0;
		_map.put(ORANGE_RED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 165;
		rgb[2] = 0;
		_map.put(ORANGE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 154;
		rgb[2] = 0;
		_map.put(ORANGE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 133;
		rgb[2] = 0;
		_map.put(ORANGE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 90;
		rgb[2] = 0;
		_map.put(ORANGE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 69;
		rgb[2] = 0;
		_map.put(ORANGERED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 69;
		rgb[2] = 0;
		_map.put(ORANGERED1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 64;
		rgb[2] = 0;
		_map.put(ORANGERED2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 55;
		rgb[2] = 0;
		_map.put(ORANGERED3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 37;
		rgb[2] = 0;
		_map.put(ORANGERED4, rgb);
		rgb = new int[3];
		rgb[0] = 218;
		rgb[1] = 112;
		rgb[2] = 214;
		_map.put(ORCHID, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 131;
		rgb[2] = 250;
		_map.put(ORCHID1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 122;
		rgb[2] = 233;
		_map.put(ORCHID2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 105;
		rgb[2] = 201;
		_map.put(ORCHID3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 71;
		rgb[2] = 137;
		_map.put(ORCHID4, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 232;
		rgb[2] = 170;
		_map.put(PALE_GOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 152;
		rgb[1] = 251;
		rgb[2] = 152;
		_map.put(PALE_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 175;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(PALE_TURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 219;
		rgb[1] = 112;
		rgb[2] = 147;
		_map.put(PALE_VIOLET_RED, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 232;
		rgb[2] = 170;
		_map.put(PALEGOLDENROD, rgb);
		rgb = new int[3];
		rgb[0] = 152;
		rgb[1] = 251;
		rgb[2] = 152;
		_map.put(PALEGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 255;
		rgb[2] = 154;
		_map.put(PALEGREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 144;
		rgb[1] = 238;
		rgb[2] = 144;
		_map.put(PALEGREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 124;
		rgb[1] = 205;
		rgb[2] = 124;
		_map.put(PALEGREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 84;
		rgb[1] = 139;
		rgb[2] = 84;
		_map.put(PALEGREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 175;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(PALETURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 187;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(PALETURQUOISE1, rgb);
		rgb = new int[3];
		rgb[0] = 174;
		rgb[1] = 238;
		rgb[2] = 238;
		_map.put(PALETURQUOISE2, rgb);
		rgb = new int[3];
		rgb[0] = 150;
		rgb[1] = 205;
		rgb[2] = 205;
		_map.put(PALETURQUOISE3, rgb);
		rgb = new int[3];
		rgb[0] = 102;
		rgb[1] = 139;
		rgb[2] = 139;
		_map.put(PALETURQUOISE4, rgb);
		rgb = new int[3];
		rgb[0] = 219;
		rgb[1] = 112;
		rgb[2] = 147;
		_map.put(PALEVIOLETRED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 130;
		rgb[2] = 171;
		_map.put(PALEVIOLETRED1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 121;
		rgb[2] = 159;
		_map.put(PALEVIOLETRED2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 104;
		rgb[2] = 137;
		_map.put(PALEVIOLETRED3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 71;
		rgb[2] = 93;
		_map.put(PALEVIOLETRED4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 239;
		rgb[2] = 213;
		_map.put(PAPAYA_WHIP, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 239;
		rgb[2] = 213;
		_map.put(PAPAYAWHIP, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 218;
		rgb[2] = 185;
		_map.put(PEACH_PUFF, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 218;
		rgb[2] = 185;
		_map.put(PEACHPUFF, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 218;
		rgb[2] = 185;
		_map.put(PEACHPUFF1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 203;
		rgb[2] = 173;
		_map.put(PEACHPUFF2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 175;
		rgb[2] = 149;
		_map.put(PEACHPUFF3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 119;
		rgb[2] = 101;
		_map.put(PEACHPUFF4, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 133;
		rgb[2] = 63;
		_map.put(PERU, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 192;
		rgb[2] = 203;
		_map.put(PINK, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 181;
		rgb[2] = 197;
		_map.put(PINK1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 169;
		rgb[2] = 184;
		_map.put(PINK2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 145;
		rgb[2] = 158;
		_map.put(PINK3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 99;
		rgb[2] = 108;
		_map.put(PINK4, rgb);
		rgb = new int[3];
		rgb[0] = 221;
		rgb[1] = 160;
		rgb[2] = 221;
		_map.put(PLUM, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 187;
		rgb[2] = 255;
		_map.put(PLUM1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 174;
		rgb[2] = 238;
		_map.put(PLUM2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 150;
		rgb[2] = 205;
		_map.put(PLUM3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 102;
		rgb[2] = 139;
		_map.put(PLUM4, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 224;
		rgb[2] = 230;
		_map.put(POWDER_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 176;
		rgb[1] = 224;
		rgb[2] = 230;
		_map.put(POWDERBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 160;
		rgb[1] = 32;
		rgb[2] = 240;
		_map.put(PURPLE, rgb);
		rgb = new int[3];
		rgb[0] = 155;
		rgb[1] = 48;
		rgb[2] = 255;
		_map.put(PURPLE1, rgb);
		rgb = new int[3];
		rgb[0] = 145;
		rgb[1] = 44;
		rgb[2] = 238;
		_map.put(PURPLE2, rgb);
		rgb = new int[3];
		rgb[0] = 125;
		rgb[1] = 38;
		rgb[2] = 205;
		_map.put(PURPLE3, rgb);
		rgb = new int[3];
		rgb[0] = 85;
		rgb[1] = 26;
		rgb[2] = 139;
		_map.put(PURPLE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(RED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(RED1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(RED2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(RED3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 0;
		rgb[2] = 0;
		_map.put(RED4, rgb);
		rgb = new int[3];
		rgb[0] = 188;
		rgb[1] = 143;
		rgb[2] = 143;
		_map.put(ROSY_BROWN, rgb);
		rgb = new int[3];
		rgb[0] = 188;
		rgb[1] = 143;
		rgb[2] = 143;
		_map.put(ROSYBROWN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 193;
		rgb[2] = 193;
		_map.put(ROSYBROWN1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 180;
		rgb[2] = 180;
		_map.put(ROSYBROWN2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 155;
		rgb[2] = 155;
		_map.put(ROSYBROWN3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 105;
		rgb[2] = 105;
		_map.put(ROSYBROWN4, rgb);
		rgb = new int[3];
		rgb[0] = 65;
		rgb[1] = 105;
		rgb[2] = 225;
		_map.put(ROYAL_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 65;
		rgb[1] = 105;
		rgb[2] = 225;
		_map.put(ROYALBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 72;
		rgb[1] = 118;
		rgb[2] = 255;
		_map.put(ROYALBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 67;
		rgb[1] = 110;
		rgb[2] = 238;
		_map.put(ROYALBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 58;
		rgb[1] = 95;
		rgb[2] = 205;
		_map.put(ROYALBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 39;
		rgb[1] = 64;
		rgb[2] = 139;
		_map.put(ROYALBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 69;
		rgb[2] = 19;
		_map.put(SADDLE_BROWN, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 69;
		rgb[2] = 19;
		_map.put(SADDLEBROWN, rgb);
		rgb = new int[3];
		rgb[0] = 250;
		rgb[1] = 128;
		rgb[2] = 114;
		_map.put(SALMON, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 140;
		rgb[2] = 105;
		_map.put(SALMON1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 130;
		rgb[2] = 98;
		_map.put(SALMON2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 112;
		rgb[2] = 84;
		_map.put(SALMON3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 76;
		rgb[2] = 57;
		_map.put(SALMON4, rgb);
		rgb = new int[3];
		rgb[0] = 244;
		rgb[1] = 164;
		rgb[2] = 96;
		_map.put(SANDY_BROWN, rgb);
		rgb = new int[3];
		rgb[0] = 244;
		rgb[1] = 164;
		rgb[2] = 96;
		_map.put(SANDYBROWN, rgb);
		rgb = new int[3];
		rgb[0] = 46;
		rgb[1] = 139;
		rgb[2] = 87;
		_map.put(SEA_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 46;
		rgb[1] = 139;
		rgb[2] = 87;
		_map.put(SEAGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 84;
		rgb[1] = 255;
		rgb[2] = 159;
		_map.put(SEAGREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 78;
		rgb[1] = 238;
		rgb[2] = 148;
		_map.put(SEAGREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 67;
		rgb[1] = 205;
		rgb[2] = 128;
		_map.put(SEAGREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 46;
		rgb[1] = 139;
		rgb[2] = 87;
		_map.put(SEAGREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 245;
		rgb[2] = 238;
		_map.put(SEASHELL, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 245;
		rgb[2] = 238;
		_map.put(SEASHELL1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 229;
		rgb[2] = 222;
		_map.put(SEASHELL2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 197;
		rgb[2] = 191;
		_map.put(SEASHELL3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 134;
		rgb[2] = 130;
		_map.put(SEASHELL4, rgb);
		rgb = new int[3];
		rgb[0] = 160;
		rgb[1] = 82;
		rgb[2] = 45;
		_map.put(SIENNA, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 130;
		rgb[2] = 71;
		_map.put(SIENNA1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 121;
		rgb[2] = 66;
		_map.put(SIENNA2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 104;
		rgb[2] = 57;
		_map.put(SIENNA3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 71;
		rgb[2] = 38;
		_map.put(SIENNA4, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 206;
		rgb[2] = 235;
		_map.put(SKY_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 206;
		rgb[2] = 235;
		_map.put(SKYBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 135;
		rgb[1] = 206;
		rgb[2] = 255;
		_map.put(SKYBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 126;
		rgb[1] = 192;
		rgb[2] = 238;
		_map.put(SKYBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 108;
		rgb[1] = 166;
		rgb[2] = 205;
		_map.put(SKYBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 74;
		rgb[1] = 112;
		rgb[2] = 139;
		_map.put(SKYBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 106;
		rgb[1] = 90;
		rgb[2] = 205;
		_map.put(SLATE_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 128;
		rgb[2] = 144;
		_map.put(SLATE_GRAY, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 128;
		rgb[2] = 144;
		_map.put(SLATE_GREY, rgb);
		rgb = new int[3];
		rgb[0] = 106;
		rgb[1] = 90;
		rgb[2] = 205;
		_map.put(SLATEBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 131;
		rgb[1] = 111;
		rgb[2] = 255;
		_map.put(SLATEBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 122;
		rgb[1] = 103;
		rgb[2] = 238;
		_map.put(SLATEBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 105;
		rgb[1] = 89;
		rgb[2] = 205;
		_map.put(SLATEBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 71;
		rgb[1] = 60;
		rgb[2] = 139;
		_map.put(SLATEBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 128;
		rgb[2] = 144;
		_map.put(SLATEGRAY, rgb);
		rgb = new int[3];
		rgb[0] = 198;
		rgb[1] = 226;
		rgb[2] = 255;
		_map.put(SLATEGRAY1, rgb);
		rgb = new int[3];
		rgb[0] = 185;
		rgb[1] = 211;
		rgb[2] = 238;
		_map.put(SLATEGRAY2, rgb);
		rgb = new int[3];
		rgb[0] = 159;
		rgb[1] = 182;
		rgb[2] = 205;
		_map.put(SLATEGRAY3, rgb);
		rgb = new int[3];
		rgb[0] = 108;
		rgb[1] = 123;
		rgb[2] = 139;
		_map.put(SLATEGRAY4, rgb);
		rgb = new int[3];
		rgb[0] = 112;
		rgb[1] = 128;
		rgb[2] = 144;
		_map.put(SLATEGREY, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 250;
		_map.put(SNOW, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 250;
		rgb[2] = 250;
		_map.put(SNOW1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 233;
		rgb[2] = 233;
		_map.put(SNOW2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 201;
		rgb[2] = 201;
		_map.put(SNOW3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 137;
		rgb[2] = 137;
		_map.put(SNOW4, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 127;
		_map.put(SPRING_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 127;
		_map.put(SPRINGGREEN, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 255;
		rgb[2] = 127;
		_map.put(SPRINGGREEN1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 238;
		rgb[2] = 118;
		_map.put(SPRINGGREEN2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 205;
		rgb[2] = 102;
		_map.put(SPRINGGREEN3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 139;
		rgb[2] = 69;
		_map.put(SPRINGGREEN4, rgb);
		rgb = new int[3];
		rgb[0] = 70;
		rgb[1] = 130;
		rgb[2] = 180;
		_map.put(STEEL_BLUE, rgb);
		rgb = new int[3];
		rgb[0] = 70;
		rgb[1] = 130;
		rgb[2] = 180;
		_map.put(STEELBLUE, rgb);
		rgb = new int[3];
		rgb[0] = 99;
		rgb[1] = 184;
		rgb[2] = 255;
		_map.put(STEELBLUE1, rgb);
		rgb = new int[3];
		rgb[0] = 92;
		rgb[1] = 172;
		rgb[2] = 238;
		_map.put(STEELBLUE2, rgb);
		rgb = new int[3];
		rgb[0] = 79;
		rgb[1] = 148;
		rgb[2] = 205;
		_map.put(STEELBLUE3, rgb);
		rgb = new int[3];
		rgb[0] = 54;
		rgb[1] = 100;
		rgb[2] = 139;
		_map.put(STEELBLUE4, rgb);
		rgb = new int[3];
		rgb[0] = 210;
		rgb[1] = 180;
		rgb[2] = 140;
		_map.put(TAN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 165;
		rgb[2] = 79;
		_map.put(TAN1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 154;
		rgb[2] = 73;
		_map.put(TAN2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 133;
		rgb[2] = 63;
		_map.put(TAN3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 90;
		rgb[2] = 43;
		_map.put(TAN4, rgb);
		rgb = new int[3];
		rgb[0] = 216;
		rgb[1] = 191;
		rgb[2] = 216;
		_map.put(THISTLE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 225;
		rgb[2] = 255;
		_map.put(THISTLE1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 210;
		rgb[2] = 238;
		_map.put(THISTLE2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 181;
		rgb[2] = 205;
		_map.put(THISTLE3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 123;
		rgb[2] = 139;
		_map.put(THISTLE4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 99;
		rgb[2] = 71;
		_map.put(TOMATO, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 99;
		rgb[2] = 71;
		_map.put(TOMATO1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 92;
		rgb[2] = 66;
		_map.put(TOMATO2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 79;
		rgb[2] = 57;
		_map.put(TOMATO3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 54;
		rgb[2] = 38;
		_map.put(TOMATO4, rgb);
		rgb = new int[3];
		rgb[0] = 64;
		rgb[1] = 224;
		rgb[2] = 208;
		_map.put(TURQUOISE, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 245;
		rgb[2] = 255;
		_map.put(TURQUOISE1, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 229;
		rgb[2] = 238;
		_map.put(TURQUOISE2, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 197;
		rgb[2] = 205;
		_map.put(TURQUOISE3, rgb);
		rgb = new int[3];
		rgb[0] = 0;
		rgb[1] = 134;
		rgb[2] = 139;
		_map.put(TURQUOISE4, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 130;
		rgb[2] = 238;
		_map.put(VIOLET, rgb);
		rgb = new int[3];
		rgb[0] = 208;
		rgb[1] = 32;
		rgb[2] = 144;
		_map.put(VIOLET_RED, rgb);
		rgb = new int[3];
		rgb[0] = 208;
		rgb[1] = 32;
		rgb[2] = 144;
		_map.put(VIOLETRED, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 62;
		rgb[2] = 150;
		_map.put(VIOLETRED1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 58;
		rgb[2] = 140;
		_map.put(VIOLETRED2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 50;
		rgb[2] = 120;
		_map.put(VIOLETRED3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 34;
		rgb[2] = 82;
		_map.put(VIOLETRED4, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 222;
		rgb[2] = 179;
		_map.put(WHEAT, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 231;
		rgb[2] = 186;
		_map.put(WHEAT1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 216;
		rgb[2] = 174;
		_map.put(WHEAT2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 186;
		rgb[2] = 150;
		_map.put(WHEAT3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 126;
		rgb[2] = 102;
		_map.put(WHEAT4, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 255;
		_map.put(WHITE, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 245;
		rgb[2] = 245;
		_map.put(WHITE_SMOKE, rgb);
		rgb = new int[3];
		rgb[0] = 245;
		rgb[1] = 245;
		rgb[2] = 245;
		_map.put(WHITESMOKE, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(YELLOW, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 205;
		rgb[2] = 50;
		_map.put(YELLOW_GREEN, rgb);
		rgb = new int[3];
		rgb[0] = 255;
		rgb[1] = 255;
		rgb[2] = 0;
		_map.put(YELLOW1, rgb);
		rgb = new int[3];
		rgb[0] = 238;
		rgb[1] = 238;
		rgb[2] = 0;
		_map.put(YELLOW2, rgb);
		rgb = new int[3];
		rgb[0] = 205;
		rgb[1] = 205;
		rgb[2] = 0;
		_map.put(YELLOW3, rgb);
		rgb = new int[3];
		rgb[0] = 139;
		rgb[1] = 139;
		rgb[2] = 0;
		_map.put(YELLOW4, rgb);
		rgb = new int[3];
		rgb[0] = 154;
		rgb[1] = 205;
		rgb[2] = 50;
		_map.put(YELLOWGREEN, rgb);
	}
	
	/** Returns the color represented by the specified string.
	 *
	 * @param name the name of the color.
	 * @return the color represented by the specified string.
	 */	
	public Color getColor(String name) {
		Color color = null;
		int[] rgb = null;
		
		rgb = (int[]) _map.get(name);
		if (rgb != null) {
			color = new Color(rgb[0], rgb[1], rgb[2]);
		}
		
		return color;
	}
	
	/** Returns an iterator over all of the colors.  Objects returned by the iterator are guaranteed to
	 * be of type <CODE>int[]</CODE>.  The <CODE>int[]</CODE> is of length three and its elements
	 * represent the red, green, and blue components of the color, respectively.
	 *
	 * @return an iterator over all of the colors.
	 */	
	public Iterator getColors() {
		return _map.entrySet().iterator();
	}
	
	/** Returns an iterator over all of the color names.  Objects returned by the iterator are
	 * guaranteed to be of type <CODE>String</CODE>.
	 *
	 * @return an iteratoro over all of the color names.
	 */	
	public Iterator getColorNames() {
		return _map.keySet().iterator();
	}
	
	/** Returns an array of all of the color names.  The elements of the array are guaranteed to be of
	 * type <CODE>String</CODE>.
	 *
	 * @return an array of all of the color names.
	 */	
	public Object[] getColorNamesAsArray() {
		return _map.keySet().toArray();
	}
	
	/** Returns an instance of <CODE>ColorFactory</CODE>.  This method uses lazy initialization; that is,
	 * an instance of <CODE>ColorFactory</CODE> is not created until this method is called for the
	 * first time.  This helps with memory allocation, as this class is huge and should not be
	 * instantiated until it is really needed.
	 *
	 * @return an instance of <CODE>ColorFactory</CODE>.
	 */	
	public static ColorFactory getInstance() {
		if (_instance == null) {
			_instance = new ColorFactory();
		}
		
		return _instance;
	}
}

/* 
 * $Log: ColorFactory.java,v $
 * Revision 1.1  2002/02/15 19:54:35  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 20:46:33  zcox
 * name changes & addition of some view-related classes
 *
 *
 *
 */
