/* $Id: ColorFactoryPanel.java,v 1.3 2002/02/16 03:01:36 zcox Exp $
 *
 *
 */

package fcmodeler.attributes;

import javax.swing.Icon;
import javax.swing.colorchooser.AbstractColorChooserPanel;
import java.awt.Color;

/** A panel for a color chooser showing all of the colors available from <CODE>ColorFactory</CODE>.
 *
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.3 $
 * @since JDK1.3
 */

public class ColorFactoryPanel extends AbstractColorChooserPanel {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JScrollPane _listScroll;
	private javax.swing.JList _list;
	// End of variables declaration//GEN-END:variables
	
	/** Creates a new <CODE>ColorFactoryPanel</CODE>.
	 *
	 */
	public ColorFactoryPanel() {
		
	}
	
	/** Builds a new chooser panel.
	 *
	 */
	protected void buildChooser() {
		initComponents();
	}
	
	/** Returns the string "Standard".
	 *
	 * @return the string "Standard".
	 */	
	public String getDisplayName() {
		return "Standard";
	}
	
	/** Returns <CODE>null</CODE>.
	 *
	 * @return <CODE>null</CODE>.
	 */	
	public Icon getLargeDisplayIcon() {
		return null;
	}
	
	/** Returns <CODE>null</CODE>.
	 * @return <CODE>null</CODE>.
	 */	
	public Icon getSmallDisplayIcon() {
		return null;
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the FormEditor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_listScroll = new javax.swing.JScrollPane();
		_list = new javax.swing.JList(ColorFactory.getInstance().getColorNamesAsArray());
		
		setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		
		_list.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
			public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
				_listValueChanged(evt);
			}
		});
		
		_listScroll.setViewportView(_list);
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		add(_listScroll, gridBagConstraints1);
		
	}//GEN-END:initComponents

	/** Called when the user selects a new color in the list.
	 *
	 * @param evt the list selection event.
	 */	
	private void _listValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event__listValueChanged
		Color color = null;
		
		if (!evt.getValueIsAdjusting()) {
			color = ColorFactory.getInstance().getColor(_list.getSelectedValue().toString());
			getColorSelectionModel().setSelectedColor(color);
		}
	}//GEN-LAST:event__listValueChanged
	
	/** Invoked automatically when the model's state changes.
	 *
	 */
	public void updateChooser() {
		
	}
}

/* 
 * $Log: ColorFactoryPanel.java,v $
 * Revision 1.3  2002/02/16 03:01:36  zcox
 * removed fcmodeler.view.ColorFactory
 *
 * Revision 1.2  2002/02/15 19:40:56  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:51:28  zcox
 * initial commit of attributes package
 *
 *
 *
 */
