/*
 * ConnectorEndAttribute.java
 *
 * Created on April 11, 2002, 9:02 PM
 */

package fcmodeler.attributes;

/**
 *
 * @author  xein
 */
public class ConnectorEndAttribute extends Object implements VisualAttribute {
  private static final ConnectorEndAttribute _instance = new ConnectorEndAttribute();
	private static final String _string = "connector end";

  /** Creates a new instance of <CODE>ConnectorEndAttribute</CODE> */
  public ConnectorEndAttribute() {
  }

  /** Returns a visual attribute editor, appropriate for editing values of this type of visual attribute.
   *
   * @return an editor appropriate for editing values of this type of visual attribute.
   */
  public VisualAttributeEditor getEditor() {
    return new ConnectorEndEditor();
  }

  /** Returns an instance of <CODE>ConnectorEndAttribute</CODE>.
	 *
	 * @return an instance of <CODE>ConnectorEndAttribute</CODE>.
	 */
	public static ConnectorEndAttribute getInstance() {
		return _instance;
	}

  /** Returns a value of this type of visual attribute, using the specified string description.
   *
   * @param value the string description of the visual attribute value.
   * @return a value of this type of visual attribute.
   */
  public VisualAttributeValue getValue(String value) {
    return new ConnectorEndValue(value);
  }

  /** Returns a string representation of this visual attribute.
   *
   * @return a string representation of this visual attribute.
   */
  public String toString() {
    return _string;
  }
}
