/* $Id: DashEditor.java,v 1.1 2002/02/15 19:54:35 zcox Exp $
 *
 *
 * Created on April 9, 2001, 2:11 PM
 */

package fcmodeler.attributes;

import java.awt.Component;
import javax.swing.JPanel;

/** An editor for the dash visual attribute.
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class DashEditor extends JPanel implements VisualAttributeEditor {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JLabel jLabel1;
	private javax.swing.JTextField _parameter1;
	private javax.swing.JTextField _parameter2;
	private javax.swing.JLabel jLabel2;
	// End of variables declaration//GEN-END:variables
	
	/** Creates a new <CODE>DashEditor</CODE>.
	 *
	 */
	public DashEditor() {
		initComponents ();
	}
	
	/** Returns the gui component used to edit the dash visual attribute.
	 *
	 * @return the gui component.
	 */	
	public Component getComponent() {
		return this;
	}
	
	/** Returns the edited dash value.  The returned value is guaranteed to be of type <CODE>DashValue</CODE>.
	 *
	 * @return the edited dash value.
	 */	
	public VisualAttributeValue getValue() {
		String svalue = null;
		float value1 = 0.0f, value2 = 0.0f;
		float[] array = new float[2];
		DashValue dash = null;
		
		try {
			svalue = _parameter1.getText();
			value1 = Float.parseFloat(svalue);
			svalue = _parameter2.getText();
			value2 = Float.parseFloat(svalue);
		} catch (NumberFormatException e) {
			e.printStackTrace();
		}
		
		array[0] = value1;
		array[1] = value2;
		dash = new DashValue(array);
		
		return dash;
	}
	
	/** This method is called from within the constructor to
	* initialize the form.
	* WARNING: Do NOT modify this code. The content of this method is
	* always regenerated by the FormEditor.
	*/
	private void initComponents() {//GEN-BEGIN:initComponents
		jLabel1 = new javax.swing.JLabel();
		_parameter1 = new javax.swing.JTextField();
		_parameter2 = new javax.swing.JTextField();
		jLabel2 = new javax.swing.JLabel();
		
		setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		
		jLabel1.setText("on length");
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 0, 5);
		add(jLabel1, gridBagConstraints1);
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 1;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 5, 5);
		add(_parameter1, gridBagConstraints1);
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 1;
		gridBagConstraints1.gridy = 1;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 5, 5);
		add(_parameter2, gridBagConstraints1);
		
		jLabel2.setText("off length");
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 0, 5);
		add(jLabel2, gridBagConstraints1);
		
	}//GEN-END:initComponents
	
}

/* 
 * $Log: DashEditor.java,v $
 * Revision 1.1  2002/02/15 19:54:35  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:51:29  zcox
 * initial commit of attributes package
 *
 * Revision 1.2  2001/05/22 16:54:59  zcox
 * code clean-up
 *
 *
 *
 *
 */
