/* $Id: EdgeVisualAttributeValue.java,v 1.1 2002/02/15 19:54:35 zcox Exp $
 *
 *
 */

package fcmodeler.attributes;

import fcmodeler.view.EdgeFigure;

/** A specific value of an edge visual attribute.
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public interface EdgeVisualAttributeValue {
	/** Sets the visual attribute of the specified edge figure to the value contained in this visual
	 * attribute value.
	 *
	 * @param figure the edge figure to update.
	 */	
	public void setEdgeValue(EdgeFigure figure);
	
	/** Sets the permanent visual attribute of the specified edge figure to the value contained in
	 * this visual attribute value.
	 *
	 * @param figure the edge figure to update.
	 */	
	public void setPermanentEdgeValue(EdgeFigure figure);
}

/* 
 * $Log: EdgeVisualAttributeValue.java,v $
 * Revision 1.1  2002/02/15 19:54:35  zcox
 * big time update
 *
 *
 *
 */
