/* $Id: LineWidthEditor.java,v 1.1 2002/02/15 19:54:36 zcox Exp $
 *
 *
 * Created on April 9, 2001, 2:30 PM
 */

package fcmodeler.attributes;

import java.awt.Component;
import javax.swing.JPanel;

/** An editor for the line width visual attribute.
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class LineWidthEditor extends JPanel implements VisualAttributeEditor {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JTextField _thickness;
	private javax.swing.JLabel jLabel1;
	// End of variables declaration//GEN-END:variables
	
	/** Creates a new <CODE>LineWidthEditor</CODE>.
	 *
	 */
	public LineWidthEditor() {
		initComponents ();
	}
	
	/** Returns the gui component used to edit the line width visual attribute.
	 *
	 * @return the gui component.
	 */	
	public Component getComponent() {
		return this;
	}
	
	/** Returns the edited line width value.  The returned value is guaranteed to be of type
	 * <CODE>LineWidthValue</CODE>.
	 *
	 * @return the edited line width value.
	 */	
	public VisualAttributeValue getValue() {
		LineWidthValue lineWidth = null;
		
		lineWidth = new LineWidthValue(_thickness.getText());
		
		return lineWidth;
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the FormEditor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_thickness = new javax.swing.JTextField();
		jLabel1 = new javax.swing.JLabel();
		
		setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 1;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 5, 5);
		add(_thickness, gridBagConstraints1);
		
		jLabel1.setText("line width");
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.insets = new java.awt.Insets(5, 5, 0, 5);
		add(jLabel1, gridBagConstraints1);
		
	}//GEN-END:initComponents
		
}

/* 
 * $Log: LineWidthEditor.java,v $
 * Revision 1.1  2002/02/15 19:54:36  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:51:29  zcox
 * initial commit of attributes package
 *
 * Revision 1.2  2001/05/22 16:54:59  zcox
 * code clean-up
 *
 *
 *
 *
 */
