/* $Id: NodeVisualAttributeValue.java,v 1.1 2002/02/15 19:54:36 zcox Exp $
 *
 *
 */

package fcmodeler.attributes;

import fcmodeler.view.NodeFigure;

/** A specific value of a node visual attribute.
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public interface NodeVisualAttributeValue {
	/** Sets the visual attribute of the specified node figure to the value contained in this visual
	 * attribute value.
	 *
	 * @param figure the node figure to update.
	 */	
	public void setNodeValue(NodeFigure figure);
	
	/** Sets the permanent visual attribute of the specified node figure to the value contained in
	 * this visual attribute value.
	 *
	 * @param figure the node figure to update.
	 */	
	public void setPermanentNodeValue(NodeFigure figure);
}

/* 
 * $Log: NodeVisualAttributeValue.java,v $
 * Revision 1.1  2002/02/15 19:54:36  zcox
 * big time update
 *
 *
 *
 */
