/* $Id: VisualAttributeEditor.java,v 1.4 2002/02/15 20:46:12 zcox Exp $
 *
 *
 * Created on March 6, 2001, 6:11 PM
 */

package fcmodeler.attributes;

import java.awt.Component;

/** A visual attribute editor.  A <CODE>VisualAttributeEditor</CODE> provides a gui component
 * that allows the user to create a specific instance of a <CODE>VisualAttributeValue</CODE> for
 * a certain visual attribute.  Implementations can either be a Component themselves, or keep a
 * reference to a Component and provide it in the <CODE>getComponent</CODE> method.
 *
 * @author Zach Cox <zcox@@iastate.edu>
 * @version $Revision: 1.4 $
 * @since JDK1.3
 */

public interface VisualAttributeEditor {
	/** Returns the gui component used to edit a visual attribute value.
	 *
	 * @@return the gui component.
	 */	
	public Component getComponent();
	
	/** Returns the edited visual attribute value.
	 *
	 * @@return the edited visual attribute value.
	 */	
	public VisualAttributeValue getValue();
}

/* 
 * $Log: VisualAttributeEditor.java,v $
 * Revision 1.4  2002/02/15 20:46:12  zcox
 * oops
 *
 * Revision 1.2  2002/02/15 19:40:56  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 19:51:30  zcox
 * initial commit of attributes package
 *
 * Revision 1.1  2001/04/04 02:07:32  zcox
 * initial commit of fcmodeler.view.propviz.attributes package
 *
 *
 *
 */
