/* $Id: FCMPopupMenu.java,v 1.5 2002/01/15 20:21:34 zcox Exp $
 *
 *
 * Created on January 31, 2001, 2:37 PM
 */

package fcmodeler.event;

import javax.swing.JPopupMenu;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;
import java.awt.Component;
import java.awt.Container;

import fcmodeler.FCModeler;
import fcmodeler.view.ScrollableJGraph;

/**
 *
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.5 $
 * @since JDK1.3
 */

public class FCMPopupMenu extends JPopupMenu implements ActionListener {
	private final static String FIRST_ITEM = "";
	private final static String SECOND_ITEM = "zoom in";
	private final static String THIRD_ITEM = "zoom out";
	
	public FCMPopupMenu() {
		super();
		
		//add(new CreateSubgraphAction(FIRST_ITEM));
		JMenuItem menuItem = new JMenuItem(SECOND_ITEM);
		menuItem.addActionListener(this);
		add(menuItem);
		menuItem = new JMenuItem(THIRD_ITEM);
		menuItem.addActionListener(this);
		add(menuItem);
	}
	
	public void actionPerformed(java.awt.event.ActionEvent evt) {
		String command = evt.getActionCommand();
		
		if (command.equals(SECOND_ITEM)) {
			zoomIn();
		}
		else if (command.equals(THIRD_ITEM)) {
			zoomOut();
		}
	}
	
	private void zoomIn() {
		Component invoker = getInvoker();
		
		if (invoker instanceof ScrollableJGraph) {
			((ScrollableJGraph) invoker).zoomIn();
		}
	}
	
	private void zoomOut() {
		Component invoker = getInvoker();
		
		if (invoker instanceof ScrollableJGraph) {
			((ScrollableJGraph) invoker).zoomOut();
		}
	}
}

/* 
 * $Log: FCMPopupMenu.java,v $
 * Revision 1.5  2002/01/15 20:21:34  zcox
 * some changes
 *
 * Revision 1.4  2001/05/31 23:02:44  zcox
 * added subgraph package
 *
 * Revision 1.3  2001/05/22 16:40:12  zcox
 * code clean-up
 *
 * Revision 1.2  2001/04/04 01:38:21  zcox
 * huge architectural changes
 *
 * Revision 1.1  2001/02/22 00:36:56  zcox
 * initial commit of _fcmodeler.event package
 *
 *
 *
 */
