/* $Id: PopupLayerListener.java,v 1.2 2002/01/15 20:22:28 zcox Exp $
 *
 *
 * Created on January 31, 2001, 1:37 PM
 */

package fcmodeler.event;

import java.awt.Component;

import diva.canvas.event.LayerAdapter;
import diva.canvas.event.LayerEvent;

import fcmodeler.FCModeler;

/**
 *
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class PopupLayerListener extends LayerAdapter {
	private FCMPopupMenu _popup = null;
	private Component _component = null;
	
	/** Creates new FCMLayerListener */
	public PopupLayerListener(Component component) {
		_component = component;
		_popup = new FCMPopupMenu();
	}
	
	public void mousePressed(LayerEvent layerEvent) {
		//System.out.println("pressed: " + layerEvent);
		if (layerEvent.getModifiers() == layerEvent.BUTTON1_MASK) {
			if (_popup.isVisible()) {
				_popup.setVisible(false);
			}
		}
		layerEvent.consume();
	}
	
	public void mouseReleased(LayerEvent layerEvent) {
		//System.out.println("released: " + layerEvent);
		if (layerEvent.getModifiers() == layerEvent.BUTTON3_MASK) {
			_popup.show(_component, (int) layerEvent.getX(), (int) layerEvent.getY());
		}
		layerEvent.consume();
	}
}

/* 
 * $Log: PopupLayerListener.java,v $
 * Revision 1.2  2002/01/15 20:22:28  zcox
 * some changes
 *
 * Revision 1.1  2001/05/22 16:40:06  zcox
 * code clean-up
 *
 * Revision 1.2  2001/04/04 01:38:21  zcox
 * huge architectural changes
 *
 * Revision 1.1  2001/02/22 00:36:56  zcox
 * initial commit of fcmodeler.event package
 *
 *
 *
 */
