/* $Id: TestSelectionListener.java,v 1.2 2002/01/15 20:22:36 zcox Exp $
 *
 *
 * Created on January 31, 2001, 4:41 PM
 */

package fcmodeler.event;

import java.util.Iterator;

import diva.canvas.selection.SelectionListener;
import diva.canvas.selection.SelectionEvent;
import diva.graph.model.Node;
import diva.graph.model.Edge;

import fcmodeler.view.NodeFigure;
import fcmodeler.view.EdgeFigure;

/** just a test class to investigate diva's selection mechanism...
 *
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class TestSelectionListener extends Object implements SelectionListener {
	
	/** Creates new FCMSelectionListener */
	public TestSelectionListener() {
		
	}
	
	public void selectionChanged(SelectionEvent selectionEvent) {
		NodeFigure nodeFigure = null;
		EdgeFigure edgeFigure = null;
		Node node = null;
		Edge edge = null;
		Object object = null;
		
		Iterator adds = selectionEvent.getSelectionAdditions();
		while (adds.hasNext()) {
			object = adds.next();
			if (object instanceof diva.canvas.connector.Connector) {
				edgeFigure = (EdgeFigure) object;
				edge = (Edge) edgeFigure.getUserObject();
				System.out.println("added " + edge.getTail().getSemanticObject() + " -> " +
					edge.getHead().getSemanticObject());
			}
			else if (object instanceof diva.canvas.Figure) {
				nodeFigure = (NodeFigure) object;
				node = (Node) nodeFigure.getUserObject();
				System.out.println("added " + node.getSemanticObject());
			}
			
		}
		
		Iterator removes = selectionEvent.getSelectionRemovals();
		while (removes.hasNext()) {
			object = removes.next();
			if (object instanceof diva.canvas.connector.Connector) {
				edgeFigure = (EdgeFigure) object;
				edge = (Edge) edgeFigure.getUserObject();
				System.out.println("removed " + edge.getTail().getSemanticObject() + " -> " +
					edge.getHead().getSemanticObject());
			}
			else if (object instanceof diva.canvas.Figure) {
				nodeFigure = (NodeFigure) object;
				node = (Node) nodeFigure.getUserObject();
				System.out.println("removed " + node.getSemanticObject());
			}
		}
	}
}

/* 
 * $Log: TestSelectionListener.java,v $
 * Revision 1.2  2002/01/15 20:22:36  zcox
 * some changes
 *
 * Revision 1.1  2001/05/22 16:40:06  zcox
 * code clean-up
 *
 * Revision 1.2  2001/04/04 01:38:21  zcox
 * huge architectural changes
 *
 * Revision 1.1  2001/02/22 00:36:56  zcox
 * initial commit of fcmodeler.event package
 *
 *
 *
 */
