/* $Id: EdgeRemover.java,v 1.1 2002/01/15 19:44:14 zcox Exp $
 *
 *
 */

package fcmodeler.interaction;

import diva.canvas.interactor.AbstractInteractor;
import diva.canvas.event.LayerEvent;
import diva.graph.GraphController;
import diva.graph.model.GraphModel;
import diva.graph.model.Edge;
import diva.graph.GraphView;
import diva.canvas.Figure;

import fcmodeler.view.EdgeFigure;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class EdgeRemover extends AbstractInteractor {
	private GraphController _controller = null;
	
	/** Creates new EdgeRemover */
	public EdgeRemover(GraphController controller) {
		_controller = controller;
	}
	
	public void mousePressed(LayerEvent layerEvent) {
		GraphModel model = _controller.getGraphModel();
		GraphView view = _controller.getGraphView();
		Figure figure = null;
		Edge edge = null;
		
		//get the figure that was hit
		figure = layerEvent.getFigureSource();
		
		//make sure it was an edge figure
		if (figure instanceof EdgeFigure) {
			//get the edge that this figure represents
			edge = (Edge) figure.getUserObject();
			
			//make sure the edge figure is de-selected
			_controller.getEdgeInteractor().getSelectionModel().removeSelection(figure);
			
			//remove edge figure from the view
			//_controller.nodeRemoved(new GraphEvent(GraphEvent.NODE_REMOVED, this, node, node.getParent()));
			
			//remove edge from the model
			model.disconnectEdge(edge);
		}
	}
}

/* 
 * $Log: EdgeRemover.java,v $
 * Revision 1.1  2002/01/15 19:44:14  zcox
 * initial commit of interaction package
 *
 * 
 */
