/* $Id: GeneralConnectorInteractor.java,v 1.1 2002/06/27 06:03:15 adamtj Exp $
 *
 */

package fcmodeler.interaction.GeneralConnector;


import diva.canvas.event.LayerEvent;
import diva.canvas.interactor.DragInteractor;
import diva.canvas.manipulator.GrabHandle;

/**
 * GeneralConnectorInteractor is the DragInteractor that controls the dragging of
 * GeneralConnectorGrabHandles belonging to a GeneralConnectorManipulator.
 *
 * @author Adam Tomjack <adamtj@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class GeneralConnectorInteractor extends DragInteractor {
	
	/** Translate a grab handle in response to a mouse drag event */
	public void translate(LayerEvent e, double x, double y) {
		// Translate the grab-handle
		GrabHandle g = (GrabHandle) e.getFigureSource();
		g.translate(x, y);
		
		// Reroute the connector.
		GeneralConnectorManipulator parent = (GeneralConnectorManipulator) g.getParent();
		((GeneralConnector)parent.getChild()).reroute();
	}
}

/* 
 * $Log: GeneralConnectorInteractor.java,v $
 * Revision 1.1  2002/06/27 06:03:15  adamtj
 * Initial commit of GeneralConnector files
 *
 *
 */
