/* $Id: NodeAdder.java,v 1.1 2002/01/15 19:44:14 zcox Exp $
 *
 *
 */

package fcmodeler.interaction;

import diva.canvas.Figure;
import diva.canvas.interactor.AbstractInteractor;
import diva.canvas.event.LayerEvent;
import diva.graph.GraphView;
import diva.graph.GraphController;
import diva.graph.model.GraphModel;
import diva.graph.model.Node;

import fcmodeler.actions.EnterStringDialog;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class NodeAdder extends AbstractInteractor {
	private GraphController _controller = null;
	
	/** Creates new NodeAdder */
	public NodeAdder(GraphController controller) {
		_controller = controller;
	}
	
	public void mousePressed(LayerEvent layerEvent) {
		GraphView view = null;
		GraphModel model = null;
		Node node = null; 
		Figure figure = null;
		EnterStringDialog dialog = null;
		int status = 0;
		
		//create a dialog for user to enter the node name
		dialog = new EnterStringDialog(true, "enter node name");
		dialog.setLocation(layerEvent.getX(), layerEvent.getY());
		status = dialog.showDialog();
		if (status == EnterStringDialog.OK) {
			//get the graph model & view from the controller
			view = _controller.getGraphView();
			model = _controller.getGraphModel();

			//create a new node
			node = model.createNode(dialog.getString()); // <----------------  need unique name - dialog entry?

			//create & configure a figure for the new node
			figure = view.getNodeRenderer().render(node);
			figure.setInteractor(_controller.getNodeInteractor());

			//add to the view and model
			view.addNodeFigureToLayer(figure);
			view.placeNodeFigure(figure, layerEvent.getLayerX(), layerEvent.getLayerY());
			view.addNodeMapping(node, figure);
			model.addNode(node);
		}
	}
}

/* 
 * $Log: NodeAdder.java,v $
 * Revision 1.1  2002/01/15 19:44:14  zcox
 * initial commit of interaction package
 *
 * 
 */
