/* $Id: AbstractGraphReader.java,v 1.1 2002/02/15 20:01:06 zcox Exp $
 *
 *
 */

package fcmodeler.io;

import java.io.Reader;

import fcmodeler.FCModeler;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractGraphReader extends Object implements GraphReader {
	private boolean _readCoordinates = false;
	private boolean _readMappings = false;
	private boolean _readTopology = false;
	
	/** Creates new AbstractGraphReader */
	public AbstractGraphReader() {
		
	}
	
	public abstract void configure(FCModeler fcmodeler);
	
	public boolean isReadingCoordinates() {
		return _readCoordinates;
	}
	
	public boolean isReadingMappings() {
		return _readMappings;
	}
	
	public boolean isReadingTopology() {
		return _readTopology;
	}
	
	public void readCoordinates(boolean read) {
		_readCoordinates = read;
	}
	
	/** Reads the graph from the specified input source.
	 *
	 * @param reader the input source containing the graph in text format.
	 */
	public abstract void readGraph(Reader reader);
	
	public void readMappings(boolean read) {
		_readMappings = read;
	}
	
	public void readTopology(boolean read) {
		_readTopology = read;
	}
	
}

/* 
 * $Log: AbstractGraphReader.java,v $
 * Revision 1.1  2002/02/15 20:01:06  zcox
 * big time update
 *
 *
 *
 */
