/* $Id: AbstractGraphWriter.java,v 1.1 2002/02/15 20:01:06 zcox Exp $
 *
 *
 */

package fcmodeler.io;

import java.io.Writer;

import fcmodeler.FCModeler;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractGraphWriter extends Object implements GraphWriter {
	private boolean _writeCoordinates = false;
	private boolean _writeMappings = false;
	private boolean _writeTopology = false;
	
	/** Creates new AbstractGraphWriter */
	public AbstractGraphWriter() {
		
	}
	
	public boolean isWritingCoordinates() {
		return _writeCoordinates;
	}
	
	public boolean isWritingMappings() {
		return _writeMappings;
	}
	
	public boolean isWritingTopology() {
		return _writeTopology;
	}
	
	public void writeCoordinates(boolean write) {
		_writeCoordinates = write;
	}
	
	/** Writes the specified graph to the specified output.
	 *
	 * @param graph the graph to write.
	 * @param writer the output where the graph in text format will go.
	 */
	public abstract void writeGraph(FCModeler fcmodeler, Writer writer);
	
	public void writeMappings(boolean write) {
		_writeMappings = write;
	}
	
	public void writeTopology(boolean write) {
		_writeTopology = write;
	}
	
}

/* 
 * $Log: AbstractGraphWriter.java,v $
 * Revision 1.1  2002/02/15 20:01:06  zcox
 * big time update
 *
 *
 *
 */
