/* $Id: CycleFileWriter.java,v 1.2 2002/05/16 21:10:29 zcox Exp $
 *
 *
 */

package fcmodeler.io;

import java.io.File;
import java.io.PrintWriter;
import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Iterator;

import diva.graph.model.Node;
import diva.graph.model.Edge;

import fcmodeler.subgraph.Cycle;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class CycleFileWriter extends Object {
	private PrintWriter _out = null;
	
	/** Creates new CycleFileWriter */
	public CycleFileWriter(File file) {
		try {
			_out = new PrintWriter(new BufferedWriter(new FileWriter(file)));
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public void writeBeginning() {
		if (_out != null) {
			/*_out.println("<?xml version=\"1.0\" standalone=\"no\"?>");
			_out.println("<!DOCTYPE cycles SYSTEM \"cycles.dtd\">");
			_out.println();
			_out.println("<cycles>");*/
			_out.println("<?xml version=\"1.0\" standalone=\"yes\"?>");
			_out.println("<!DOCTYPE cycles [");
			_out.println("<!ELEMENT cycles (cycle*)>");
			_out.println("<!ELEMENT cycle ((node, edge), (node, edge), (node, edge)*)>");
			_out.println("<!ELEMENT node EMPTY>");
			_out.println("<!ATTLIST node");
			_out.println("id CDATA #REQUIRED>");
			_out.println("<!ELEMENT edge EMPTY>");
			_out.println("<!ATTLIST edge");
			_out.println("id CDATA #REQUIRED>");
			_out.println("]>");
			_out.println();
			_out.println("<cycles>");
		}
	}
	
	public void writeCycle(Cycle cycle) {
		Iterator elements = null;
		Node node = null;
		Edge edge = null;
		
		if (_out != null) {
			_out.println("\t<cycle>");
			elements = cycle.iterator();
			while (elements.hasNext()) {
				node = (Node) elements.next();
				if (elements.hasNext()) {
					edge = (Edge) elements.next();
					_out.println("\t\t<node id=\"" + node.getSemanticObject().toString() + "\"/>");
					_out.println("\t\t<edge id=\"" + edge.getSemanticObject().toString() + "\"/>");
				}
			}
			_out.println("\t</cycle>");
		}
	}
	
	public void writeEnding() {
		if (_out != null) {
			_out.println("</cycles>");
			
			_out.close();
		}
	}
}

/*
 * $Log: CycleFileWriter.java,v $
 * Revision 1.2  2002/05/16 21:10:29  zcox
 * implemented cycle filtering
 *
 * Revision 1.1  2002/01/15 20:32:06  zcox
 * initial commit of some io classes
 *
 *
 */
