/* $Id: GraphIOFactory.java,v 1.1 2002/02/15 20:01:06 zcox Exp $
 *
 *
 * Created on May 15, 2001, 11:35 AM
 */

package fcmodeler.io;

/** A factory for a graph reader and graph writer.  Typically, file filters will implement this
 * interface to provide an appropriate graph reader or writer for their specific file type.  The
 * provided graph reader and writer should be compatible with each other; that is, a file
 * written by the graph writer should be readable by the graph reader.
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public interface GraphIOFactory {
	/** Returns a graph reader.
	 *
	 * @return a graph reader.
	 */	
	public GraphReader getGraphReader();
	
	/** Returns a graph writer.
	 *
	 * @return a graph writer.
	 */	
	public GraphWriter getGraphWriter();
}

/* 
 * $Log: GraphIOFactory.java,v $
 * Revision 1.1  2002/02/15 20:01:06  zcox
 * big time update
 *
 * Revision 1.2  2002/01/15 20:30:05  zcox
 * some changes
 *
 * Revision 1.1  2001/05/22 16:41:53  zcox
 * code clean-up
 *
 *
 *
 *
 */
