/* $Id: GraphReader.java,v 1.3 2002/02/15 20:01:06 zcox Exp $
 *
 *
 * Created on May 15, 2001, 11:42 AM
 */

package fcmodeler.io;

import java.io.Reader;

import fcmodeler.FCModeler;

/** An interface for classes that can read a graph in some text format and create a graph
 * model from that text.
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.3 $
 * @since JDK1.3
 */

public interface GraphReader {
	public void configure(FCModeler fcmodeler);
	
	public boolean isReadingCoordinates();
	
	public boolean isReadingMappings();
	
	public boolean isReadingTopology();
	
	public void readCoordinates(boolean read);
	
	/** Reads the graph from the specified input source.
	 *
	 * @param reader the input source containing the graph in text format.
	 */	
	public void readGraph(Reader reader);
	
	public void readMappings(boolean read);
	
	public void readTopology(boolean read);
}

/* 
 * $Log: GraphReader.java,v $
 * Revision 1.3  2002/02/15 20:01:06  zcox
 * big time update
 *
 * Revision 1.2  2002/01/15 20:30:05  zcox
 * some changes
 *
 * Revision 1.1  2001/05/22 16:41:53  zcox
 * code clean-up
 *
 *
 *
 *
 */
