/* $Id: GraphWriter.java,v 1.3 2002/02/15 20:01:06 zcox Exp $
 *
 *
 * Created on May 15, 2001, 7:03 PM
 */

package fcmodeler.io;

import java.io.Writer;

import fcmodeler.FCModeler;

/** An interface for classes that can write a graph in some text format.
 *
 *
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.3 $
 * @since JDK1.3
 */

public interface GraphWriter {
	public boolean isWritingCoordinates();
	
	public boolean isWritingMappings();
	
	public boolean isWritingTopology();
	
	public void writeCoordinates(boolean write);
	
	/** Writes the specified graph to the specified output.
	 *
	 * @param graph the graph to write.
	 * @param writer the output where the graph in text format will go.
	 */	
	public void writeGraph(FCModeler fcmodeler, Writer writer);
	
	public void writeMappings(boolean write);
	
	public void writeTopology(boolean write);
}

/* 
 * $Log: GraphWriter.java,v $
 * Revision 1.3  2002/02/15 20:01:06  zcox
 * big time update
 *
 * Revision 1.2  2002/01/15 20:30:05  zcox
 * some changes
 *
 * Revision 1.1  2001/05/22 16:41:52  zcox
 * code clean-up
 *
 *
 *
 *
 */
