/* $Id: AbstractLink.java,v 1.1 2002/01/15 20:28:41 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

import java.util.Map;

import diva.graph.model.GraphModel;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractLink implements Link {
	protected Map _properties = null;
	protected GraphModel _graphModel = null;
	
	/** Creates new AbstractLink */
	public AbstractLink(Map properties, GraphModel graphModel) {
		if (graphModel == null) {
			throw new IllegalArgumentException("GraphModel parameter must not be null");
		}
		
		_properties = properties;
		_graphModel = graphModel;
	}
	
	public abstract void addLinkPiece(String role, Map properties, Map nodeMap);
}

/* 
 * $Log: AbstractLink.java,v $
 * Revision 1.1  2002/01/15 20:28:41  zcox
 * initial commit of fcmodeler.io.db package
 *
 * 
 */
