/* $Id: ExpressionLink.java,v 1.1 2002/01/15 20:28:42 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

import java.util.Map;

import diva.graph.model.GraphModel;
import diva.graph.model.Node;
import diva.graph.model.Edge;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class ExpressionLink extends AbstractLink {
	private Node _tail = null;
	private Node _head = null;
	private Edge _edge = null;
	
	/** Creates new ExpressionLink */
	public ExpressionLink(Map properties, GraphModel graphModel) {
		super(properties, graphModel);
	}
	
	public void addLinkPiece(String role, Map properties, Map nodeMap) {
		String label = (String) properties.get("label");
		
		if (role.equals("from")) {
			_tail = (Node) nodeMap.get(label);
			if (_tail == null) {
				_tail = _graphModel.createNode(label);
				_graphModel.addNode(_tail);
				nodeMap.put(label, _tail);
			}
		}
		else if (role.equals("to")) {
			_head = (Node) nodeMap.get(label);
			if (_head == null) {
				_head = _graphModel.createNode(label);
				_graphModel.addNode(_head);
				nodeMap.put(label, _head);
			}
		}
		else {
			throw new IllegalArgumentException("link piece role " + role + " not supported");
		}
		
		if (_tail != null && _head != null) {
			_edge = _graphModel.createEdge(_properties.get("linkID"));
			_edge.setDirected(true);
			_graphModel.connectEdge(_edge, _tail, _head);
		}
	}
}
