/* $Id: LinkFactory.java,v 1.1 2002/01/15 20:28:42 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

import java.util.Map;

import diva.graph.model.GraphModel;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class LinkFactory extends Object {
	private static LinkFactory _instance = null;
	
	/** Creates new LinkFactory */
	private LinkFactory() {
		
	}
	
	public Link createLink(String type, Map properties, GraphModel graphModel) {
		Link link = null;
		
		if (type.equals("inhibit")) {
			link = new InhibitLink(properties, graphModel);
		}
		else if (type.equals("binds to")) {
			link = new BindsToLink(properties, graphModel);
		}
		else if (type.equals("activate")) {
			link = new ActivateLink(properties, graphModel);
		}
		else if (type.equals("expression")) {
			link = new ExpressionLink(properties, graphModel);
		}
		else {
			//throw new IllegalArgumentException("link type " + type + " not supported");
			System.out.println("link type " + type + " not supported - creating a dummy link");
			System.out.println("-properties = " + properties);
			link = new DummyLink(properties, graphModel);
		}
		
		return link;
	}
	
	public static LinkFactory getInstance() {
		if (_instance == null) {
			_instance = new LinkFactory();
		}
		
		return _instance;
	}
}

/* 
 * $Log: LinkFactory.java,v $
 * Revision 1.1  2002/01/15 20:28:42  zcox
 * initial commit of fcmodeler.io.db package
 *
 * 
 */
