/* $Id: Subset.java,v 1.1 2002/01/15 20:28:42 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class Subset extends Object {
	private final int _id;
	private final String _submitter;
	private final String _description;
	private final String _dateCreated;
	
	/** Creates new Subset */
	public Subset(int id, String submitter, String description, String dateCreated) {
		_id = id;
		_submitter = submitter;
		_description = description;
		_dateCreated = dateCreated;
	}
	
	public boolean equals(Object o) {
		boolean equals = false;
		Subset other = null;
		
		if (o == this) {
			equals = true;
		}
		else if (!(o instanceof Subset)) {
			equals = false;
		}
		else {
			other = (Subset) o;
			equals = other.getID() == _id;
		}
		
		return equals;
	}
	
	public String getDateCreated() {
		return _dateCreated;
	}
	
	public String getDescription() {
		return _description;
	}
	
	public int getID() {
		return _id;
	}
	
	public String getSubmitter() {
		return _submitter;
	}
	
	public int hashCode() {
		int result = 17;
		
		result = 37*result + _id;
		
		return result;
	}
	
	public String toString() {
		return "id = " + _id + ", submitter = " + _submitter + ", description = " + _description + ", dateCreated = " + _dateCreated;
	}
}

/* 
 * $Log: Subset.java,v $
 * Revision 1.1  2002/01/15 20:28:42  zcox
 * initial commit of fcmodeler.io.db package
 *
 * 
 */
