/* $Id: SubsetSelectionDialog.java,v 1.1 2002/01/15 20:28:42 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

import java.util.List;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class SubsetSelectionDialog extends javax.swing.JDialog {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JPanel jPanel1;
	private javax.swing.JButton _ok;
	private javax.swing.JButton _cancel;
	private javax.swing.JPanel jPanel2;
	private javax.swing.JTable _table;
	// End of variables declaration//GEN-END:variables
	private SubsetTableModel _model = null;
	public static final int OK = 100;
	public static final int CANCEL = 101;
	private int _status = CANCEL;
	
	/** Creates new form SubgraphSelectionDialog */
	public SubsetSelectionDialog(List subsets) {
		super(new javax.swing.JFrame(), true);
		
		_model = new SubsetTableModel(subsets);
		
		initComponents();
		
		getRootPane().setDefaultButton(_ok);
	}

	private void _cancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cancelActionPerformed
		_status = CANCEL;
		closeDialog(null);
	}//GEN-LAST:event__cancelActionPerformed
	
	/** Closes the dialog */
	private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
		setVisible(false);
		dispose();
	}//GEN-LAST:event_closeDialog
	
	public Subset getSelectedSubset() {
		Subset subset = null;
		int row = -1;
		
		row = _table.getSelectedRow();
		if (row > -1) {
			subset = _model.getSubset(row);
		}
		
		return subset;
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		jPanel1 = new javax.swing.JPanel();
		_ok = new javax.swing.JButton();
		_cancel = new javax.swing.JButton();
		jPanel2 = new javax.swing.JPanel();
		_table = new javax.swing.JTable();
		
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				closeDialog(evt);
			}
		});
		
		jPanel1.setBorder(new javax.swing.border.EtchedBorder());
		_ok.setText("ok");
		_ok.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_okActionPerformed(evt);
			}
		});
		
		jPanel1.add(_ok);
		
		_cancel.setText("cancel");
		_cancel.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cancelActionPerformed(evt);
			}
		});
		
		jPanel1.add(_cancel);
		
		getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);
		
		jPanel2.setLayout(new java.awt.BorderLayout());
		
		_table.setModel(_model);
		jPanel2.add(_table, java.awt.BorderLayout.CENTER);
		
		getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);
		
		pack();
	}//GEN-END:initComponents

	private void _okActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__okActionPerformed
		if (_table.getSelectedRow() > -1) {
			_status = OK;
		}
		else {
			_status = CANCEL;
		}
		closeDialog(null);
	}//GEN-LAST:event__okActionPerformed

	public int showDialog() {
		show();
		
		return _status;
	}

}

/* 
 * $Log: SubsetSelectionDialog.java,v $
 * Revision 1.1  2002/01/15 20:28:42  zcox
 * initial commit of fcmodeler.io.db package
 *
 * 
 */
