/* $Id: SubsetTableModel.java,v 1.1 2002/01/15 20:28:42 zcox Exp $
 *
 *
 */

package fcmodeler.io.db;

import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class SubsetTableModel extends AbstractTableModel {
	private List _data = null;
	
	/** Creates new SubsetTableModel */
	public SubsetTableModel(List subsets) {
		_data = subsets;
	}
	
	public int getColumnCount() {
		return 4;
	}
	
	public String getColumnName(int column) {
		String name = null;
		
		switch (column) {
			case 0:
				name = "id";
				break;
			case 1:
				name = "submitter";
				break;
			case 2:
				name = "description";
				break;
			case 3:
				name = "date created";
				break;
			default:
				
		}
		
		return name;
	}
	
	public int getRowCount() {
		return _data.size();
	}
	
	public Subset getSubset(int row) {
		return (Subset) _data.get(row);
	}
	
	public Object getValueAt(int row, int column) {
		Object value = null;
		Subset subset = (Subset) _data.get(row);
		
		switch (column) {
			case 0:
				value = new Integer(subset.getID());
				break;
			case 1:
				value = subset.getSubmitter();
				break;
			case 2:
				value = subset.getDescription();
				break;
			case 3:
				value = subset.getDateCreated();
				break;
			default:
				//probably should report an error here
		}
		
		return value;
	}
}

/* 
 * $Log: SubsetTableModel.java,v $
 * Revision 1.1  2002/01/15 20:28:42  zcox
 * initial commit of fcmodeler.io.db package
 *
 * 
 */
