/* $Id: AbstractDotHandler.java,v 1.1 2002/01/15 20:29:27 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import java.util.Map;
import java.awt.geom.Rectangle2D;

import diva.graph.GraphView;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractDotHandler implements DotGraphHandler {
	protected Map _edgeMap = null;
	protected Map _nodeMap = null;
	protected GraphView _graphView = null;
	protected Rectangle2D _boundingBox = null;
	
	/** Creates new AbstractDotHandler */
	public AbstractDotHandler(GraphView graphView) {
		_graphView = graphView;
	}
	
	public abstract void edgeAttribute(Map attributes);
	
	public abstract void edgeDefinition(String tail, String head, Map attributes);
	
	public abstract void nodeAttribute(Map attributes);
	
	public abstract void nodeDefinition(String label, Map attributes);
	
	public void setEdgeMap(Map edgeMap) {
		_edgeMap = edgeMap;
	}
	
	public void setNodeMap(Map nodeMap) {
		_nodeMap = nodeMap;
	}
	
	public abstract void subgraphAttribute(Map attributes);
	
	public abstract void subgraphDefinition(String label);
	
	public abstract void subgraphTermination(String label);
	
	public Rectangle2D getBoundingBox() {
		return _boundingBox;
	}
}

/* 
 * $Log: AbstractDotHandler.java,v $
 * Revision 1.1  2002/01/15 20:29:27  zcox
 * initial commit of fcmodeler.io.dot package
 *
 * 
 */
