/* $Id: AbstractDotWriter.java,v 1.1 2002/01/15 20:29:27 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import java.io.OutputStream;
import java.util.Map;
import java.util.HashMap;

import diva.graph.model.Graph;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractDotWriter implements DotGraphWriter {
	protected Map _nodeMap = null;
	protected Map _edgeMap = null;
	
	/** Creates new AbstractDotWriter */
	public AbstractDotWriter() {
		_nodeMap = new HashMap();
		_edgeMap = new HashMap();
	}
	
	public Map getEdgeMap() {
		return _edgeMap;
	}
	
	public Map getNodeMap() {
		return _nodeMap;
	}
	
	public abstract void writeGraph(OutputStream output, Graph graph);
}

/* 
 * $Log: AbstractDotWriter.java,v $
 * Revision 1.1  2002/01/15 20:29:27  zcox
 * initial commit of fcmodeler.io.dot package
 *
 * 
 */
