/* $Id: DotGraphHandler.java,v 1.2 2002/02/15 20:06:46 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import java.util.Map;
import java.awt.geom.Rectangle2D;

import fcmodeler.FCModeler;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public interface DotGraphHandler {
	public void configure(FCModeler fcmodeler);
	public void edgeAttribute(Map attributes);
	public void edgeDefinition(String tail, String head, Map attributes);
	public Rectangle2D getBoundingBox();
	public void nodeAttribute(Map attributes);
	public void nodeDefinition(String label, Map attributes);
	public void setEdgeMap(Map edgeMap);
	public void setNodeMap(Map nodeMap);
	public void subgraphAttribute(Map attributes);
	public void subgraphDefinition(String label);
	public void subgraphTermination(String label);
}

/* 
 * $Log: DotGraphHandler.java,v $
 * Revision 1.2  2002/02/15 20:06:46  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 20:29:28  zcox
 * initial commit of fcmodeler.io.dot package
 *
 * 
 */
