/* $Id: NewGraphDotHandler.java,v 1.1 2002/02/15 20:06:46 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import java.util.Map;
import java.util.HashMap;
import java.awt.geom.Rectangle2D;

import diva.graph.model.GraphModel;
import diva.graph.model.Node;
import diva.graph.model.Edge;

import fcmodeler.FCModeler;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class NewGraphDotHandler extends Object implements DotGraphHandler {
	private GraphModel _model = null;
	private Map _nodeMap = null;
	
	/** Creates new NewGraphDotHandler */
	public NewGraphDotHandler() {
		_model = new GraphModel();
		_nodeMap = new HashMap();
	}
	
	public void configure(FCModeler fcmodeler) {
		fcmodeler.setGraphModel(_model);
	}
	
	public void edgeAttribute(Map attributes) {
		
	}
	
	public void edgeDefinition(String tail, String head, Map attributes) {
		Node tailNode = (Node) _nodeMap.get(tail);
		Node headNode = (Node) _nodeMap.get(head);
		if (tailNode != null && headNode != null) {
			Edge edge = _model.createEdge(tail + " -> " + head);
			edge.setDirected(true);
			_model.connectEdge(edge, tailNode, headNode);
		}
	}
	
	public Rectangle2D getBoundingBox() {
		throw new UnsupportedOperationException("getBoundingBox method not implemented yet");
	}
	
	public void nodeAttribute(Map attributes) {
		
	}
	
	public void nodeDefinition(String label, Map attributes) {
		Node node = _model.createNode(label);
		_model.addNode(node);
		_nodeMap.put(label, node);
	}
	
	public void setEdgeMap(Map edgeMap) {
		
	}
	
	public void setNodeMap(Map nodeMap) {
		
	}
	
	public void subgraphAttribute(Map attributes) {
		
	}
	
	public void subgraphDefinition(String label) {
		
	}
	
	public void subgraphTermination(String label) {
		
	}
	
}

/* 
 * $Log: NewGraphDotHandler.java,v $
 * Revision 1.1  2002/02/15 20:06:46  zcox
 * big time update
 *
 *
 *
 */
