/* $Id: RankClusterDotFileFilter.java,v 1.1 2002/02/15 20:06:46 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import fcmodeler.io.AbstractFileFilter;
import fcmodeler.io.GraphIOFactory;
import fcmodeler.io.GraphReader;
import fcmodeler.io.GraphWriter;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class RankClusterDotFileFilter extends AbstractFileFilter implements GraphIOFactory {
	private String _extension1 = "dot";
	private String _extension2 = "txt";
	
	/** Creates new RankClusterDotFileFilter */
	public RankClusterDotFileFilter() {
		_description = "Rank/Cluster Dot Graph (*." + _extension1 + ", *." + _extension2 + ")";
	}
	
	/** Returns a graph reader.
	 *
	 * @return a graph reader.
	 */
	public GraphReader getGraphReader() {
		throw new UnsupportedOperationException("rank/cluster dot graph reading not supported yet");
	}
	
	/** Returns a graph writer.
	 *
	 * @return a graph writer.
	 */
	public GraphWriter getGraphWriter() {
		throw new UnsupportedOperationException("rank/cluster dot graph writing not supported yet");
	}
	
	/** Returns <CODE>true</CODE> if the specified file extension is valid for this file filter.
	 *
	 * @param extension the file extension to test for validity.
	 * @return <CODE>true</CODE> if the specified file extension is valid for this file filter.
	 */
	public boolean isValidExtension(String extension) {
		return extension.equals(_extension1) || extension.equals(_extension2);
	}
	
}

/* 
 * $Log: RankClusterDotFileFilter.java,v $
 * Revision 1.1  2002/02/15 20:06:46  zcox
 * big time update
 *
 *
 *
 */
