/*
 * BasicWGData.java
 *
 * Created on May 14, 2002, 11:46 AM
 */

package fcmodeler.jsomap;

import java.util.List;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import diva.graph.model.Node;
import diva.graph.model.Edge;

import jsomap.data.Pattern;

import fcmodeler.subgraph.Cycle;

/**
 *
 * @author  default
 * @version
 */
public class CycleWGData extends Object implements WGData {
	private List _graphs = null;
	
	/** Creates new BasicWGData */
	public CycleWGData(Collection cycles) {
		if (cycles == null) { throw new NullPointerException("cycles was null"); }
		
		_graphs = new ArrayList(cycles.size());
		for (Iterator iterator = cycles.iterator(); iterator.hasNext();) {
			Cycle cycle = (Cycle) iterator.next();
			WeightedSet nodes = new WeightedSet();
			WeightedSet edges = new WeightedSet();
			for (Iterator iterator2 = cycle.iterator(); iterator2.hasNext();) {
				Object obj = iterator2.next();
				if (obj instanceof Node) {
					nodes.add(((Node) obj).getProperty("label"));
				}
				else if (obj instanceof Edge) {
					Edge e = (Edge) obj;
					edges.add(new fcmodeler.jsomap.Edge(e.getTail().getProperty("label"), e.getHead().getProperty("label")));
				}
			}
			_graphs.add(new WeightedGraph(nodes, edges));
		}
	}
	
	/** Returns the number of patterns being stored in this data object.
	 *
	 * @return the number of patterns in this data object.
	 */
	public int count() {
		return _graphs.size();
	}
	
	/** Returns the pattern at the specified position.
	 *
	 * @param index the index of the desired pattern.
	 * @return the pattern indexed by <CODE>index</CODE>.
	 * @throws IndexOutOfBoundsException if <CODE>index</CODE> is out of range.
	 */
	public Pattern get(int index) {
		return (Pattern) _graphs.get(index);
	}
	
	public WeightedGraph getWG(int index) {
		return (WeightedGraph) _graphs.get(index);
	}
	
	/** Sets the pattern at the specified index to the specified pattern (optional
	 * operation).
	 *
	 * @param index the index of the pattern.
	 * @param point the new pattern.
	 * @throws NullPointerException if <CODE>pattern</CODE> is null.
	 * @throws IndexOutOfBoundsException if <CODE>index</CODE> is out of range.
	 * @throws UnsupportedOperationException if this <CODE>set</CODE> method is not supported by this data object.
	 * @throws IllegalArgumentException if the specified pattern cannot be added to this data object.
	 */
	public void set(int index, Pattern pattern) {
		throw new UnsupportedOperationException("set not supported");
	}
	
	public void setWG(int index, WeightedGraph graph) {
		throw new UnsupportedOperationException("setWG not supported");
	}
	
}
