/*
 * EuclideanWGMetric.java
 *
 * Created on May 2, 2002, 12:37 PM
 */

package fcmodeler.jsomap;

import jsomap.data.Pattern;
import jsomap.algorithm.parameters.Metric;

/**
 *
 * @author  default
 * @version
 */
public class EuclideanWGMetric extends Object implements Metric {
	
	/** Creates new EuclideanWGMetric */
	public EuclideanWGMetric() {
		
	}
	
	/** Returns the dissimilarity between the two specified patterns.
	 *
	 * @param one the first pattern.
	 * @param two the second pattern.
	 * @return the dissimilarity between the two patterns.
	 * @throws NullPointerException if either <CODE>one</CODE> or <CODE>two</CODE> is <CODE>null</CODE>.
	 */
	public double compare(Pattern one, Pattern two) {
		if (one == null) { throw new NullPointerException("one was null"); }
		if (two == null) { throw new NullPointerException("two was null"); }
		
		WeightedGraph g1 = (WeightedGraph) one;
		WeightedGraph g2 = (WeightedGraph) two;
		return WGMath.distance(g1, g2);
	}
	
}
