/*
 * HistogramDoubleCellRenderer.java
 *
 * Created on May 13, 2002, 1:04 PM
 */

package fcmodeler.jsomap;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;
import java.awt.Component;
import java.awt.Color;
import java.awt.Font;

/**
 *
 * @author  default
 * @version
 */
public class HistogramDoubleCellRenderer extends JLabel implements TableCellRenderer {
	private static final Color _selectedBackground = new Color(204, 204, 255);
	private boolean _showZeros = true;
	private boolean _shading = false;
	
	/** Creates new HistogramDoubleCellRenderer */
	public HistogramDoubleCellRenderer() {
		setOpaque(true);
		setFont(getFont().deriveFont(Font.PLAIN));
	}
	
	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int col) {
		setForeground(Color.black);
		if (value instanceof Double) {
			Double weight = (Double) value;
			/*if (weight.doubleValue() == 0.0d) {
				if (_showZeros) { setText(weight.toString()); }
			}
			else { setText(weight.toString()); }*/
			
			if ((weight.doubleValue() == 0.0d && _showZeros) || weight.doubleValue() > 0.0d) { setText(weight.toString()); }
			else { setText(""); }
			
			setBackground(isSelected ? _selectedBackground : (_shading ? new Color(1.0f, 1.0f-weight.floatValue(), 1.0f-weight.floatValue()) : Color.white));
		}
		else {
			setBackground(isSelected ? _selectedBackground : Color.white);
			setText(value.toString());
		}
		return this;
	}
	
	public void setShading(boolean shading) {
		_shading = shading;
	}
	
	public void showZeros(boolean showZeros) {
		_showZeros = showZeros;
	}
	
}
