/*
 * HistogramPanel.java
 *
 * Created on May 13, 2002, 1:20 PM
 */

package fcmodeler.jsomap;

import java.util.List;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import jsomap.map.Map;

/**
 *
 * @author  default
 */
public class HistogramPanel extends JPanel {	
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JPanel _optionsPanel;
	private javax.swing.JCheckBox _showZeros;
	private javax.swing.JCheckBox _shading;
	// End of variables declaration//GEN-END:variables
	private HistogramDoubleCellRenderer _renderer = null;
	
	/** Creates new form HistogramPanel */
	public HistogramPanel(Map map, List sets, boolean useNodes) {
		initComponents();
		
		JTable table = new JTable(new HistogramTableModel(map, sets, useNodes));
		_renderer = new HistogramDoubleCellRenderer();
		table.setDefaultRenderer(Double.class, _renderer);
		JScrollPane sp = new JScrollPane(table);
		add(sp);
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_optionsPanel = new javax.swing.JPanel();
		_showZeros = new javax.swing.JCheckBox();
		_shading = new javax.swing.JCheckBox();
		
		setLayout(new java.awt.BorderLayout());
		
		_optionsPanel.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints2;
		
		_showZeros.setSelected(true);
		_showZeros.setText("show zeros");
		_showZeros.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_showZerosActionPerformed(evt);
			}
		});
		
		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.anchor = java.awt.GridBagConstraints.WEST;
		_optionsPanel.add(_showZeros, gridBagConstraints2);
		
		_shading.setText("shading");
		_shading.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_shadingActionPerformed(evt);
			}
		});
		
		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.gridx = 1;
		gridBagConstraints2.gridy = 0;
		gridBagConstraints2.anchor = java.awt.GridBagConstraints.WEST;
		_optionsPanel.add(_shading, gridBagConstraints2);
		
		add(_optionsPanel, java.awt.BorderLayout.SOUTH);
		
	}//GEN-END:initComponents

	private void _shadingActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__shadingActionPerformed
		_renderer.setShading(_shading.isSelected());
		repaint();
	}//GEN-LAST:event__shadingActionPerformed

	private void _showZerosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__showZerosActionPerformed
		_renderer.showZeros(_showZeros.isSelected());
		repaint();
	}//GEN-LAST:event__showZerosActionPerformed
	
}
