/*
 * HistogramTableModel.java
 *
 * Created on May 13, 2002, 12:15 PM
 */

package fcmodeler.jsomap;

import java.util.List;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.Iterator;
import javax.swing.table.AbstractTableModel;

import jsomap.map.Map;

/**
 *
 * @author  default
 * @version
 */
public class HistogramTableModel extends AbstractTableModel {
	private String[] _colNames = null;
	//private String[] _rowNames = null;
	private Object[] _rowNames = null;
	private Double[][] _data = null;
	
	/** Creates new HistogramTableModel */
	public HistogramTableModel(Map map, List sets, boolean useNodes) {
		if (map == null) { throw new NullPointerException("map was null"); }
		if (sets == null) { throw new NullPointerException("sets was null"); }
		
		//create column names
		_colNames = new String[map.count() + 1];
		_colNames[0] = "name";
		for (int i=0, size=sets.size(); i<size; i++) {
			_colNames[i+1] = "node" + i;
		}
		
		//create row names
		SortedSet elements = new TreeSet();
		for (Iterator iterator = sets.iterator(); iterator.hasNext();) {
			Set set = (Set) iterator.next();
			for (Iterator iterator2 = set.iterator(); iterator2.hasNext();) {
				WeightedGraph wg = (WeightedGraph) iterator2.next();
				elements.addAll(useNodes ? wg.getNodes() : wg.getEdges());
			}
		}
		//_rowNames = new String[elements.size()];
		_rowNames = new Object[elements.size()];
		int k=0;
		for (Iterator iterator = elements.iterator(); iterator.hasNext();) {
			_rowNames[k++] = iterator.next()/*.toString()*/;
		}
		
		//create table elements
		_data = new Double[getRowCount()][getColumnCount()-1];
		for (int i=0, length=_data.length; i<length; i++) {
			Object element = _rowNames[i];
			for (int j=0, length2=_data[0].length; j<length2; j++) {
				WeightedGraph wg = (WeightedGraph) map.getModel(j).getPattern();
				WeightedSet ws = useNodes ? wg.getNodes() : wg.getEdges();
				_data[i][j] = new Double(ws.get(element));
			}
		}
	}
	
	public Class getColumnClass(int index) {
		if (index == 0) { return String.class; }
		else { return Double.class; }
	}
	
	public int getColumnCount() {
		return _colNames.length;
	}
	
	public String getColumnName(int index) {
		return _colNames[index];
	}
	
	public int getRowCount() {
		return _rowNames.length;
	}
	
	public Object getValueAt(int row, int col) {
		if (col == 0) { return _rowNames[row]; }
		else { return _data[row][col-1]; }
	}
	
}
