/*
 * JWeightedGraph.java
 *
 * Created on May 9, 2002, 5:10 PM
 */

package fcmodeler.jsomap;

import java.util.Map;
import java.util.HashMap;
import java.util.Iterator;
import java.awt.Dimension;
import java.awt.geom.Rectangle2D;

import diva.graph.JGraph;
import diva.graph.model.GraphModel;
import diva.graph.model.Node;

import fcmodeler.FCModeler;
import fcmodeler.layout.SimpleDotLayout;
//import fcmodeler.actions.SimpleDotLayoutAction;

/**
 *
 * @author  default
 * @version
 */
public class JWeightedGraph extends /*JGraph*/FCModeler {
	private WeightedGraph _graph = null;
	
	/** Creates new JWeightedGraph */
	public JWeightedGraph(WeightedGraph graph) {
		super();
		if (graph == null) { throw new NullPointerException("graph was null"); }
		_graph = graph;
		setPathToDot("c:/fcmodeler/dot");
		//getJScrollPane().setPreferredSize(new Dimension(100, 100));
		
		GraphModel model = new GraphModel();
		Map map = new HashMap();
		WeightedSet nodes = _graph.getNodes();
		for (Iterator iterator = nodes.iterator(); iterator.hasNext();) {
			Object obj = iterator.next();
			Node node = model.createNode(obj);
			node.setProperty("label", obj.toString());
			node.setProperty("weight", Double.toString(nodes.get(obj)));
			model.addNode(node);
			map.put(obj, node);
		}
		
		WeightedSet edges = _graph.getEdges();
		for (Iterator iterator = edges.iterator(); iterator.hasNext();) {
			Edge edge = (Edge) iterator.next();
			Node tail = (Node) map.get(edge.getTail());
			Node head = (Node) map.get(edge.getHead());
			diva.graph.model.Edge edge2 = model.createEdge(edge);
			edge2.setProperty("weight", Double.toString(edges.get(edge)));
			model.connectEdge(edge2, tail, head);
		}
		
		WeightedGraphRenderer renderer = new WeightedGraphRenderer();
		setNodeRenderer(renderer);
		setEdgeRenderer(renderer);
		setGraphModel(model);
		
		//SimpleDotLayoutAction.layoutGraph(this);
		SimpleDotLayout layout = new SimpleDotLayout(this);
		layout.layout(getGraphView(), getGraph());
		Rectangle2D box = layout.getBoundingBox();
		getScrollableJGraph().setPreferredSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		getScrollableJGraph().setSize(new Dimension((int) box.getWidth(), (int) box.getHeight()));
		getJScrollPane().revalidate();
	}
	
	public WeightedGraph getWeightedGraph() {
		return _graph;
	}
	
}
