/*
 * PowerSet.java
 *
 * Created on March 19, 2002, 1:13 PM
 */

package fcmodeler.jsomap;

import java.util.Set;
import java.util.HashSet;
import java.util.TreeSet;
import java.util.List;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 *
 * @author  default
 * @version
 */
public class PowerSet extends Object implements Set {
	private Set _powerSet = null;
	
	/** Creates new PowerSet */
	public PowerSet(Set set) {
		if (set == null) { throw new NullPointerException("set was null"); }
		
		_powerSet = new HashSet();
		List list = new ArrayList(set);
		for (int i=0, max=(int)Math.pow(2, list.size()); i<max; i++) {
			String bits = Integer.toBinaryString(i);
			//Set element = new HashSet();
			Set element = new TreeSet();
			for (int j=0, length=bits.length(); j<length; j++) {
				if (bits.charAt(j) == '1') { element.add(list.get(length-1-j)); }
			}
			_powerSet.add(element);
		}
	}
	
	public boolean add(Object obj) {
		return _powerSet.add(obj);
	}
	
	public boolean addAll(Collection collection) {
		return _powerSet.addAll(collection);
	}
	
	public void clear() {
		_powerSet.clear();
	}
	
	public boolean contains(Object obj) {
		return _powerSet.contains(obj);
	}
	
	public boolean containsAll(Collection collection) {
		return _powerSet.containsAll(collection);
	}
	
	public boolean equals(Object obj) {
		return _powerSet.equals(obj);
	}
	
	public int hashCode() {
		return _powerSet.hashCode();
	}
	
	public boolean isEmpty() {
		return _powerSet.isEmpty();
	}
	
	public Iterator iterator() {
		return _powerSet.iterator();
	}
	
	public boolean remove(Object obj) {
		return _powerSet.remove(obj);
	}
	
	public boolean removeAll(Collection collection) {
		return _powerSet.removeAll(collection);
	}
	
	public boolean retainAll(Collection collection) {
		return _powerSet.retainAll(collection);
	}
	
	public int size() {
		return _powerSet.size();
	}
	
	public Object[] toArray() {
		return _powerSet.toArray();
	}
	
	public Object[] toArray(Object[] obj) {
		return _powerSet.toArray(obj);
	}
	
	public String toString() {
		return _powerSet.toString();
	}
	
}
