/*
 * Projector.java
 *
 * Created on May 8, 2002, 4:58 PM
 */

package fcmodeler.jsomap;

import java.util.List;
import java.util.ArrayList;
import java.util.Set;
import java.util.HashSet;

import jsomap.data.Data;
import jsomap.data.Pattern;
import jsomap.map.Map;
import jsomap.algorithm.parameters.Metric;

/**
 *
 * @author  default
 * @version
 */
public class Projector {
	
	/** Creates new Projector */
	public Projector() {
		
	}
	
	public List project(Data data, Map map, Metric metric) {
		if (data == null) { throw new NullPointerException("data was null"); }
		if (map == null) { throw new NullPointerException("map was null"); }
		if (metric == null) { throw new NullPointerException("metric was null"); }
		
		//create the empty sets
		List setList = new ArrayList(map.count());
		for (int i=0, count=map.count(); i<count; i++) {
			setList.add(new HashSet());
		}
		
		//add each pattern to set with most similar model
		for (int i=0, count=data.count(); i<count; i++) {
			Pattern pattern = data.get(i);
			double best = Double.MAX_VALUE;
			int winner = 0;
			for (int j=0, count2=map.count(); j<count2; j++) {
				Pattern modelPattern = map.getModel(j).getPattern();
				double result = metric.compare(pattern, modelPattern);
				if (result < best) {
					best = result;
					winner = j;
				}
			}
			Set nodeSet = (Set) setList.get(winner);
			nodeSet.add(pattern);
		}
		
		return setList;
	}
	
}
