/*
 * RandomModels.java
 *
 * Created on May 3, 2002, 1:37 PM
 */

package fcmodeler.jsomap;

import java.util.Set;
import java.util.HashSet;
import java.util.List;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Collection;
import java.util.AbstractCollection;
import java.util.Random;

/**
 *
 * @author  default
 * @version
 */
public class RandomModels extends AbstractCollection {
	private List _models = null;
	
	/** Creates new RandomModels */
	public RandomModels(WGData graphs, int count) {
		super();
		if (graphs == null) { throw new NullPointerException("graphs was null"); }
		if (count <= 0) { throw new IllegalArgumentException("count must be greater than zero: " + count); }
		
		//create the union of all the nodes and edges
		Set nodeUnion = new HashSet();
		Set edgeUnion = new HashSet();
		for (int i=0, count2=graphs.count(); i<count2; i++) {
			WeightedGraph g = graphs.getWG(i);
			nodeUnion.addAll(g.getNodes());
			edgeUnion.addAll(g.getEdges());
		}
		List nodeUnion2 = new ArrayList(nodeUnion);
		List edgeUnion2 = new ArrayList(edgeUnion);
		System.out.println("" + nodeUnion2.size() + ", " + edgeUnion2.size());
		nodeUnion = null;
		edgeUnion = null;
		
		_models = new ArrayList(count);
		Random random = new Random();
		for (int i=0; i<count; i++) {
			WeightedSet nodes = new WeightedSet();
			WeightedSet edges = new WeightedSet();
			
			//choose random number of random nodes
			int nodeCount = random.nextInt(nodeUnion2.size());
			for (int j=0; j<nodeCount; j++) {
				nodes.add(nodeUnion2.get(random.nextInt(nodeUnion2.size())));
			}
			
			//choose random number of random edges
			int edgeCount = random.nextInt(edgeUnion2.size());
			for (int j=0; j<edgeCount; j++) {
				edges.add(edgeUnion2.get(random.nextInt(edgeUnion2.size())));
			}
			
			//eliminate invalid edges
			for (Iterator iterator = edges.iterator(); iterator.hasNext();) {
				Edge edge = (Edge) iterator.next();
				if (!nodes.contains(edge.getTail()) || !nodes.contains(edge.getHead())) {
					iterator.remove();
				}
			}
			
			//make a new model
			_models.add(new WGModel(new WeightedGraph(nodes, edges)));
		}
		
		//create the power sets of the nodes and edges
		/*Set nodePS = new PowerSet(nodeUnion);
		Set edgePS = new PowerSet(edgeUnion);
		
		//create all possible graphs
		Set space = new HashSet();
		for (Iterator iterator = nodePS.iterator(); iterator.hasNext();) {
			Set nodes = (Set) iterator.next();
			for (Iterator iterator2 = edgePS.iterator(); iterator2.hasNext();) {
				Set edges = new HashSet((Set) iterator2.next());
				for (Iterator iterator3 = edges.iterator(); iterator3.hasNext();) {
					//List edge = (List) iterator3.next();
					Edge edge = (Edge) iterator3.next();
					//if (!nodes.contains(edge.get(0)) || !nodes.contains(edge.get(1))) {
					if (!nodes.contains(edge.getTail()) || !nodes.contains(edge.getHead())) {
						iterator3.remove();
					}
				}
				//_space.add(new GraphPattern(new HashSet(nodes), edges));
				space.add(new WeightedGraph(new WeightedSet(nodes), new WeightedSet(edges)));
			}
		}
		List space2 = new ArrayList(space);
		space = null;
		for (Iterator iterator = space2.iterator(); iterator.hasNext();) {
			System.out.println(iterator.next());
		}
		
		//choose count random graphs
		_models = new ArrayList(count);
		Random random = new Random();
		for (int i=0; i<count; i++) {
			_models.add(new WGModel((WeightedGraph) space2.get(random.nextInt(space2.size()))));
		}*/
	}
	
	public RandomModels(Collection graphs, int count) {
		super();
		if (graphs == null) { throw new NullPointerException("graphs was null"); }
		if (count <= 0) { throw new IllegalArgumentException("count must be greater than zero: " + count); }
		
		//create the union of all the nodes and edges
		Set nodeUnion = new HashSet();
		Set edgeUnion = new HashSet();
		for (Iterator iterator = graphs.iterator(); iterator.hasNext();) {
			WeightedGraph g = (WeightedGraph) iterator.next();
			nodeUnion.addAll(g.getNodes());
			edgeUnion.addAll(g.getEdges());
		}
		List nodeUnion2 = new ArrayList(nodeUnion);
		List edgeUnion2 = new ArrayList(edgeUnion);
		nodeUnion = null;
		edgeUnion = null;
		
		_models = new ArrayList(count);
		Random random = new Random();
		for (int i=0; i<count; i++) {
			WeightedSet nodes = new WeightedSet();
			WeightedSet edges = new WeightedSet();
			
			//choose random number of random nodes
			int nodeCount = random.nextInt(nodeUnion2.size());
			for (int j=0; j<nodeCount; j++) {
				nodes.add(nodeUnion2.get(random.nextInt(nodeUnion2.size())));
			}
			
			//choose random number of random edges
			int edgeCount = random.nextInt(edgeUnion2.size());
			for (int j=0; j<edgeCount; j++) {
				edges.add(edgeUnion2.get(random.nextInt(edgeUnion2.size())));
			}
			
			//eliminate invalid edges
			for (Iterator iterator = edges.iterator(); iterator.hasNext();) {
				Edge edge = (Edge) iterator.next();
				if (!nodes.contains(edge.getTail()) || !nodes.contains(edge.getHead())) {
					iterator.remove();
				}
			}
			
			//make a new model
			_models.add(new WGModel(new WeightedGraph(nodes, edges)));
		}
		
		//create all possible graphs
		/*Set space = new HashSet();
		for (Iterator iterator = nodePS.iterator(); iterator.hasNext();) {
			Set nodes = (Set) iterator.next();
			for (Iterator iterator2 = edgePS.iterator(); iterator2.hasNext();) {
				Set edges = new HashSet((Set) iterator2.next());
				for (Iterator iterator3 = edges.iterator(); iterator3.hasNext();) {
					//List edge = (List) iterator3.next();
					Edge edge = (Edge) iterator3.next();
					//if (!nodes.contains(edge.get(0)) || !nodes.contains(edge.get(1))) {
					if (!nodes.contains(edge.getTail()) || !nodes.contains(edge.getHead())) {
						iterator3.remove();
					}
				}
				//_space.add(new GraphPattern(new HashSet(nodes), edges));
				space.add(new WeightedGraph(new WeightedSet(nodes), new WeightedSet(edges)));
			}
		}
		List space2 = new ArrayList(space);
		space = null;
		System.out.println(space2.size());
		for (Iterator iterator = space2.iterator(); iterator.hasNext();) {
			System.out.println(iterator.next());
		}
		
		//choose count random graphs
		_models = new ArrayList(count);
		Random random = new Random();
		for (int i=0; i<count; i++) {
			_models.add(new WGModel((WeightedGraph) space2.get(random.nextInt(space2.size()))));
		}*/
	}
	
	public Iterator iterator() {
		return _models.iterator();
	}
	
	public int size() {
		return _models.size();
	}
	
}
