/*
 * WGModel.java
 *
 * Created on May 2, 2002, 12:31 PM
 */

package fcmodeler.jsomap;

import jsomap.data.Pattern;
import jsomap.map.Node;
import jsomap.map.AbstractModel;

/**
 *
 * @author  default
 * @version
 */
public final class WGModel extends AbstractModel {
	private WeightedGraph _graph = null;
	
	/** Creates new WGModel */
	public WGModel(WeightedGraph graph) {
		super(graph);
		setPattern(graph);
	}
	
	public WGModel(WeightedGraph graph, Node node) {
		super(graph, node);
		setPattern(graph);
	}
	
	/** Returns the pattern for this model.
	 *
	 * @return the pattern for this model.
	 */
	public Pattern getPattern() {
		return _graph;
	}
	
	public WeightedGraph getWG() {
		return _graph;
	}
	
	/** Sets this model's pattern to the specified pattern.
	 *
	 * @param pattern the pattern.
	 * @throws NullPointerException if <CODE>pattern</CODE> is <CODE>null</CODE>.
	 */
	public void setPattern(Pattern pattern) {
		if (pattern == null) { throw new NullPointerException("pattern was null"); }
		
		_graph = (WeightedGraph) pattern;
	}
	
	public void setWG(WeightedGraph graph) {
		setPattern(graph);
	}
	
}
