/* $Id: Cluster.java,v 1.2 2002/02/15 20:12:05 zcox Exp $
 *
 *
 */

package fcmodeler.layout;

import java.util.Set;
import java.util.List;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class Cluster extends Object {
	private Set _sentences = null;
	private String _label = null;
	private List _subclusters = null;
	
	/** Creates new Cluster */
	public Cluster(String label, Set sentences, List subclusters) {
		_label = label;
		_sentences = sentences;
		_subclusters = subclusters;
	}
	
	public boolean equals(Object obj) {
		if (obj == this) 
			return true;
		
		if (!(obj instanceof Cluster))
			return false;
		
		Cluster other = (Cluster) obj;
		return _label.equals(other.getLabel()) && _sentences.equals(other.getSentences()) && _subclusters.equals(other.getSubclusters());
	}
	
	public List getSubclusters() {
		return _subclusters;
	}
	
	public String getLabel() {
		return _label;
	}
	
	public Set getSentences() {
		return _sentences;
	}
	
	public int hashCode() {
		int result = 17;
		
		result = 37*result + _label.hashCode();
		result = 37*result + _sentences.hashCode();
		result = 37*result + _subclusters.hashCode();
		
		return result;
	}
	
	public String toString() {
		return _label + " " + _subclusters.toString();
	}
}

/* 
 * $Log: Cluster.java,v $
 * Revision 1.2  2002/02/15 20:12:05  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 20:35:22  zcox
 * initial commit of some layout classes
 *
 * 
 */
