/* $Id: Rank.java,v 1.2 2002/02/15 20:12:05 zcox Exp $
 *
 *
 */

package fcmodeler.layout;

import java.util.Set;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class Rank extends Object {
	private String _label = null;
	private Set _sentences = null;
	
	/** Creates new Rank */
	public Rank(String label, Set sentences) {
		_label = label;
		_sentences = sentences;
	}
	
	public boolean equals(Object obj) {
		if (obj == this) 
			return true;
		
		if (!(obj instanceof Rank))
			return false;
		
		Rank other = (Rank) obj;
		return _label.equals(other.getLabel()) && _sentences.equals(other.getSentences());
	}
	
	public String getLabel() {
		return _label;
	}
	
	public Set getSentences() {
		return _sentences;
	}
	
	public int hashCode() {
		int result = 17;
		
		result = 37*result + _label.hashCode();
		result = 37*result + _sentences.hashCode();
		
		return result;
	}
	
	public String toString() {
		return _label;
	}
}

/* 
 * $Log: Rank.java,v $
 * Revision 1.2  2002/02/15 20:12:05  zcox
 * big time update
 *
 * Revision 1.1  2002/01/15 20:35:23  zcox
 * initial commit of some layout classes
 *
 * 
 */
