/* $Id: BasicTableCellRenderer.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.Component;
import java.awt.Color;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class BasicTableCellRenderer extends DefaultTableCellRenderer {
	private BasicTableSelectionModel _selectionModel = null;
	private static final Color _selectionColor = new Color(204, 204, 255);
	private static final String _emptyString = "";
	
	/** Creates new BasicTableCellRenderer */
	public BasicTableCellRenderer(BasicTableSelectionModel selectionModel) {
		_selectionModel = selectionModel;
	}
	
	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int col) {
		setText(value == null ? _emptyString : value.toString());
		//setText(value.toString());
		if (_selectionModel.isSelected(row, col)) {
			setBackground(_selectionColor);
		}
		else {
			setBackground(Color.white);
		}
		
		return this;
	}
	
}

/* 
 * $Log: BasicTableCellRenderer.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
