/* $Id: BasicTableSelectionModel.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;
import java.awt.Point;
import javax.swing.JTable;
import javax.swing.SwingUtilities;
import java.util.Set;
import java.util.HashSet;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class BasicTableSelectionModel extends Object implements MouseListener {
	private JTable _table = null;
	private Set _selection = null;
	
	/** Creates new TableSelectionModel */
	public BasicTableSelectionModel(JTable table) {
		_table = table;
		_selection = new HashSet();
	}
	
	public Set getSelection() {
		return _selection;
	}
	
	public boolean isSelected(int row, int col) {
		return _selection.contains(new Point(row, col));
	}
	
	public void mouseClicked(MouseEvent event) {
		if (SwingUtilities.isLeftMouseButton(event)) {
			Point point = event.getPoint();
			int row = _table.rowAtPoint(point);
			int col = _table.columnAtPoint(point);
			Point cell = new Point(row, col);
			
			if (_table.getValueAt(row, col) != null) {
				if (event.isControlDown()) {
					if (_selection.contains(cell)) {
						_selection.remove(cell);
					}
					else {
						_selection.add(cell);
					}
				}
				else if (event.isShiftDown()) {
					System.out.println("shift + left-click on cell (" + row + "," + col + ")");
				}
				else {
					if (!_selection.contains(cell)) {
						_selection.clear();
						_selection.add(cell);
					}
				}
			}
		}
	}
	
	public void mouseEntered(MouseEvent event) {
		
	}
	
	public void mouseExited(MouseEvent event) {
		
	}
	
	public void mousePressed(MouseEvent event) {
		
	}
	
	public void mouseReleased(MouseEvent event) {
		
	}
	
}

/* 
 * $Log: BasicTableSelectionModel.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
