/* $Id: Connective.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

/** A connective used to create complex sentences.  Concrete implementations provide the actual
 * functionality of their connective.  This interface is mainly geared towards logical operator
 * connectives, such as AND, OR, etc.
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public interface Connective {
	/** Evaluates the sentence <CODE>first</CODE> CONNECTIVE <CODE>second</CODE> using this connective.
	 *
	 * @param first the first term in the sentence.
	 * @param second the second term in the sentence.
	 * @return <CODE>true</CODE> if the sentence evaluates to true; <CODE>false</CODE> otherwise.
	 */	
	public boolean evaluate(boolean first, boolean second);
}

/* 
 * $Log: Connective.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
