/* $Id: EdgeMappingObserver.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import java.util.Collections;

import diva.graph.GraphView;
import diva.graph.model.Graph;
import diva.graph.model.GraphUtilities.EdgeIterator;

import fcmodeler.util.SetChangeListener;
import fcmodeler.util.SetChangeEvent;
import fcmodeler.attributes.DefaultEdgeValues;
import fcmodeler.attributes.VisualAttributeValue;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class EdgeMappingObserver extends Object implements SetChangeListener {
	private Graph _graph = null;
	private GraphView _view = null;
	
	/** Creates new EdgeMappingObserver */
	public EdgeMappingObserver(Graph graph, GraphView view) {
		_graph = graph;
		_view = view;
	}
	
	/** Invoked when an element is added to the observed set.
	 *
	 * @param event the object representing the element's addition.
	 */
	public void elementAdded(SetChangeEvent event) {
		MappingUtility.mapEdges(new EdgeIterator(_graph), Collections.singleton(event.getElement()), _view, true);
	}
	
	/** Invoked when an element is removed from the observed set.
	 *
	 * @param event the object represent the element's removal.
	 */
	public void elementRemoved(SetChangeEvent event) {
		EdgeMapping old = (EdgeMapping) event.getElement();
		VisualAttributeValue value = (VisualAttributeValue) old.getValue();
		EdgeMapping mapping = new EdgeMapping(old.getSentence(), DefaultEdgeValues.getDefault(value));
		MappingUtility.mapEdges(new EdgeIterator(_graph), Collections.singleton(mapping), _view, true);
	}
	
}

/* 
 * $Log: EdgeMappingObserver.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
