/* $Id: NodeMapping.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import fcmodeler.attributes.VisualAttributeValue;
import fcmodeler.attributes.NodeVisualAttributeValue;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class NodeMapping extends Object {
	private final Sentence _sentence;
	private final NodeVisualAttributeValue _value;
	private final String _string;
	
	/** Creates a new <CODE>Mapping</CODE> from the specified <CODE>Sentence</CODE> to the
	 * specified <CODE>VisualAttributeValue</CODE>.
	 *
	 * @param sentence the sentence of this mapping.
	 * @param value the visual attribute value of this mapping.
	 */
	public NodeMapping(Sentence sentence, NodeVisualAttributeValue value) {
		_sentence = sentence;
		_value = value;
		_string = _sentence.toString() + " maps to (" + ((VisualAttributeValue) _value).getAttribute().toString() + " = " + _value.toString() + ")";
	}
	
	/** Returns the sentence of this mapping.
	 *
	 * @return the sentence of this mapping.
	 */	
	public Sentence getSentence() {
		return _sentence;
	}
	
	/** Returns the visual attribute value of this mapping.
	 * @return the visual attribute value of this mapping.
	 */	
	public NodeVisualAttributeValue getValue() {
		return _value;
	}
	
	public String toString() {
		return _string;
	}
	
}

/* 
 * $Log: NodeMapping.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
