/* $Id: NodePropertiesTableModel.java,v 1.1 2002/02/15 20:23:58 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import javax.swing.table.AbstractTableModel;
import java.util.List;
import java.util.ArrayList;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.Iterator;

import diva.graph.model.Graph;
import diva.graph.model.Node;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public final class NodePropertiesTableModel extends AbstractTableModel {
	private List _columnNames = null;
	private List _data = null;
	private int _rowCount = 0;
	
	/** Creates new PropertyTableModel */
	public NodePropertiesTableModel(Graph graph) {
		_columnNames = (List) graph.getProperty("nodeProperties");
		
		_data = new ArrayList(_columnNames.size());
		int maxRowCount = 0;
		for (int i=0, size=_columnNames.size(); i<size; i++) {
			SortedSet values = new TreeSet();
			for (Iterator nodes = graph.nodes(); nodes.hasNext();) {
				Node node = (Node) nodes.next();
				values.add(node.getProperty((String) _columnNames.get(i)));
			}
			_data.add(new ArrayList(values));
			if (values.size() > maxRowCount) {
				maxRowCount = values.size();
			}
		}
		_rowCount = maxRowCount;
	}
	
	public int getColumnCount() {
		return _data.size();
	}
	
	public String getColumnName(int col) {
		return (String) _columnNames.get(col);
	}
	
	public int getRowCount() {
		return _rowCount;
	}
	
	public Object getValueAt(int row, int col) {
		List column = (List) _data.get(col);
		if (row < column.size()) {
			return column.get(row);
		}
		else {
			return null;
		}
	}
	
}

/* 
 * $Log: NodePropertiesTableModel.java,v $
 * Revision 1.1  2002/02/15 20:23:58  zcox
 * big time update
 *
 *
 *
 */
