/* $Id: Sentence.java,v 1.1 2002/02/15 20:23:58 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import diva.util.PropertyContainer;

/** A sentence in first-order logic.  Sentences can be formed in many different ways; concrete
 * implementations of this class provide support for these different ways.
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public interface Sentence {
	/** Evaluates the truth of this sentence when applied to the specified <CODE>PropertyContainer</CODE>.
	 *
	 * @param container the <CODE>PropertyContainer</CODE> to apply to this sentence.
	 * @return <CODE>true</CODE> if this sentence is true using the specified <CODE>PropertyContainer</CODE>; <CODE>false</CODE> otherwise.
	 */	
	public boolean evaluate(PropertyContainer container);
}

/* 
 * $Log: Sentence.java,v $
 * Revision 1.1  2002/02/15 20:23:58  zcox
 * big time update
 *
 *
 *
 */
