/*
 * CycleFrame.java
 *
 * Created on May 15, 2002, 11:57 AM
 */

package fcmodeler.subgraph;

import javax.swing.JFrame;
import javax.swing.JViewport;
import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;
import javax.swing.JList;
import java.util.HashSet;
import java.util.Arrays;

import diva.graph.GraphView;

import fcmodeler.actions.HighlightWalk;
import fcmodeler.subgraph.Walk;

/**
 *
 * @author  default
 */
public class CycleFrame extends JFrame implements Runnable {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JMenuBar jMenuBar1;
	private javax.swing.JMenu _fileMenu;
	private javax.swing.JMenuItem _saveMenuItem;
	private javax.swing.JMenu _filterMenu;
	private javax.swing.JMenuItem _filterMenuItem;
	private javax.swing.JMenuItem _restoreMenuItem;
	private javax.swing.JScrollPane _scrollPane;
	private javax.swing.JList _list;
	// End of variables declaration//GEN-END:variables
	private Object[] _walks = null;
	private HighlightWalk _highlighter = null;
	
	/** Creates new form CycleFrame */
	public CycleFrame(Object[] walks, GraphView graphView, JViewport viewport) {
		_walks = walks;
		_highlighter = new HighlightWalk();
		_highlighter.setGraphView(graphView);
		_highlighter.setJViewport(viewport);
		
		initComponents();
		//_list.addListSelectionListener(this);
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	}
	
	/** Exit the Application */
	private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
		//System.exit(0);
	}//GEN-LAST:event_exitForm
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		jMenuBar1 = new javax.swing.JMenuBar();
		_fileMenu = new javax.swing.JMenu();
		_saveMenuItem = new javax.swing.JMenuItem();
		_filterMenu = new javax.swing.JMenu();
		_filterMenuItem = new javax.swing.JMenuItem();
		_restoreMenuItem = new javax.swing.JMenuItem();
		_scrollPane = new javax.swing.JScrollPane();
		_list = new javax.swing.JList(_walks);
		
		_fileMenu.setText("file");
		_saveMenuItem.setText("save cycles");
		_saveMenuItem.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_saveMenuItemActionPerformed(evt);
			}
		});
		
		_fileMenu.add(_saveMenuItem);
		jMenuBar1.add(_fileMenu);
		_filterMenu.setText("filter");
		_filterMenuItem.setText("filter cycles");
		_filterMenuItem.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_filterMenuItemActionPerformed(evt);
			}
		});
		
		_filterMenu.add(_filterMenuItem);
		_restoreMenuItem.setText("restore originals");
		_restoreMenuItem.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_restoreMenuItemActionPerformed(evt);
			}
		});
		
		_filterMenu.add(_restoreMenuItem);
		jMenuBar1.add(_filterMenu);
		
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				exitForm(evt);
			}
		});
		
		_list.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
			public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
				_listValueChanged(evt);
			}
		});
		
		_scrollPane.setViewportView(_list);
		
		getContentPane().add(_scrollPane, java.awt.BorderLayout.CENTER);
		
		setJMenuBar(jMenuBar1);
		pack();
	}//GEN-END:initComponents

	private void jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem1ActionPerformed
		// Add your handling code here:
	}//GEN-LAST:event_jMenuItem1ActionPerformed

	private void _restoreMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__restoreMenuItemActionPerformed
		_list.setListData(_walks);
	}//GEN-LAST:event__restoreMenuItemActionPerformed

	private void _filterMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__filterMenuItemActionPerformed
		FilterDialog dialog = new FilterDialog(_highlighter.getGraphView().getGraphModel().getGraph());
		CycleFilter filter = dialog.showDialog();
		if (filter != null) {
			System.out.println("filter = " + filter);
			Object[] objs = new Object[_list.getModel().getSize()];
			for (int i=0; i<objs.length; i++) { objs[i] = _list.getModel().getElementAt(i); }
			_list.setListData(filter.filter(new HashSet(Arrays.asList(objs))).toArray());
		}
	}//GEN-LAST:event__filterMenuItemActionPerformed

	private void _saveMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__saveMenuItemActionPerformed
		
	}//GEN-LAST:event__saveMenuItemActionPerformed
	
	public void run() {
		//this should only be done in the event-dispatch thread!!!
		pack();
		show();
	}
	
	private void _listValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event__listValueChanged
		Object source = evt.getSource();
		JList list = null;
		Object sel = null;
		
		if (!evt.getValueIsAdjusting()) {
			if (source instanceof JList) {
				list = (JList) source;
				sel = list.getSelectedValue();
				if (sel instanceof Walk) {
					_highlighter.clearHighlights();
					_highlighter.setWalk((Walk) sel);
					_highlighter.highlightWalk();
				}
			}
		}
	}//GEN-LAST:event__listValueChanged
	
}
