/*
 * FilterDialog.java
 *
 * Created on May 15, 2002, 1:03 PM
 */

package fcmodeler.subgraph;

import javax.swing.JDialog;
import javax.swing.table.TableModel;
import javax.swing.JTable;
import javax.swing.JScrollPane;

import diva.graph.model.Graph;

import fcmodeler.mapping.Sentence;
import fcmodeler.mapping.AtomicSentence;
import fcmodeler.mapping.NodePropertiesTableModel;
import fcmodeler.mapping.EdgePropertiesTableModel;

/**
 *
 * @author  default
 */
public class FilterDialog extends JDialog {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.ButtonGroup _buttonGroup;
	private javax.swing.JPanel jPanel1;
	private javax.swing.JButton _okButton;
	private javax.swing.JButton _cancelButton;
	private javax.swing.JPanel jPanel2;
	private javax.swing.JSplitPane _splitPane;
	private javax.swing.JPanel jPanel6;
	private javax.swing.JPanel jPanel7;
	private javax.swing.JPanel jPanel4;
	private javax.swing.JPanel jPanel5;
	private javax.swing.JPanel jPanel8;
	private javax.swing.JTextField _countField;
	private javax.swing.JPanel jPanel9;
	private javax.swing.JRadioButton _retainButton;
	private javax.swing.JRadioButton _removeButton;
	// End of variables declaration//GEN-END:variables
	private CycleFilter _filter = null;
	private SingleCellSelectionModel _selectionModel = null;
	
	public FilterDialog(Graph graph) {
		super(new JDialog(), true);
		initComponents();
		
		TableModel nodeModel = new NodePropertiesTableModel(graph);
		TableModel edgeModel = new EdgePropertiesTableModel(graph);
		JTable nodeTable = new JTable(nodeModel);
		JTable edgeTable = new JTable(edgeModel);
		
		_selectionModel = new SingleCellSelectionModel(nodeTable, edgeTable);
		nodeTable.addMouseListener(_selectionModel);
		edgeTable.addMouseListener(_selectionModel);
		SingleCellRenderer renderer = new SingleCellRenderer(_selectionModel);
		nodeTable.setDefaultRenderer(Object.class, renderer);
		edgeTable.setDefaultRenderer(Object.class, renderer);
		
		JScrollPane nodeScroll = new JScrollPane(nodeTable);
		JScrollPane edgeScroll = new JScrollPane(edgeTable);
		_splitPane.setLeftComponent(nodeScroll);
		_splitPane.setRightComponent(edgeScroll);
		_splitPane.setDividerLocation(0.5d);
		
		getRootPane().setDefaultButton(_okButton);
		_buttonGroup.add(_retainButton);
		_buttonGroup.add(_removeButton);
		setSize(400, 400);
	}
	
	/** Creates new form FilterDialog */
	public FilterDialog(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
		initComponents();
	}

	/** Closes the dialog */
	private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
		setVisible(false);
		dispose();
	}//GEN-LAST:event_closeDialog
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		_buttonGroup = new javax.swing.ButtonGroup();
		jPanel1 = new javax.swing.JPanel();
		_okButton = new javax.swing.JButton();
		_cancelButton = new javax.swing.JButton();
		jPanel2 = new javax.swing.JPanel();
		_splitPane = new javax.swing.JSplitPane();
		jPanel6 = new javax.swing.JPanel();
		jPanel7 = new javax.swing.JPanel();
		jPanel4 = new javax.swing.JPanel();
		jPanel5 = new javax.swing.JPanel();
		jPanel8 = new javax.swing.JPanel();
		_countField = new javax.swing.JTextField();
		jPanel9 = new javax.swing.JPanel();
		_retainButton = new javax.swing.JRadioButton();
		_removeButton = new javax.swing.JRadioButton();
		
		
		setTitle("cycle filter");
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				closeDialog(evt);
			}
		});
		
		_okButton.setText("ok");
		_okButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_okButtonActionPerformed(evt);
			}
		});
		
		jPanel1.add(_okButton);
		
		_cancelButton.setText("cancel");
		_cancelButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				_cancelButtonActionPerformed(evt);
			}
		});
		
		jPanel1.add(_cancelButton);
		
		getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);
		
		jPanel2.setLayout(new java.awt.BorderLayout());
		
		_splitPane.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
		_splitPane.setLeftComponent(jPanel6);
		
		_splitPane.setRightComponent(jPanel7);
		
		jPanel2.add(_splitPane, java.awt.BorderLayout.CENTER);
		
		jPanel4.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.ipadx = 50;
		jPanel4.add(jPanel5, gridBagConstraints1);
		
		jPanel8.setBorder(new javax.swing.border.TitledBorder(new javax.swing.border.EtchedBorder(), "count"));
		_countField.setText("1");
		jPanel8.add(_countField);
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 1;
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.anchor = java.awt.GridBagConstraints.NORTH;
		jPanel4.add(jPanel8, gridBagConstraints1);
		
		jPanel9.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints2;
		
		jPanel9.setBorder(new javax.swing.border.TitledBorder(new javax.swing.border.EtchedBorder(), "type"));
		_retainButton.setSelected(true);
		_retainButton.setText("retain");
		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.anchor = java.awt.GridBagConstraints.WEST;
		jPanel9.add(_retainButton, gridBagConstraints2);
		
		_removeButton.setText("remove");
		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.gridx = 0;
		gridBagConstraints2.gridy = 1;
		gridBagConstraints2.anchor = java.awt.GridBagConstraints.WEST;
		jPanel9.add(_removeButton, gridBagConstraints2);
		
		gridBagConstraints1 = new java.awt.GridBagConstraints();
		gridBagConstraints1.gridx = 1;
		gridBagConstraints1.gridy = 1;
		jPanel4.add(jPanel9, gridBagConstraints1);
		
		jPanel2.add(jPanel4, java.awt.BorderLayout.SOUTH);
		
		getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);
		
		pack();
	}//GEN-END:initComponents

	private void _okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__okButtonActionPerformed
		JTable table = _selectionModel.getSelectedTable();
		String property = table.getColumnName(_selectionModel.getSelectedCol());
		Object value = table.getValueAt(_selectionModel.getSelectedRow(), _selectionModel.getSelectedCol());
		Sentence sentence = new AtomicSentence(property, value);
		int count = Integer.parseInt(_countField.getText());
		boolean node = _selectionModel.isTableOneSelected();
		_filter = _retainButton.isSelected() ? (CycleFilter) new RetainCycleFilter(sentence, count, node) : (CycleFilter) new RemoveCycleFilter(sentence, count, node);
		closeDialog(null);
	}//GEN-LAST:event__okButtonActionPerformed

	private void _cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__cancelButtonActionPerformed
		_filter = null;
		closeDialog(null);
	}//GEN-LAST:event__cancelButtonActionPerformed
	
	public CycleFilter showDialog() {
		show();
		
		return _filter;
	}
	
}
