/*
 * RemoveCycleFilter.java
 *
 * Created on May 16, 2002, 1:08 PM
 */

package fcmodeler.subgraph;

import java.util.Set;
import java.util.HashSet;
import java.util.Iterator;
import java.util.ListIterator;

import diva.util.PropertyContainer;
import diva.graph.model.Node;
import diva.graph.model.Edge;

import fcmodeler.mapping.Sentence;

/**
 *
 * @author  default
 * @version
 */
public final class RemoveCycleFilter extends Object implements CycleFilter {
	private final Sentence _sentence;
	private final int _count;
	private final boolean _node;
	
	/** Creates new RemoveCycleFilter */
	public RemoveCycleFilter(Sentence sentence, int count, boolean node) {
		if (sentence == null) { throw new NullPointerException("sentence was null"); }
		if (count < 1) { throw new IllegalArgumentException("count must be greater-than-or-equal-to one"); }
		
		_sentence = sentence;
		_count = count;
		_node = node;
	}
	
	public Set filter(Set cycles) {
		Set filtered = new HashSet(cycles);
		for (Iterator iterator = filtered.iterator(); iterator.hasNext();) {
			Cycle cycle = (Cycle) iterator.next();
			int count = 0;
			for (ListIterator iterator2 = cycle.listIterator(); iterator2.hasNext();) {
				if (iterator2.nextIndex() == cycle.size()-1) { break; }
				PropertyContainer pc = (PropertyContainer) iterator2.next();
				if ((_node && pc instanceof Node) || (!_node && pc instanceof Edge)) {
					if (_sentence.evaluate(pc)) {
						if (++count == _count) {
							iterator.remove();
							break;
						}
					}
				}
			}
		}
		return filtered;
	}
	
	public String toString() {
		return "[RemoveCycleFilter: sentence=" + _sentence + ", count=" + _count + ", node=" + _node + "]";
	}
	
}
