/*
 * SingleCellRenderer.java
 *
 * Created on May 16, 2002, 2:46 PM
 */

package fcmodeler.subgraph;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.Component;
import java.awt.Color;

/**
 *
 * @author  default
 * @version
 */
public class SingleCellRenderer extends DefaultTableCellRenderer {
	private SingleCellSelectionModel _selectionModel = null;
	private static final Color _selectionColor = new Color(204, 204, 255);
	private static final String _emptyString = "";
	
	/** Creates new SingleCellRenderer */
	public SingleCellRenderer(SingleCellSelectionModel selectionModel) {
		_selectionModel = selectionModel;
	}
	
	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int col) {
		setText(value == null ? _emptyString : value.toString());
		if (_selectionModel.isSelected(table, row, col)) {
			setBackground(_selectionColor);
		}
		else {
			setBackground(Color.white);
		}
		
		return this;
	}
	
}
