/*
 * TwoTableSelectionModel.java
 *
 * Created on May 16, 2002, 2:29 PM
 */

package fcmodeler.subgraph;

import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;
import java.awt.Point;
import javax.swing.JTable;
import javax.swing.SwingUtilities;

/**
 *
 * @author  default
 * @version
 */
public class SingleCellSelectionModel extends Object implements MouseListener {
	private JTable _one = null;
	private JTable _two = null;
	private JTable _table = null;
	private int _row = -1;
	private int _col = -1;
	
	/** Creates new TwoTableSelectionModel */
	public SingleCellSelectionModel(JTable one, JTable two) {
		_one = one;
		_two = two;
	}
	
	public int getSelectedCol() {
		return _col;
	}
	
	public int getSelectedRow() {
		return _row;
	}
	
	public JTable getSelectedTable() {
		return _table;
	}
	
	public boolean isSelected(JTable table, int row, int col) {
		if (table == _table && row == _row && col == _col) { return true; }
		else { return false; }
	}
	
	public boolean isTableOneSelected() {
		return _table == _one;
	}
	
	public boolean isTableTwoSelected() {
		return _table == _two;
	}
	
	public void mouseClicked(MouseEvent event) {
		_one.repaint();
		_two.repaint();
		
		if (SwingUtilities.isLeftMouseButton(event)) {
			Point point = event.getPoint();
			JTable table = (JTable) event.getSource();
			int row = table.rowAtPoint(point);
			int col = table.columnAtPoint(point);
			
			if (table.getValueAt(row, col) != null) {
				_table = table;
				_row = row;
				_col = col;
			}
		}
	}
	
	
	public void mouseEntered(MouseEvent event) {
		
	}
	
	
	public void mouseExited(MouseEvent event) {
		
	}
	
	
	public void mousePressed(MouseEvent event) {
		
	}
	
	
	public void mouseReleased(MouseEvent event) {
		
	}
	
}
