/* $Id: Subgraph.java,v 1.2 2002/01/15 20:38:00 zcox Exp $
 *
 *
 */

package fcmodeler.subgraph;

import java.util.Iterator;

import diva.graph.model.BasicGraph;
import diva.graph.model.BasicNode;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class Subgraph extends BasicGraph {
	protected BasicGraph _originalGraph = null;
	
	/** Creates new Subgraph */
	public Subgraph(BasicGraph originalGraph) {
		super(null);
		setOriginalGraph(originalGraph);
	}
	
	public Subgraph(BasicGraph originalGraph, Object semanticObject) {
		super(semanticObject);
		setOriginalGraph(originalGraph);
	}
	
	public Subgraph(BasicGraph originalGraph, int n) {
		super(n);
		setOriginalGraph(originalGraph);
	}
	
	public SubgraphNode getNode(BasicNode originalNode) {
		SubgraphNode subNode = null, node;
		Iterator nodes = nodes();
		
		while (nodes.hasNext()) {
			node = (SubgraphNode) nodes.next();
			if (node.getOriginalNode() == originalNode) {
				subNode = node;
			}
		}
		
		return subNode;
	}
	
	public BasicGraph getOriginalGraph() {
		return _originalGraph;
	}
	
	public Object getProperty(String key) {
		return _originalGraph.getProperty(key);
	}
	
	public Object getSemanticObject() {
		return _originalGraph.getSemanticObject();
	}
	
	public Iterator properties() {
		return _originalGraph.properties();
	}
	
	public void removeAllProperties() {
		_originalGraph.removeAllProperties();
	}
	
	public void setProperty(String key, Object value) {
		_originalGraph.setProperty(key, value);
	}
	
	public void setOriginalGraph(BasicGraph originalGraph) {
		_originalGraph = originalGraph;
	}
	
	public String toString() {
		String s = "[";
		
		for (int i=0; i<getNodeCount(); i++) {
			s += getNode(i).getSemanticObject().toString();
			if (i < getNodeCount()-1) {
				s += ", ";
			}
		}
		s += "]";
		
		return s;
	}
}

/* 
 * $Log: Subgraph.java,v $
 * Revision 1.2  2002/01/15 20:38:00  zcox
 * some changes
 *
 *
 *
 */
