/* $Id: SubgraphEdge.java,v 1.2 2002/01/15 20:38:01 zcox Exp $
 *
 *
 */

package fcmodeler.subgraph;

import java.util.Iterator;

import diva.graph.model.BasicEdge;
import diva.graph.model.BasicNode;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class SubgraphEdge extends BasicEdge {
	protected BasicEdge _originalEdge = null;
	
	/** Creates new SubgraphEdge */
	public SubgraphEdge(BasicEdge originalEdge) {
		super(null);
		setOriginalEdge(originalEdge);
	}
	
	public SubgraphEdge(BasicEdge originalEdge, Object semanticObject) {
		super(semanticObject, null, null);
		setOriginalEdge(originalEdge);
	}
	
	public SubgraphEdge(BasicEdge originalEdge, BasicNode tail, BasicNode head) {
		super(null, tail, head);
		setOriginalEdge(originalEdge);
	}
	
	public SubgraphEdge(BasicEdge originalEdge, Object semanticObject, BasicNode tail, BasicNode head) {
		super(semanticObject, tail, head);
		setOriginalEdge(originalEdge);
	}
	
	public BasicEdge getOriginalEdge() {
		return _originalEdge;
	}
	
	public Object getProperty(String key) {
		Object property = null;
		
		if (key.equals("controlPts")) {
			property = super.getProperty(key);
		}
		else {
			property = _originalEdge.getProperty(key);
		}
		
		return property;
	}
	
	public Object getSemanticObject() {
		return _originalEdge.getSemanticObject();
	}
	
	public Iterator properties() {
		return _originalEdge.properties();
	}
	
	public void removeAllProperties() {
		_originalEdge.removeAllProperties();
	}
	
	public void setProperty(String key, Object value) {
		if (key.equals("controlPts")) {
			super.setProperty(key, value);
		}
		else {
			_originalEdge.setProperty(key, value);
		}
	}
	
	public void setOriginalEdge(BasicEdge originalEdge) {
		_originalEdge = originalEdge;
	}
}

/* 
 * $Log: SubgraphEdge.java,v $
 * Revision 1.2  2002/01/15 20:38:01  zcox
 * some changes
 *
 *
 *
 */
