/* $Id: SubgraphFactoryDialog.java,v 1.1 2002/01/15 20:38:35 zcox Exp $
 *
 *
 */

package fcmodeler.subgraph;

import java.util.Collection;
import javax.swing.ButtonGroup;
import javax.swing.ButtonModel;
import java.awt.Point;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import diva.graph.model.GraphModel;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class SubgraphFactoryDialog extends javax.swing.JDialog implements ActionListener {
	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JPanel jPanel1;
	private javax.swing.JRadioButton _one;
	private javax.swing.JRadioButton _two;
	private javax.swing.JRadioButton _three;
	private javax.swing.JRadioButton _four;
	private javax.swing.JTextField _jtfP;
	private javax.swing.JPanel jPanel2;
	private javax.swing.JButton _jbtnOK;
	private javax.swing.JButton _jbtnCancel;
	// End of variables declaration//GEN-END:variables
	private ButtonGroup _group = null;
	private GraphModel _model = null;
	private Collection _nodes = null, _edges = null;
	
	/** Creates new form SubgraphFactoryDialog */
	public SubgraphFactoryDialog(java.awt.Frame parent, boolean modal) {
		super (parent, modal);
		initComponents ();
		
		_group = new ButtonGroup();
		_group.add(_one);
		_group.add(_two);
		_group.add(_three);
		_group.add(_four);
		_one.addActionListener(this);
		_two.addActionListener(this);
		_three.addActionListener(this);
		_four.addActionListener(this);
		
		_jtfP.setEnabled(false);
		
		getRootPane().setDefaultButton(_jbtnOK);
		
		pack ();
	}
	
	public void actionPerformed(ActionEvent evt) {
		Object source = evt.getSource();
		
		if (source == _one) {
			_jtfP.setEnabled(false);
		}
		else if (source == _two) {
			_jtfP.setEnabled(true);
		}
		else if (source == _three) {
			_jtfP.setEnabled(false);
		}
		else if (source == _four) {
			_jtfP.setEnabled(false);
		}
	}
	
	/** Closes the dialog */
	private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
		setVisible(false);
		dispose();
	}//GEN-LAST:event_closeDialog
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the FormEditor.
	 */
	private void initComponents() {//GEN-BEGIN:initComponents
		jPanel1 = new javax.swing.JPanel();
		_one = new javax.swing.JRadioButton();
		_two = new javax.swing.JRadioButton();
		_three = new javax.swing.JRadioButton();
		_four = new javax.swing.JRadioButton();
		_jtfP = new javax.swing.JTextField();
		jPanel2 = new javax.swing.JPanel();
		_jbtnOK = new javax.swing.JButton();
		_jbtnCancel = new javax.swing.JButton();
		setTitle("Subgraph Algorithm Selection");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				closeDialog(evt);
			}
		}
		);
		
		jPanel1.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints1;
		jPanel1.setBorder(new javax.swing.border.TitledBorder(
		new javax.swing.border.EtchedBorder(), "algorithms"));
		
		_one.setSelected(true);
  		_one.setText("all edges connecting selected vertices");
  		gridBagConstraints1 = new java.awt.GridBagConstraints();
  		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
  		jPanel1.add(_one, gridBagConstraints1);
  		
  		
		_two.setText("closed p-th neighborhood of selected vertices");
  		gridBagConstraints1 = new java.awt.GridBagConstraints();
  		gridBagConstraints1.gridx = 0;
  		gridBagConstraints1.gridy = 1;
  		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
  		jPanel1.add(_two, gridBagConstraints1);
  		
  		
		_three.setText("all vertices incident with a selected edge");
  		gridBagConstraints1 = new java.awt.GridBagConstraints();
  		gridBagConstraints1.gridx = 0;
  		gridBagConstraints1.gridy = 2;
  		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
  		jPanel1.add(_three, gridBagConstraints1);
  		
  		
		_four.setText("all selected vertices, & all selected edges with both end-vertices selected");
  		gridBagConstraints1 = new java.awt.GridBagConstraints();
  		gridBagConstraints1.gridx = 0;
  		gridBagConstraints1.gridy = 3;
  		gridBagConstraints1.gridwidth = 2;
  		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
  		jPanel1.add(_four, gridBagConstraints1);
  		
  		
		_jtfP.setText("3");
  		gridBagConstraints1 = new java.awt.GridBagConstraints();
  		gridBagConstraints1.gridx = 1;
  		gridBagConstraints1.gridy = 1;
  		gridBagConstraints1.ipadx = 20;
  		gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
  		jPanel1.add(_jtfP, gridBagConstraints1);
  		
  		
		getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);
		
		
		jPanel2.setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints2;
		
		_jbtnOK.setText("ok");
  		_jbtnOK.addActionListener(new java.awt.event.ActionListener() {
  			public void actionPerformed(java.awt.event.ActionEvent evt) {
  				_jbtnOKActionPerformed(evt);
  			}
  		}
  		);
  		gridBagConstraints2 = new java.awt.GridBagConstraints();
  		gridBagConstraints2.insets = new java.awt.Insets(5, 5, 5, 5);
  		jPanel2.add(_jbtnOK, gridBagConstraints2);
  		
  		
		_jbtnCancel.setText("cancel");
  		_jbtnCancel.addActionListener(new java.awt.event.ActionListener() {
  			public void actionPerformed(java.awt.event.ActionEvent evt) {
  				_jbtnCancelActionPerformed(evt);
  			}
  		}
  		);
  		gridBagConstraints2 = new java.awt.GridBagConstraints();
  		gridBagConstraints2.insets = new java.awt.Insets(5, 0, 5, 5);
  		jPanel2.add(_jbtnCancel, gridBagConstraints2);
  		
  		
		getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);
		
	}//GEN-END:initComponents
	
	private void _jbtnCancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__jbtnCancelActionPerformed
		_model = null;
		closeDialog(null);
	}//GEN-LAST:event__jbtnCancelActionPerformed
	
	private void _jbtnOKActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event__jbtnOKActionPerformed
		ButtonModel source = _group.getSelection();
		
		if (source == _one.getModel()) {
			_model = SubgraphFactory.getInstance().createFromNodes(_nodes);
		}
		else if (source == _two.getModel()) {
			_model = SubgraphFactory.getInstance().createFromNodes(_nodes, Integer.parseInt(_jtfP.getText()));
		}
		else if (source == _three.getModel()) {
			_model = SubgraphFactory.getInstance().createFromEdges(_edges);
		}
		else if (source == _four.getModel()) {
			_model = SubgraphFactory.getInstance().createFromNodesAndEdges(_nodes, _edges);
		}
		
		closeDialog(null);
	}//GEN-LAST:event__jbtnOKActionPerformed
	
	/**
	 * @param args the command line arguments
	 */
	public static void main (String args[]) {
		new SubgraphFactoryDialog (new javax.swing.JFrame (), true).show ();
	}
  
	public GraphModel showDialog(Collection nodes, Collection edges) {
		Point p = getOwner().getLocation();
		
		_nodes = nodes;
		_edges = edges;
		
		setLocation(p.x + 100, p.y + 100);
		show();
		
		return _model;
	}
}

/* 
 * $Log: SubgraphFactoryDialog.java,v $
 * Revision 1.1  2002/01/15 20:38:35  zcox
 * initial commit of some subgraph classes
 *
 *
 *
 */
