/* $Id: SubgraphNode.java,v 1.2 2002/01/15 20:38:01 zcox Exp $
 *
 *
 */

package fcmodeler.subgraph;

import java.util.Iterator;

import diva.graph.model.BasicNode;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.2 $
 * @since JDK1.3
 */

public class SubgraphNode extends BasicNode {
	protected BasicNode _originalNode = null;
	
	/** Creates new SubgraphNode */
	public SubgraphNode(BasicNode originalNode) {
		super(null);
		setOriginalNode(originalNode);
	}
	
	public SubgraphNode(BasicNode originalNode, Object semanticObject) {
		super(semanticObject);
		setOriginalNode(originalNode);
	}
	
	public BasicNode getOriginalNode() {
		return _originalNode;
	}
	
	public Object getProperty(String key) {
		return _originalNode.getProperty(key);
	}
	
	public Object getSemanticObject() {
		return _originalNode.getSemanticObject();
	}
	
	public Iterator properties() {
		return _originalNode.properties();
	}
	
	public void removeAllProperties() {
		_originalNode.removeAllProperties();
	}
	
	public void setProperty(String key, Object value) {
		_originalNode.setProperty(key, value);
	}
	
	public void setOriginalNode(BasicNode originalNode) {
		_originalNode = originalNode;
	}
}

/* 
 * $Log: SubgraphNode.java,v $
 * Revision 1.2  2002/01/15 20:38:01  zcox
 * some changes
 *
 *
 *
 */
