/* $Id: BasicConnectorHighlighter.java,v 1.1 2002/01/15 20:46:33 zcox Exp $
 *
 *
 */

package fcmodeler.view;

import java.awt.Graphics2D;
import java.awt.Stroke;
import java.awt.Paint;
import java.awt.Color;
import java.awt.BasicStroke;
import java.awt.Shape;

import diva.canvas.connector.ConnectorManipulator;
import diva.canvas.Figure;
import diva.canvas.connector.AbstractConnector;
import diva.canvas.connector.ConnectorEnd;
import diva.canvas.FigureDecorator;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class BasicConnectorHighlighter extends ConnectorManipulator {
	private float _lineWidth = 0.0f;
	private Paint _paint = null;
	private BasicStroke _stroke = null;
	
	/** Creates new BasicConnectorHighlighter */
	public BasicConnectorHighlighter() {
		super();
		_stroke = new BasicStroke(2.0f);
		_paint = Color.red;
	}
	
	public FigureDecorator newInstance(Figure f) {
		BasicConnectorHighlighter m = new BasicConnectorHighlighter();
		m.setGrabHandleFactory(this.getGrabHandleFactory());
		m.setHandleInteractor(this.getHandleInteractor());
		return m;
	}
	
	public void paint(Graphics2D graphics2D) {
		Figure child = null;
		AbstractConnector connector = null;
		Paint origPaint = null;
		float origLineWidth = 0.0f;
		BasicStroke origStroke = null;
		Shape shape = null;
		ConnectorEnd headEnd = null, tailEnd = null;
		
		//let super do its usual painting
		super.paint(graphics2D);
		
		//add highlighting to the child
		if (getChild() == null) {
			return;
		}
		child = getChild();
		if (child instanceof AbstractConnector) {
			connector = (AbstractConnector) child;
			/*origLineWidth = connector.getLineWidth();
			origPaint = connector.getStrokePaint();
			_lineWidth = origLineWidth * 2.0f;
			_paint = Color.red;
			connector.setLineWidth(_lineWidth);
			connector.setStrokePaint(_paint);
			connector.paint(graphics2D);
			connector.setLineWidth(origLineWidth);
			connector.setStrokePaint(origPaint);*/
			shape = connector.getShape();
			tailEnd = connector.getTailEnd();
			headEnd = connector.getHeadEnd();
			graphics2D.setStroke(_stroke);
			graphics2D.setPaint(_paint);
			//graphics2D.fill(shape);
			graphics2D.draw(shape);
			if (tailEnd != null) {
				tailEnd.paint(graphics2D);
			}
			if (headEnd != null) {
				headEnd.paint(graphics2D);
			}
		}
	}
}

/* 
 * $Log: BasicConnectorHighlighter.java,v $
 * Revision 1.1  2002/01/15 20:46:33  zcox
 * name changes & addition of some view-related classes
 *
 *
 *
 */
