/* $Id: ClusterFigure.java,v 1.1 2002/01/15 20:46:33 zcox Exp $
 *
 *
 */

package fcmodeler.view;

import java.awt.Shape;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;

import diva.canvas.AbstractFigure;
import diva.canvas.toolbox.BasicFigure;
import diva.canvas.toolbox.LabelFigure;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class ClusterFigure extends AbstractFigure {
	private BasicFigure _outline = null;
	private LabelFigure _label = null;
	
	/** Creates new ClusterFigure */
	public ClusterFigure(Rectangle2D rect, String label) {
		_outline = new BasicFigure(rect);
		_label = new LabelFigure(label);
	}
	
	public LabelFigure getLabel() {
		return _label;
	}
	
	public BasicFigure getOutline() {
		return _outline;
	}
	
	public Shape getShape() {
		return _outline.getShape();
	}
	
	public void paint(Graphics2D graphics2D) {
		Rectangle2D labelBounds = _label.getBounds();
		Rectangle2D outlineBounds = _outline.getBounds();
		
		_label.translate(outlineBounds.getX() - labelBounds.getX(), (outlineBounds.getY() - labelBounds.getHeight()) - labelBounds.getY());
		
		_outline.paint(graphics2D);
		_label.paint(graphics2D);
	}
	
	public void transform(AffineTransform affineTransform) {
		_outline.transform(affineTransform);
		_label.transform(affineTransform);
	}
}

/* 
 * $Log: ClusterFigure.java,v $
 * Revision 1.1  2002/01/15 20:46:33  zcox
 * name changes & addition of some view-related classes
 *
 * 
 */
