package fcmodeler.view.figures;

import diva.canvas.connector.Arrowhead;

/**
 *  This class specifically extends <CODE>Arrowhead</CODE> to provide a String
 *  representation of this diamond connector end and the clone() method
 *  implementation.
 *
 *@author     xein <xein@iastate.edu>
 *@created    April 21, 2002
 */
public class ArrowheadExt extends Arrowhead implements ConnectorEndExt {
    private final String _string = "arrowhead";


    /**
     *  Constructor for the ArrowheadExt object
     */
    public ArrowheadExt() {
        super();
    }


    /**
     *  Constructor for the ArrowheadExt object
     *
     *@param  x       x-coordinate of this <CODE>ArrowheadExt</CODE> object
     *@param  y       y-coordinate of this <CODE>ArrowheadExt</CODE> object
     *@param  normal  the angle in radian
     */
    public ArrowheadExt(double x, double y, double normal) {
        super(x, y, normal);
    }


    /** Creates and returns a copy of this <CODE>ArrowheadExt</CODE>.  The returned
     * <CODE>Object</CODE> is guaranteed to be of type <CODE>ArrowheadExt</CODE>
     * and is also guaranteed to have copies of any mutable fields of this object.
     *
     * @throws CloneNotSupportedException should never be thrown, as this class extends <CODE>Object</CODE> and implements
     * <CODE>Cloneable</CODE> by implementing <CODE>ConnectorEndExt</CODE>.
     * @return a clone of this <CODE>ArrowheadExt</CODE> object.
     */
    public Object clone() throws CloneNotSupportedException {
        ArrowheadExt clone = (ArrowheadExt) super.clone();
        clone = new ArrowheadExt();
        return clone;
    }


    /**
     *  Return the String representation for <CODE>ArrowheadExt</CODE>
     *
     *@return    the String representation for <CODE>ArrowheadExt</CODE>
     */
    public String toString() {
        return _string;
    }
}
