package fcmodeler.view.figures;

import diva.canvas.connector.Blob;

/**
 *  This class specifically extends <CODE>Blob</CODE> to provide a circle connector
 *  end. Besides the inherited methods from <CODE>Blob</CODE>, String representation
 *  of this circle connector end and the clone() method implementation are also
 *  added.
 *
 *@author     xein <xein@iastate.edu>
 *@created    April 21, 2002
 */
public class BlobCircleHeadExt extends Blob implements ConnectorEndExt {
    private String _string = "circle head";


    /**
     *  Constructor for the BlobCircleHeadExt object
     */
    public BlobCircleHeadExt() {
        super(Blob.BLOB_CIRCLE);
    }


    /**
     *  Constructor for the BlobCircleHeadExt object
     *
     *@param  x       x-coordinate of this <CODE>BlobCircleHeadExt</CODE> object
     *@param  y       y-coordinate of this <CODE>BlobCircleHeadExt</CODE> object
     *@param  normal  the angle in radian
     */
    public BlobCircleHeadExt(double x, double y, double normal) {
        super(x, y, normal, Blob.BLOB_CIRCLE);
    }


    /** Creates and returns a copy of this <CODE>BlobCircleHeadExt</CODE>.  The returned
     * <CODE>Object</CODE> is guaranteed to be of type <CODE>BlobCircleHeadExt</CODE>
     * and is also guaranteed to have copies of any mutable fields of this object.
     *
     * @throws CloneNotSupportedException should never be thrown, as this class extends <CODE>Object</CODE> and implements
     * <CODE>Cloneable</CODE> by implementing <CODE>ConnectorEndExt</CODE>.
     * @return a clone of this <CODE>BlobCircleHeadExt</CODE> object.
     */
    public Object clone() throws CloneNotSupportedException {
        BlobCircleHeadExt clone = (BlobCircleHeadExt) super.clone();
        clone = new BlobCircleHeadExt();
        return clone;
    }


    /**
     *  Return the String representatin for <CODE>BlobCircleHeadExt</CODE>
     *
     *@return    Description of the Returned Value
     */
    public String toString() {
        return _string;
    }
}
