package fcmodeler.view.figures;

import diva.canvas.connector.Blob;

/**
 *  This class specifically extends <CODE>Blob</CODE> to provide a diamond
 *  connector end. Besides the inherited methods from <CODE>Blob</CODE>, String
 *  representation of this diamond connector end and the clone() method
 *  implementation are also added.
 *
 *@author     xein <xein@iastate.edu>
 *@created    April 21, 2002
 */
public class BlobDiamondHeadExt extends Blob implements ConnectorEndExt {
    private String _string = "diamond head";


    /**
     *  Constructor for the BlobDiamondHeadExt object
     */
    public BlobDiamondHeadExt() {
        super(Blob.BLOB_DIAMOND);
    }


    /**
     *  Constructor for the BlobDiamondHeadExt object
     *
     *@param  x       x-coordinate of this <CODE>BlobDiamondHeadExt</CODE> object
     *@param  y       y-coordinate of this <CODE>BlobDiamondHeadExt</CODE> object
     *@param  normal  the angle in radian
     */
    public BlobDiamondHeadExt(double x, double y, double normal) {
        super(x, y, normal, Blob.BLOB_DIAMOND);
    }


    /** Creates and returns a copy of this <CODE>BlobDiamondHeadExt</CODE>.  The returned
     * <CODE>Object</CODE> is guaranteed to be of type <CODE>BlobDiamondHeadExt</CODE>
     * and is also guaranteed to have copies of any mutable fields of this object.
     *
     * @throws CloneNotSupportedException should never be thrown, as this class extends <CODE>Object</CODE> and implements
     * <CODE>Cloneable</CODE> by implementing <CODE>ConnectorEndExt</CODE>.
     * @return a clone of this <CODE>BlobDiamondHeadExt</CODE> object.
     */
    public Object clone() throws CloneNotSupportedException {
        BlobDiamondHeadExt clone = (BlobDiamondHeadExt) super.clone();
        clone = new BlobDiamondHeadExt();
        return clone;
    }


    /**
     *  Return the String representatin for <CODE>BlobCircleHeadExt</CODE>
     *
     *@return    Description of the Returned Value
     */
    public String toString() {
        return _string;
    }
}
